searchNodes=[{"type":"module","title":"Craftgate","doc":"Elixir client for Craftgate, the one-stop shop payment gateway","ref":"Craftgate.html"},{"type":"function","title":"Craftgate.client_version/0","doc":"Returns the current client version","ref":"Craftgate.html#client_version/0"},{"type":"function","title":"Craftgate.file_reporting/0","doc":"Convenience method to access Craftgate.Adapter.FileReportingAdapter","ref":"Craftgate.html#file_reporting/0"},{"type":"function","title":"Craftgate.fraud/0","doc":"Convenience method to access Craftgate.Adapter.FraudAdapter","ref":"Craftgate.html#fraud/0"},{"type":"function","title":"Craftgate.hook/0","doc":"Convenience method to access Craftgate.Adapter.HookAdapter","ref":"Craftgate.html#hook/0"},{"type":"function","title":"Craftgate.installment/0","doc":"Convenience method to access Craftgate.Adapter.InstallmentAdapter","ref":"Craftgate.html#installment/0"},{"type":"function","title":"Craftgate.onboarding/0","doc":"Convenience method to access Craftgate.Adapter.OnboardingAdapter","ref":"Craftgate.html#onboarding/0"},{"type":"function","title":"Craftgate.pay_by_link/0","doc":"Convenience method to access Craftgate.Adapter.PayByLinkAdapter","ref":"Craftgate.html#pay_by_link/0"},{"type":"function","title":"Craftgate.payment/0","doc":"Convenience method to access Craftgate.Adapter.PaymentAdapter","ref":"Craftgate.html#payment/0"},{"type":"function","title":"Craftgate.payment_reporting/0","doc":"Convenience method to access Craftgate.Adapter.PaymentReportingAdapter","ref":"Craftgate.html#payment_reporting/0"},{"type":"function","title":"Craftgate.settlement/0","doc":"Convenience method to access Craftgate.Adapter.SettlementAdapter","ref":"Craftgate.html#settlement/0"},{"type":"function","title":"Craftgate.settlement_reporting/0","doc":"Convenience method to access Craftgate.Adapter.SettlementReportingAdapter","ref":"Craftgate.html#settlement_reporting/0"},{"type":"function","title":"Craftgate.version/0","doc":"Returns the current project version","ref":"Craftgate.html#version/0"},{"type":"function","title":"Craftgate.wallet/0","doc":"Convenience method to access Craftgate.Adapter.WalletAdapter","ref":"Craftgate.html#wallet/0"},{"type":"module","title":"Craftgate.Adapter","doc":"Represents an adapter that can be used to interact with a group of related endpoints. Contains the endpoint/2 macro which can be used to quickly declare methods to access the said endpoints. To import this macro simply use the Craftgate.Adapter module in your module, e.g.: defmodule MyAdapter do use Craftgate.Adapter endpoint retrieve_foo ( id : integer ( ) ) , get : &quot;/foo/v1/foos/:id&quot; , return : FooResponse end","ref":"Craftgate.Adapter.html"},{"type":"macro","title":"Craftgate.Adapter.endpoint/2","doc":"Declares a method pair that can be used to execute a request against the specified endpoint. Of the generated methods, one carries over the specified name as-is and returns an OK/error tuple with the desired response type (e.g. {:ok, %Craftgate.Response.PaymentResponse{...}} or {:error, %Craftgate.Error{...}} ), and the other contains its &quot;bangified&quot; implementation, which either raises an error or returns the desired type. Both methods will have their typespecs declared automatically, and the un-bangified method will retain its @doc statement. Also, both methods will have an additional, optional parameter in the end called options which can be used to specify custom options on a particular request. So to retrieve a resource of type Foo with the given ID and parse it as a FooResponse you can do: defmodule FooAdapter do use Adapter endpoint retrieve_foo ( id : integer ( ) ) , get : &quot;/foo/v1/foos/:id&quot; , return : FooResponse end Which then gets expanded to the following Elixir code @spec retrieve_foo ( integer ( ) , keyword ( ) ) :: { :ok , FooResponse } | { :error , any ( ) } def retrieve_foo ( id , options \\\\ [ ] ) do ... end @doc &quot;Bangified version of the method with the same name &quot; @spec retrieve_foo! ( integer ( ) , keyword ( ) ) :: FooResponse | no_return def retrieve_foo! ( id , options \\\\ [ ] ) do ... end Note that arguments are specified as a keyword list where the keys represent the argument names (which can then be expanded into the URL via the :&lt;arg_name&gt; syntax) and the values represent the types of each argument, the HTTP method and the destination URL are specified by the get: &quot;...&quot; options, and the expected successful response type is specified as the return option. Which will allow you to call the FooAdapter.retrieve_foo/1 method like this: # retrieving the result as a tuple { :ok , % FooResponse { ... } } = FooAdapter . retrieve_foo ( 42 ) # or having the errors be raised % FooResponse { ... } = FooAdapter . retrieve_foo! ( 42 ) Note that in both cases, the argument id will be expanded into the :id path segment specified in the URL and the get key will expand into the HTTP method GET , so in the end a GET request will be sent to /foo/v1/foos/42 . Once the request executes, successful results will be parsed as the struct FooResponse , and failed results will be parsed as Craftgate.Error . Similarly, the body argument will be expanded into the request body, so to create a Foo we can declare: defmodule FooAdapter do ... endpoint create_foo ( body : CreateFooRequest . t ( ) ) , post : &quot;/foo/v1/foos&quot; , return : FooResponse . t ( ) end Which in turn can be called like as follows: { :ok , foo_response } = FooAdapter . create_foo ( % CreateFooRequest { ... } ) Similarly, the params argument will be expanded into the query string: defmodule FooAdapter do ... endpoint search_foos ( params : keyword ( ) ) , get : &quot;/foo/v1/foos&quot; , return : SearchFoosResponse . t ( ) end %{ items : foos } = FooAdapter . search_foos! ( name : &quot;foo&quot; , age : 42 ) You can also use function blocks in the options to specify custom request parameter or bodies. Note that these functions will have the same arity as the original definition and will receive the exact same arguments as the ones passed into the function call. This can be particularly useful to providing convenience methods to consumers without expecting them to construct full request bodies. ... endpoint set_foo_status ( id : integer ( ) , status : FooStatus . t ( ) ) , put : &quot;/foos/v1/foos/:id/status&quot; , body : fn _ , status -&gt; % UpdateFooStatusRequest { new_status : status } end ... Finally, the return option can be left out to capture empty responses while still being able to identify failures as Craftgate.Error structs. This can be particularly useful for DELETE endpoints which typically return an empty response body. So in the end, a set of CRUD operations for a resource Foo can easily be declares as follows: defmodule FooAdapter do use Adapter endpoint create_foo ( body : CreateFooRequest . t ( ) ) , post : &quot;/foo/v1/foos&quot; , return : FooResponse . t ( ) endpoint retrieve_foo ( id : integer ( ) ) , get : &quot;/foo/v1/foos/:id&quot; , return : FooResponse . t ( ) endpoint update_foo ( id : integer ( ) , body : UpdateFooRequest . t ( ) ) , put : &quot;/foo/v1/foos/:id&quot; , return : FooResponse . t ( ) endpoint set_foo_status ( id : integer ( ) , status : FooStatus . t ( ) ) , put : &quot;/foos/v1/foos/:id/status&quot; , body : fn _ , status -&gt; % UpdateFooStatusRequest { new_status : status } end endpoint delete_foo ( id : integer ( ) ) , delete : &quot;/foo/v1/foos/:id&quot; endpoint search_foos ( params : keyword ( ) ) , get : &quot;/foo/v1/foos&quot; , return : SearchFoosResponse . t ( ) end","ref":"Craftgate.Adapter.html#endpoint/2"},{"type":"module","title":"Craftgate.Adapter.FileReportingAdapter","doc":"Provides capabilities to retrieve file-based reports such as daily transaction reports","ref":"Craftgate.Adapter.FileReportingAdapter.html"},{"type":"function","title":"Craftgate.Adapter.FileReportingAdapter.retrieve_daily_transaction_report/1","doc":"","ref":"Craftgate.Adapter.FileReportingAdapter.html#retrieve_daily_transaction_report/1"},{"type":"function","title":"Craftgate.Adapter.FileReportingAdapter.retrieve_daily_transaction_report!/1","doc":"","ref":"Craftgate.Adapter.FileReportingAdapter.html#retrieve_daily_transaction_report!/1"},{"type":"module","title":"Craftgate.Adapter.FraudAdapter","doc":"Provides capabilities to retrieve potentially fraudulent transactions and marking them as safe, or managing fraud values for the fraud rules","ref":"Craftgate.Adapter.FraudAdapter.html"},{"type":"function","title":"Craftgate.Adapter.FraudAdapter.add_value_to_value_list/4","doc":"","ref":"Craftgate.Adapter.FraudAdapter.html#add_value_to_value_list/4"},{"type":"function","title":"Craftgate.Adapter.FraudAdapter.add_value_to_value_list!/4","doc":"Bangified version of add_value_to_value_list/4","ref":"Craftgate.Adapter.FraudAdapter.html#add_value_to_value_list!/4"},{"type":"function","title":"Craftgate.Adapter.FraudAdapter.create_value_list/1","doc":"","ref":"Craftgate.Adapter.FraudAdapter.html#create_value_list/1"},{"type":"function","title":"Craftgate.Adapter.FraudAdapter.create_value_list!/1","doc":"","ref":"Craftgate.Adapter.FraudAdapter.html#create_value_list!/1"},{"type":"function","title":"Craftgate.Adapter.FraudAdapter.delete_value_list/2","doc":"","ref":"Craftgate.Adapter.FraudAdapter.html#delete_value_list/2"},{"type":"function","title":"Craftgate.Adapter.FraudAdapter.delete_value_list!/2","doc":"Bangified version of delete_value_list/2","ref":"Craftgate.Adapter.FraudAdapter.html#delete_value_list!/2"},{"type":"function","title":"Craftgate.Adapter.FraudAdapter.remove_value_from_value_list/3","doc":"","ref":"Craftgate.Adapter.FraudAdapter.html#remove_value_from_value_list/3"},{"type":"function","title":"Craftgate.Adapter.FraudAdapter.remove_value_from_value_list!/3","doc":"Bangified version of remove_value_from_value_list/3","ref":"Craftgate.Adapter.FraudAdapter.html#remove_value_from_value_list!/3"},{"type":"function","title":"Craftgate.Adapter.FraudAdapter.retrieve_all_value_lists/1","doc":"Retrieve all fraud value lists","ref":"Craftgate.Adapter.FraudAdapter.html#retrieve_all_value_lists/1"},{"type":"function","title":"Craftgate.Adapter.FraudAdapter.retrieve_all_value_lists!/1","doc":"Bangified version of retrieve_all_value_lists/1","ref":"Craftgate.Adapter.FraudAdapter.html#retrieve_all_value_lists!/1"},{"type":"function","title":"Craftgate.Adapter.FraudAdapter.retrieve_value_list/2","doc":"Retrieve the fraud list specified by list_name","ref":"Craftgate.Adapter.FraudAdapter.html#retrieve_value_list/2"},{"type":"function","title":"Craftgate.Adapter.FraudAdapter.retrieve_value_list!/2","doc":"Bangified version of retrieve_value_list/2","ref":"Craftgate.Adapter.FraudAdapter.html#retrieve_value_list!/2"},{"type":"function","title":"Craftgate.Adapter.FraudAdapter.search_fraud_checks/2","doc":"Search for fraud checks that were generated for potentially fraudulent payments","ref":"Craftgate.Adapter.FraudAdapter.html#search_fraud_checks/2"},{"type":"function","title":"Craftgate.Adapter.FraudAdapter.search_fraud_checks!/2","doc":"Bangified version of search_fraud_checks/2","ref":"Craftgate.Adapter.FraudAdapter.html#search_fraud_checks!/2"},{"type":"function","title":"Craftgate.Adapter.FraudAdapter.update_fraud_checks/3","doc":"Mark fraud checks as fraud or not fraud","ref":"Craftgate.Adapter.FraudAdapter.html#update_fraud_checks/3"},{"type":"function","title":"Craftgate.Adapter.FraudAdapter.update_fraud_checks!/3","doc":"Bangified version of update_fraud_checks/3","ref":"Craftgate.Adapter.FraudAdapter.html#update_fraud_checks!/3"},{"type":"module","title":"Craftgate.Adapter.HookAdapter","doc":"","ref":"Craftgate.Adapter.HookAdapter.html"},{"type":"function","title":"Craftgate.Adapter.HookAdapter.is_webhook_verified/3","doc":"Provides hook-related utility functions like verifying incoming webhooks","ref":"Craftgate.Adapter.HookAdapter.html#is_webhook_verified/3"},{"type":"module","title":"Craftgate.Adapter.InstallmentAdapter","doc":"Provides capabilities to retrieve information about BIN numbers and per-installment prices based on installment count","ref":"Craftgate.Adapter.InstallmentAdapter.html"},{"type":"function","title":"Craftgate.Adapter.InstallmentAdapter.retrieve_bin_number/2","doc":"","ref":"Craftgate.Adapter.InstallmentAdapter.html#retrieve_bin_number/2"},{"type":"function","title":"Craftgate.Adapter.InstallmentAdapter.retrieve_bin_number!/2","doc":"Bangified version of retrieve_bin_number/2","ref":"Craftgate.Adapter.InstallmentAdapter.html#retrieve_bin_number!/2"},{"type":"function","title":"Craftgate.Adapter.InstallmentAdapter.search_installments/2","doc":"","ref":"Craftgate.Adapter.InstallmentAdapter.html#search_installments/2"},{"type":"function","title":"Craftgate.Adapter.InstallmentAdapter.search_installments!/2","doc":"Bangified version of search_installments/2","ref":"Craftgate.Adapter.InstallmentAdapter.html#search_installments!/2"},{"type":"module","title":"Craftgate.Adapter.OnboardingAdapter","doc":"Provides capabilities to conduct CRUD operations on buyers and submerchants","ref":"Craftgate.Adapter.OnboardingAdapter.html"},{"type":"function","title":"Craftgate.Adapter.OnboardingAdapter.create_member/2","doc":"","ref":"Craftgate.Adapter.OnboardingAdapter.html#create_member/2"},{"type":"function","title":"Craftgate.Adapter.OnboardingAdapter.create_member!/2","doc":"Bangified version of create_member/2","ref":"Craftgate.Adapter.OnboardingAdapter.html#create_member!/2"},{"type":"function","title":"Craftgate.Adapter.OnboardingAdapter.retrieve_member/2","doc":"","ref":"Craftgate.Adapter.OnboardingAdapter.html#retrieve_member/2"},{"type":"function","title":"Craftgate.Adapter.OnboardingAdapter.retrieve_member!/2","doc":"Bangified version of retrieve_member/2","ref":"Craftgate.Adapter.OnboardingAdapter.html#retrieve_member!/2"},{"type":"function","title":"Craftgate.Adapter.OnboardingAdapter.search_members/2","doc":"","ref":"Craftgate.Adapter.OnboardingAdapter.html#search_members/2"},{"type":"function","title":"Craftgate.Adapter.OnboardingAdapter.search_members!/2","doc":"Bangified version of search_members/2","ref":"Craftgate.Adapter.OnboardingAdapter.html#search_members!/2"},{"type":"function","title":"Craftgate.Adapter.OnboardingAdapter.update_member/3","doc":"","ref":"Craftgate.Adapter.OnboardingAdapter.html#update_member/3"},{"type":"function","title":"Craftgate.Adapter.OnboardingAdapter.update_member!/3","doc":"Bangified version of update_member/3","ref":"Craftgate.Adapter.OnboardingAdapter.html#update_member!/3"},{"type":"module","title":"Craftgate.Adapter.PayByLinkAdapter","doc":"Provides capabilities to manage and list products available for the pay-by-link feature","ref":"Craftgate.Adapter.PayByLinkAdapter.html"},{"type":"function","title":"Craftgate.Adapter.PayByLinkAdapter.create_product/2","doc":"","ref":"Craftgate.Adapter.PayByLinkAdapter.html#create_product/2"},{"type":"function","title":"Craftgate.Adapter.PayByLinkAdapter.create_product!/2","doc":"Bangified version of create_product/2","ref":"Craftgate.Adapter.PayByLinkAdapter.html#create_product!/2"},{"type":"function","title":"Craftgate.Adapter.PayByLinkAdapter.delete_product/2","doc":"","ref":"Craftgate.Adapter.PayByLinkAdapter.html#delete_product/2"},{"type":"function","title":"Craftgate.Adapter.PayByLinkAdapter.delete_product!/2","doc":"Bangified version of delete_product/2","ref":"Craftgate.Adapter.PayByLinkAdapter.html#delete_product!/2"},{"type":"function","title":"Craftgate.Adapter.PayByLinkAdapter.retrieve_product/2","doc":"","ref":"Craftgate.Adapter.PayByLinkAdapter.html#retrieve_product/2"},{"type":"function","title":"Craftgate.Adapter.PayByLinkAdapter.retrieve_product!/2","doc":"Bangified version of retrieve_product/2","ref":"Craftgate.Adapter.PayByLinkAdapter.html#retrieve_product!/2"},{"type":"function","title":"Craftgate.Adapter.PayByLinkAdapter.search_products/2","doc":"","ref":"Craftgate.Adapter.PayByLinkAdapter.html#search_products/2"},{"type":"function","title":"Craftgate.Adapter.PayByLinkAdapter.search_products!/2","doc":"Bangified version of search_products/2","ref":"Craftgate.Adapter.PayByLinkAdapter.html#search_products!/2"},{"type":"function","title":"Craftgate.Adapter.PayByLinkAdapter.update_product/3","doc":"","ref":"Craftgate.Adapter.PayByLinkAdapter.html#update_product/3"},{"type":"function","title":"Craftgate.Adapter.PayByLinkAdapter.update_product!/3","doc":"Bangified version of update_product/3","ref":"Craftgate.Adapter.PayByLinkAdapter.html#update_product!/3"},{"type":"module","title":"Craftgate.Adapter.PaymentAdapter","doc":"Provides capabilities to conduct payments, manage stored cards","ref":"Craftgate.Adapter.PaymentAdapter.html"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.approve_payment_transactions/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#approve_payment_transactions/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.approve_payment_transactions!/2","doc":"Bangified version of approve_payment_transactions/2","ref":"Craftgate.Adapter.PaymentAdapter.html#approve_payment_transactions!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.check_masterpass_user/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#check_masterpass_user/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.check_masterpass_user!/2","doc":"Bangified version of check_masterpass_user/2","ref":"Craftgate.Adapter.PaymentAdapter.html#check_masterpass_user!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.complete_3ds_deposit_payment/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#complete_3ds_deposit_payment/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.complete_3ds_deposit_payment!/2","doc":"Bangified version of complete_3ds_deposit_payment/2","ref":"Craftgate.Adapter.PaymentAdapter.html#complete_3ds_deposit_payment!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.complete_3ds_payment/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#complete_3ds_payment/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.complete_3ds_payment!/2","doc":"Bangified version of complete_3ds_payment/2","ref":"Craftgate.Adapter.PaymentAdapter.html#complete_3ds_payment!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.complete_apm_payment/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#complete_apm_payment/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.complete_apm_payment!/2","doc":"Bangified version of complete_apm_payment/2","ref":"Craftgate.Adapter.PaymentAdapter.html#complete_apm_payment!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.complete_pos_apm_payment/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#complete_pos_apm_payment/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.complete_pos_apm_payment!/2","doc":"Bangified version of complete_pos_apm_payment/2","ref":"Craftgate.Adapter.PaymentAdapter.html#complete_pos_apm_payment!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.create_apm_payment/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#create_apm_payment/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.create_apm_payment!/2","doc":"Bangified version of create_apm_payment/2","ref":"Craftgate.Adapter.PaymentAdapter.html#create_apm_payment!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.create_deposit_payment/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#create_deposit_payment/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.create_deposit_payment!/2","doc":"Bangified version of create_deposit_payment/2","ref":"Craftgate.Adapter.PaymentAdapter.html#create_deposit_payment!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.create_fund_transfer_deposit_payment/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#create_fund_transfer_deposit_payment/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.create_fund_transfer_deposit_payment!/2","doc":"Bangified version of create_fund_transfer_deposit_payment/2","ref":"Craftgate.Adapter.PaymentAdapter.html#create_fund_transfer_deposit_payment!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.create_payment/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#create_payment/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.create_payment!/2","doc":"Bangified version of create_payment/2","ref":"Craftgate.Adapter.PaymentAdapter.html#create_payment!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.delete_stored_card/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#delete_stored_card/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.delete_stored_card!/2","doc":"Bangified version of delete_stored_card/2","ref":"Craftgate.Adapter.PaymentAdapter.html#delete_stored_card!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.disapprove_payment_transactions/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#disapprove_payment_transactions/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.disapprove_payment_transactions!/2","doc":"Bangified version of disapprove_payment_transactions/2","ref":"Craftgate.Adapter.PaymentAdapter.html#disapprove_payment_transactions!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.expire_checkout_payment/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#expire_checkout_payment/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.expire_checkout_payment!/2","doc":"Bangified version of expire_checkout_payment/2","ref":"Craftgate.Adapter.PaymentAdapter.html#expire_checkout_payment!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.init_3ds_deposit_payment/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#init_3ds_deposit_payment/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.init_3ds_deposit_payment!/2","doc":"Bangified version of init_3ds_deposit_payment/2","ref":"Craftgate.Adapter.PaymentAdapter.html#init_3ds_deposit_payment!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.init_3ds_payment/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#init_3ds_payment/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.init_3ds_payment!/2","doc":"Bangified version of init_3ds_payment/2","ref":"Craftgate.Adapter.PaymentAdapter.html#init_3ds_payment!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.init_apm_deposit_payment/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#init_apm_deposit_payment/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.init_apm_deposit_payment!/2","doc":"Bangified version of init_apm_deposit_payment/2","ref":"Craftgate.Adapter.PaymentAdapter.html#init_apm_deposit_payment!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.init_apm_payment/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#init_apm_payment/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.init_apm_payment!/2","doc":"Bangified version of init_apm_payment/2","ref":"Craftgate.Adapter.PaymentAdapter.html#init_apm_payment!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.init_checkout_payment/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#init_checkout_payment/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.init_checkout_payment!/2","doc":"Bangified version of init_checkout_payment/2","ref":"Craftgate.Adapter.PaymentAdapter.html#init_checkout_payment!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.init_garanti_pay_payment/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#init_garanti_pay_payment/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.init_garanti_pay_payment!/2","doc":"Bangified version of init_garanti_pay_payment/2","ref":"Craftgate.Adapter.PaymentAdapter.html#init_garanti_pay_payment!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.init_pos_apm_payment/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#init_pos_apm_payment/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.init_pos_apm_payment!/2","doc":"Bangified version of init_pos_apm_payment/2","ref":"Craftgate.Adapter.PaymentAdapter.html#init_pos_apm_payment!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.is_3d_secure_callback_verified?/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#is_3d_secure_callback_verified?/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.post_auth_payment/3","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#post_auth_payment/3"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.post_auth_payment!/3","doc":"Bangified version of post_auth_payment/3","ref":"Craftgate.Adapter.PaymentAdapter.html#post_auth_payment!/3"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.refund_payment/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#refund_payment/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.refund_payment!/2","doc":"Bangified version of refund_payment/2","ref":"Craftgate.Adapter.PaymentAdapter.html#refund_payment!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.refund_payment_transaction/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#refund_payment_transaction/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.refund_payment_transaction!/2","doc":"Bangified version of refund_payment_transaction/2","ref":"Craftgate.Adapter.PaymentAdapter.html#refund_payment_transaction!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.retrieve_checkout_payment/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#retrieve_checkout_payment/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.retrieve_checkout_payment!/2","doc":"Bangified version of retrieve_checkout_payment/2","ref":"Craftgate.Adapter.PaymentAdapter.html#retrieve_checkout_payment!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.retrieve_loyalties/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#retrieve_loyalties/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.retrieve_loyalties!/2","doc":"Bangified version of retrieve_loyalties/2","ref":"Craftgate.Adapter.PaymentAdapter.html#retrieve_loyalties!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.retrieve_payment_transaction_refund/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#retrieve_payment_transaction_refund/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.retrieve_payment_transaction_refund!/2","doc":"Bangified version of retrieve_payment_transaction_refund/2","ref":"Craftgate.Adapter.PaymentAdapter.html#retrieve_payment_transaction_refund!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.retrieve_refund/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#retrieve_refund/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.retrieve_refund!/2","doc":"Bangified version of retrieve_refund/2","ref":"Craftgate.Adapter.PaymentAdapter.html#retrieve_refund!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.search_stored_cards/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#search_stored_cards/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.search_stored_cards!/2","doc":"Bangified version of search_stored_cards/2","ref":"Craftgate.Adapter.PaymentAdapter.html#search_stored_cards!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.store_card/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#store_card/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.store_card!/2","doc":"Bangified version of store_card/2","ref":"Craftgate.Adapter.PaymentAdapter.html#store_card!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.update_card/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#update_card/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.update_card!/2","doc":"Bangified version of update_card/2","ref":"Craftgate.Adapter.PaymentAdapter.html#update_card!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.update_payment_transaction/2","doc":"","ref":"Craftgate.Adapter.PaymentAdapter.html#update_payment_transaction/2"},{"type":"function","title":"Craftgate.Adapter.PaymentAdapter.update_payment_transaction!/2","doc":"Bangified version of update_payment_transaction/2","ref":"Craftgate.Adapter.PaymentAdapter.html#update_payment_transaction!/2"},{"type":"module","title":"Craftgate.Adapter.PaymentReportingAdapter","doc":"Provides capabilities to search for payments, retrieve payment details, retrieve payment transaction records, etc.","ref":"Craftgate.Adapter.PaymentReportingAdapter.html"},{"type":"function","title":"Craftgate.Adapter.PaymentReportingAdapter.retrieve_payment/2","doc":"","ref":"Craftgate.Adapter.PaymentReportingAdapter.html#retrieve_payment/2"},{"type":"function","title":"Craftgate.Adapter.PaymentReportingAdapter.retrieve_payment!/2","doc":"Bangified version of retrieve_payment/2","ref":"Craftgate.Adapter.PaymentReportingAdapter.html#retrieve_payment!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentReportingAdapter.retrieve_payment_refunds/2","doc":"","ref":"Craftgate.Adapter.PaymentReportingAdapter.html#retrieve_payment_refunds/2"},{"type":"function","title":"Craftgate.Adapter.PaymentReportingAdapter.retrieve_payment_refunds!/2","doc":"Bangified version of retrieve_payment_refunds/2","ref":"Craftgate.Adapter.PaymentReportingAdapter.html#retrieve_payment_refunds!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentReportingAdapter.retrieve_payment_transaction_refunds/3","doc":"","ref":"Craftgate.Adapter.PaymentReportingAdapter.html#retrieve_payment_transaction_refunds/3"},{"type":"function","title":"Craftgate.Adapter.PaymentReportingAdapter.retrieve_payment_transaction_refunds!/3","doc":"Bangified version of retrieve_payment_transaction_refunds/3","ref":"Craftgate.Adapter.PaymentReportingAdapter.html#retrieve_payment_transaction_refunds!/3"},{"type":"function","title":"Craftgate.Adapter.PaymentReportingAdapter.retrieve_payment_transactions/2","doc":"","ref":"Craftgate.Adapter.PaymentReportingAdapter.html#retrieve_payment_transactions/2"},{"type":"function","title":"Craftgate.Adapter.PaymentReportingAdapter.retrieve_payment_transactions!/2","doc":"Bangified version of retrieve_payment_transactions/2","ref":"Craftgate.Adapter.PaymentReportingAdapter.html#retrieve_payment_transactions!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentReportingAdapter.search_payment_refunds/2","doc":"","ref":"Craftgate.Adapter.PaymentReportingAdapter.html#search_payment_refunds/2"},{"type":"function","title":"Craftgate.Adapter.PaymentReportingAdapter.search_payment_refunds!/2","doc":"Bangified version of search_payment_refunds/2","ref":"Craftgate.Adapter.PaymentReportingAdapter.html#search_payment_refunds!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentReportingAdapter.search_payment_transaction_refunds/2","doc":"","ref":"Craftgate.Adapter.PaymentReportingAdapter.html#search_payment_transaction_refunds/2"},{"type":"function","title":"Craftgate.Adapter.PaymentReportingAdapter.search_payment_transaction_refunds!/2","doc":"Bangified version of search_payment_transaction_refunds/2","ref":"Craftgate.Adapter.PaymentReportingAdapter.html#search_payment_transaction_refunds!/2"},{"type":"function","title":"Craftgate.Adapter.PaymentReportingAdapter.search_payments/2","doc":"","ref":"Craftgate.Adapter.PaymentReportingAdapter.html#search_payments/2"},{"type":"function","title":"Craftgate.Adapter.PaymentReportingAdapter.search_payments!/2","doc":"Bangified version of search_payments/2","ref":"Craftgate.Adapter.PaymentReportingAdapter.html#search_payments!/2"},{"type":"module","title":"Craftgate.Adapter.SettlementAdapter","doc":"Provides capabilities to initiate settlement operations like creating instant wallet settlements","ref":"Craftgate.Adapter.SettlementAdapter.html"},{"type":"function","title":"Craftgate.Adapter.SettlementAdapter.create_instant_wallet_settlement/2","doc":"","ref":"Craftgate.Adapter.SettlementAdapter.html#create_instant_wallet_settlement/2"},{"type":"function","title":"Craftgate.Adapter.SettlementAdapter.create_instant_wallet_settlement!/2","doc":"Bangified version of create_instant_wallet_settlement/2","ref":"Craftgate.Adapter.SettlementAdapter.html#create_instant_wallet_settlement!/2"},{"type":"function","title":"Craftgate.Adapter.SettlementAdapter.create_payout_account/2","doc":"","ref":"Craftgate.Adapter.SettlementAdapter.html#create_payout_account/2"},{"type":"function","title":"Craftgate.Adapter.SettlementAdapter.create_payout_account!/2","doc":"Bangified version of create_payout_account/2","ref":"Craftgate.Adapter.SettlementAdapter.html#create_payout_account!/2"},{"type":"function","title":"Craftgate.Adapter.SettlementAdapter.delete_payout_account/2","doc":"","ref":"Craftgate.Adapter.SettlementAdapter.html#delete_payout_account/2"},{"type":"function","title":"Craftgate.Adapter.SettlementAdapter.delete_payout_account!/2","doc":"Bangified version of delete_payout_account/2","ref":"Craftgate.Adapter.SettlementAdapter.html#delete_payout_account!/2"},{"type":"function","title":"Craftgate.Adapter.SettlementAdapter.search_payout_accounts/2","doc":"","ref":"Craftgate.Adapter.SettlementAdapter.html#search_payout_accounts/2"},{"type":"function","title":"Craftgate.Adapter.SettlementAdapter.search_payout_accounts!/2","doc":"Bangified version of search_payout_accounts/2","ref":"Craftgate.Adapter.SettlementAdapter.html#search_payout_accounts!/2"},{"type":"function","title":"Craftgate.Adapter.SettlementAdapter.update_payout_account/3","doc":"","ref":"Craftgate.Adapter.SettlementAdapter.html#update_payout_account/3"},{"type":"function","title":"Craftgate.Adapter.SettlementAdapter.update_payout_account!/3","doc":"Bangified version of update_payout_account/3","ref":"Craftgate.Adapter.SettlementAdapter.html#update_payout_account!/3"},{"type":"module","title":"Craftgate.Adapter.SettlementReportingAdapter","doc":"Provides capabilities to retrieve information about settlement operations like searching for payout completed or bounced transactions","ref":"Craftgate.Adapter.SettlementReportingAdapter.html"},{"type":"function","title":"Craftgate.Adapter.SettlementReportingAdapter.retrieve_payout_details/2","doc":"","ref":"Craftgate.Adapter.SettlementReportingAdapter.html#retrieve_payout_details/2"},{"type":"function","title":"Craftgate.Adapter.SettlementReportingAdapter.retrieve_payout_details!/2","doc":"Bangified version of retrieve_payout_details/2","ref":"Craftgate.Adapter.SettlementReportingAdapter.html#retrieve_payout_details!/2"},{"type":"function","title":"Craftgate.Adapter.SettlementReportingAdapter.search_bounced_payout_transactions/2","doc":"","ref":"Craftgate.Adapter.SettlementReportingAdapter.html#search_bounced_payout_transactions/2"},{"type":"function","title":"Craftgate.Adapter.SettlementReportingAdapter.search_bounced_payout_transactions!/2","doc":"Bangified version of search_bounced_payout_transactions/2","ref":"Craftgate.Adapter.SettlementReportingAdapter.html#search_bounced_payout_transactions!/2"},{"type":"function","title":"Craftgate.Adapter.SettlementReportingAdapter.search_payout_completed_transactions/2","doc":"","ref":"Craftgate.Adapter.SettlementReportingAdapter.html#search_payout_completed_transactions/2"},{"type":"function","title":"Craftgate.Adapter.SettlementReportingAdapter.search_payout_completed_transactions!/2","doc":"Bangified version of search_payout_completed_transactions/2","ref":"Craftgate.Adapter.SettlementReportingAdapter.html#search_payout_completed_transactions!/2"},{"type":"function","title":"Craftgate.Adapter.SettlementReportingAdapter.search_payout_rows/2","doc":"","ref":"Craftgate.Adapter.SettlementReportingAdapter.html#search_payout_rows/2"},{"type":"function","title":"Craftgate.Adapter.SettlementReportingAdapter.search_payout_rows!/2","doc":"Bangified version of search_payout_rows/2","ref":"Craftgate.Adapter.SettlementReportingAdapter.html#search_payout_rows!/2"},{"type":"module","title":"Craftgate.Adapter.WalletAdapter","doc":"Provides capabilities to manage member wallets, search for wallet transactions, and send or receive remittance","ref":"Craftgate.Adapter.WalletAdapter.html"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.cancel_withdraw/2","doc":"","ref":"Craftgate.Adapter.WalletAdapter.html#cancel_withdraw/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.cancel_withdraw!/2","doc":"Bangified version of cancel_withdraw/2","ref":"Craftgate.Adapter.WalletAdapter.html#cancel_withdraw!/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.create_wallet/3","doc":"","ref":"Craftgate.Adapter.WalletAdapter.html#create_wallet/3"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.create_wallet!/3","doc":"Bangified version of create_wallet/3","ref":"Craftgate.Adapter.WalletAdapter.html#create_wallet!/3"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.create_withdraw/2","doc":"","ref":"Craftgate.Adapter.WalletAdapter.html#create_withdraw/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.create_withdraw!/2","doc":"Bangified version of create_withdraw/2","ref":"Craftgate.Adapter.WalletAdapter.html#create_withdraw!/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.receive_remittance/2","doc":"","ref":"Craftgate.Adapter.WalletAdapter.html#receive_remittance/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.receive_remittance!/2","doc":"Bangified version of receive_remittance/2","ref":"Craftgate.Adapter.WalletAdapter.html#receive_remittance!/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.refund_wallet_transaction/3","doc":"","ref":"Craftgate.Adapter.WalletAdapter.html#refund_wallet_transaction/3"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.refund_wallet_transaction!/3","doc":"Bangified version of refund_wallet_transaction/3","ref":"Craftgate.Adapter.WalletAdapter.html#refund_wallet_transaction!/3"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.reset_merchant_member_wallet_balance/2","doc":"","ref":"Craftgate.Adapter.WalletAdapter.html#reset_merchant_member_wallet_balance/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.reset_merchant_member_wallet_balance!/2","doc":"Bangified version of reset_merchant_member_wallet_balance/2","ref":"Craftgate.Adapter.WalletAdapter.html#reset_merchant_member_wallet_balance!/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.retrieve_member_wallet/2","doc":"","ref":"Craftgate.Adapter.WalletAdapter.html#retrieve_member_wallet/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.retrieve_member_wallet!/2","doc":"Bangified version of retrieve_member_wallet/2","ref":"Craftgate.Adapter.WalletAdapter.html#retrieve_member_wallet!/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.retrieve_merchant_member_wallet/1","doc":"","ref":"Craftgate.Adapter.WalletAdapter.html#retrieve_merchant_member_wallet/1"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.retrieve_merchant_member_wallet!/1","doc":"Bangified version of retrieve_merchant_member_wallet/1","ref":"Craftgate.Adapter.WalletAdapter.html#retrieve_merchant_member_wallet!/1"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.retrieve_refund_wallet_transaction/2","doc":"","ref":"Craftgate.Adapter.WalletAdapter.html#retrieve_refund_wallet_transaction/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.retrieve_refund_wallet_transaction!/2","doc":"Bangified version of retrieve_refund_wallet_transaction/2","ref":"Craftgate.Adapter.WalletAdapter.html#retrieve_refund_wallet_transaction!/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.retrieve_refundable_amount_of_wallet_transaction/2","doc":"","ref":"Craftgate.Adapter.WalletAdapter.html#retrieve_refundable_amount_of_wallet_transaction/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.retrieve_refundable_amount_of_wallet_transaction!/2","doc":"Bangified version of retrieve_refundable_amount_of_wallet_transaction/2","ref":"Craftgate.Adapter.WalletAdapter.html#retrieve_refundable_amount_of_wallet_transaction!/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.retrieve_remittance/2","doc":"","ref":"Craftgate.Adapter.WalletAdapter.html#retrieve_remittance/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.retrieve_remittance!/2","doc":"Bangified version of retrieve_remittance/2","ref":"Craftgate.Adapter.WalletAdapter.html#retrieve_remittance!/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.retrieve_withdraw/2","doc":"","ref":"Craftgate.Adapter.WalletAdapter.html#retrieve_withdraw/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.retrieve_withdraw!/2","doc":"Bangified version of retrieve_withdraw/2","ref":"Craftgate.Adapter.WalletAdapter.html#retrieve_withdraw!/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.search_wallet_transactions/3","doc":"","ref":"Craftgate.Adapter.WalletAdapter.html#search_wallet_transactions/3"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.search_wallet_transactions!/3","doc":"Bangified version of search_wallet_transactions/3","ref":"Craftgate.Adapter.WalletAdapter.html#search_wallet_transactions!/3"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.search_withdraws/2","doc":"","ref":"Craftgate.Adapter.WalletAdapter.html#search_withdraws/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.search_withdraws!/2","doc":"Bangified version of search_withdraws/2","ref":"Craftgate.Adapter.WalletAdapter.html#search_withdraws!/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.send_remittance/2","doc":"","ref":"Craftgate.Adapter.WalletAdapter.html#send_remittance/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.send_remittance!/2","doc":"Bangified version of send_remittance/2","ref":"Craftgate.Adapter.WalletAdapter.html#send_remittance!/2"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.update_wallet/4","doc":"","ref":"Craftgate.Adapter.WalletAdapter.html#update_wallet/4"},{"type":"function","title":"Craftgate.Adapter.WalletAdapter.update_wallet!/4","doc":"Bangified version of update_wallet/4","ref":"Craftgate.Adapter.WalletAdapter.html#update_wallet!/4"},{"type":"module","title":"Craftgate.Config","doc":"Represents a set of configuration options for Craftgate","ref":"Craftgate.Config.html"},{"type":"function","title":"Craftgate.Config.get/0","doc":"","ref":"Craftgate.Config.html#get/0"},{"type":"function","title":"Craftgate.Config.get!/0","doc":"","ref":"Craftgate.Config.html#get!/0"},{"type":"type","title":"Craftgate.Config.api_key/0","doc":"","ref":"Craftgate.Config.html#t:api_key/0"},{"type":"type","title":"Craftgate.Config.base_url/0","doc":"","ref":"Craftgate.Config.html#t:base_url/0"},{"type":"type","title":"Craftgate.Config.lang/0","doc":"","ref":"Craftgate.Config.html#t:lang/0"},{"type":"type","title":"Craftgate.Config.request_options/0","doc":"","ref":"Craftgate.Config.html#t:request_options/0"},{"type":"type","title":"Craftgate.Config.secret_key/0","doc":"","ref":"Craftgate.Config.html#t:secret_key/0"},{"type":"type","title":"Craftgate.Config.t/0","doc":"","ref":"Craftgate.Config.html#t:t/0"},{"type":"module","title":"Craftgate.Enum","doc":"Allows modules to declare enumerations of certain values, with serialization/deserialization support. To do this, simply use this module and list the individual values as a list of atoms, e.g. defmodule MyEnum do use Craftgate.Enum , [ :FOO , :BAR ] end With this, the MyEnum module will gain access to the following convenience methods which can be useful to compare incoming values with. ... def foo ( ) , do : :FOO def bar ( ) , do : :BAR def values ( ) , do : [ :FOO , :BAR ] ... The module will also adopt the Construct.TypeC behavior which will allow it to cast back and forth between values and their string representations. For more info, see Construct.TypeC MyEnum . cast ( &quot;FOO&quot; ) # returns :FOO MyEnum . cast ( :FOO ) # returns :FOO Please also note that strings or atoms that are not in the actual enumaration list will still be accepted so as not to regressions when a remote data source decides to add more values to the list. When this occurs, an error message will be logged into the console with the warn level to let the developers know that a version bump might be necessary. MyEnum . cast ( &quot;BAZ&quot; ) # returns :BAZ but also logs the following message: # An unknown enum value was received but accepted for backwards compatibility: BAZ. Known values are: BAR, BAZ","ref":"Craftgate.Enum.html"},{"type":"function","title":"Craftgate.Enum.castc/2","doc":"Callback implementation for Construct.TypeC.castc/2 .","ref":"Craftgate.Enum.html#castc/2"},{"type":"module","title":"Craftgate.HttpClient","doc":"The module responsible for sending requests to Craftgate API Uses HTTPoison in the background to execute requests and the Craftgate.Serializable module to encode/decode requests and responses","ref":"Craftgate.HttpClient.html"},{"type":"function","title":"Craftgate.HttpClient.delete!/3","doc":"Convenience method to get the current Craftgate configuration and execute a DELETE request","ref":"Craftgate.HttpClient.html#delete!/3"},{"type":"function","title":"Craftgate.HttpClient.execute/2","doc":"Executes a request against Craftgate API with the given properties The list of options that can be passed in the options keyword list are as follows: :method - (Required) The HTTP method to send with the request :url - (Required) The path or the relative URL to send the request to :params - (Optional) The keyword list of query parameters to append to the URL. Will default to the empty list [] :body - (Optional) The body to send the request with. Will default to nil :lang - (Optional) The language to send the request with. Whe default language from the configuration will be used :headers - (Optional) The list of additional headers to send the request with. Will default to the empty list [] . Built-in headers ( x-api-key , x-auth-version , x-signature , lang , etc.) will be overridden with the calculated values :request_options - (Optional) The keyword list of request options to specify to HTTPoison . Will default to the empty list [] . Refer to HTTPoison.options/3 for more details.","ref":"Craftgate.HttpClient.html#execute/2"},{"type":"function","title":"Craftgate.HttpClient.get!/3","doc":"Convenience method to get the current Craftgate configuration and execute a GET request","ref":"Craftgate.HttpClient.html#get!/3"},{"type":"function","title":"Craftgate.HttpClient.head!/3","doc":"Convenience method to get the current Craftgate configuration and execute a HEAD request","ref":"Craftgate.HttpClient.html#head!/3"},{"type":"function","title":"Craftgate.HttpClient.patch!/3","doc":"Convenience method to get the current Craftgate configuration and execute a PATCH request","ref":"Craftgate.HttpClient.html#patch!/3"},{"type":"function","title":"Craftgate.HttpClient.post!/3","doc":"Convenience method to get the current Craftgate configuration and execute a POST request","ref":"Craftgate.HttpClient.html#post!/3"},{"type":"function","title":"Craftgate.HttpClient.put!/3","doc":"Convenience method to get the current Craftgate configuration and execute a PUT request","ref":"Craftgate.HttpClient.html#put!/3"},{"type":"type","title":"Craftgate.HttpClient.body/0","doc":"","ref":"Craftgate.HttpClient.html#t:body/0"},{"type":"type","title":"Craftgate.HttpClient.error_result/0","doc":"","ref":"Craftgate.HttpClient.html#t:error_result/0"},{"type":"type","title":"Craftgate.HttpClient.execute_options/0","doc":"","ref":"Craftgate.HttpClient.html#t:execute_options/0"},{"type":"type","title":"Craftgate.HttpClient.headers/0","doc":"","ref":"Craftgate.HttpClient.html#t:headers/0"},{"type":"type","title":"Craftgate.HttpClient.method/0","doc":"","ref":"Craftgate.HttpClient.html#t:method/0"},{"type":"type","title":"Craftgate.HttpClient.params/0","doc":"","ref":"Craftgate.HttpClient.html#t:params/0"},{"type":"type","title":"Craftgate.HttpClient.request_options/0","doc":"","ref":"Craftgate.HttpClient.html#t:request_options/0"},{"type":"type","title":"Craftgate.HttpClient.success_result/0","doc":"","ref":"Craftgate.HttpClient.html#t:success_result/0"},{"type":"type","title":"Craftgate.HttpClient.url/0","doc":"","ref":"Craftgate.HttpClient.html#t:url/0"},{"type":"module","title":"Craftgate.Model.AccountOwner","doc":"Elixir equivalent of the Java enum io.craftgate.model.AccountOwner","ref":"Craftgate.Model.AccountOwner.html"},{"type":"function","title":"Craftgate.Model.AccountOwner.cast/1","doc":"","ref":"Craftgate.Model.AccountOwner.html#cast/1"},{"type":"function","title":"Craftgate.Model.AccountOwner.merchant/0","doc":"","ref":"Craftgate.Model.AccountOwner.html#merchant/0"},{"type":"function","title":"Craftgate.Model.AccountOwner.sub_merchant_member/0","doc":"","ref":"Craftgate.Model.AccountOwner.html#sub_merchant_member/0"},{"type":"function","title":"Craftgate.Model.AccountOwner.values/0","doc":"","ref":"Craftgate.Model.AccountOwner.html#values/0"},{"type":"type","title":"Craftgate.Model.AccountOwner.t/0","doc":"","ref":"Craftgate.Model.AccountOwner.html#t:t/0"},{"type":"module","title":"Craftgate.Model.AdditionalAction","doc":"Elixir equivalent of the Java enum io.craftgate.model.AdditionalAction","ref":"Craftgate.Model.AdditionalAction.html"},{"type":"function","title":"Craftgate.Model.AdditionalAction.cast/1","doc":"","ref":"Craftgate.Model.AdditionalAction.html#cast/1"},{"type":"function","title":"Craftgate.Model.AdditionalAction.continue_in_client/0","doc":"","ref":"Craftgate.Model.AdditionalAction.html#continue_in_client/0"},{"type":"function","title":"Craftgate.Model.AdditionalAction.none/0","doc":"","ref":"Craftgate.Model.AdditionalAction.html#none/0"},{"type":"function","title":"Craftgate.Model.AdditionalAction.show_html_content/0","doc":"","ref":"Craftgate.Model.AdditionalAction.html#show_html_content/0"},{"type":"function","title":"Craftgate.Model.AdditionalAction.values/0","doc":"","ref":"Craftgate.Model.AdditionalAction.html#values/0"},{"type":"type","title":"Craftgate.Model.AdditionalAction.t/0","doc":"","ref":"Craftgate.Model.AdditionalAction.html#t:t/0"},{"type":"module","title":"Craftgate.Model.ApmAdditionalAction","doc":"Elixir equivalent of the Java enum io.craftgate.model.ApmAdditionalAction","ref":"Craftgate.Model.ApmAdditionalAction.html"},{"type":"function","title":"Craftgate.Model.ApmAdditionalAction.cast/1","doc":"","ref":"Craftgate.Model.ApmAdditionalAction.html#cast/1"},{"type":"function","title":"Craftgate.Model.ApmAdditionalAction.none/0","doc":"","ref":"Craftgate.Model.ApmAdditionalAction.html#none/0"},{"type":"function","title":"Craftgate.Model.ApmAdditionalAction.otp_required/0","doc":"","ref":"Craftgate.Model.ApmAdditionalAction.html#otp_required/0"},{"type":"function","title":"Craftgate.Model.ApmAdditionalAction.redirect_to_url/0","doc":"","ref":"Craftgate.Model.ApmAdditionalAction.html#redirect_to_url/0"},{"type":"function","title":"Craftgate.Model.ApmAdditionalAction.values/0","doc":"","ref":"Craftgate.Model.ApmAdditionalAction.html#values/0"},{"type":"type","title":"Craftgate.Model.ApmAdditionalAction.t/0","doc":"","ref":"Craftgate.Model.ApmAdditionalAction.html#t:t/0"},{"type":"module","title":"Craftgate.Model.ApmType","doc":"Elixir equivalent of the Java enum io.craftgate.model.ApmType","ref":"Craftgate.Model.ApmType.html"},{"type":"function","title":"Craftgate.Model.ApmType.afterpay/0","doc":"","ref":"Craftgate.Model.ApmType.html#afterpay/0"},{"type":"function","title":"Craftgate.Model.ApmType.cash_on_delivery/0","doc":"","ref":"Craftgate.Model.ApmType.html#cash_on_delivery/0"},{"type":"function","title":"Craftgate.Model.ApmType.cast/1","doc":"","ref":"Craftgate.Model.ApmType.html#cast/1"},{"type":"function","title":"Craftgate.Model.ApmType.edenred/0","doc":"","ref":"Craftgate.Model.ApmType.html#edenred/0"},{"type":"function","title":"Craftgate.Model.ApmType.edenred_gift/0","doc":"","ref":"Craftgate.Model.ApmType.html#edenred_gift/0"},{"type":"function","title":"Craftgate.Model.ApmType.fund_transfer/0","doc":"","ref":"Craftgate.Model.ApmType.html#fund_transfer/0"},{"type":"function","title":"Craftgate.Model.ApmType.klarna/0","doc":"","ref":"Craftgate.Model.ApmType.html#klarna/0"},{"type":"function","title":"Craftgate.Model.ApmType.papara/0","doc":"","ref":"Craftgate.Model.ApmType.html#papara/0"},{"type":"function","title":"Craftgate.Model.ApmType.payoneer/0","doc":"","ref":"Craftgate.Model.ApmType.html#payoneer/0"},{"type":"function","title":"Craftgate.Model.ApmType.paypal/0","doc":"","ref":"Craftgate.Model.ApmType.html#paypal/0"},{"type":"function","title":"Craftgate.Model.ApmType.sodexo/0","doc":"","ref":"Craftgate.Model.ApmType.html#sodexo/0"},{"type":"function","title":"Craftgate.Model.ApmType.stripe/0","doc":"","ref":"Craftgate.Model.ApmType.html#stripe/0"},{"type":"function","title":"Craftgate.Model.ApmType.values/0","doc":"","ref":"Craftgate.Model.ApmType.html#values/0"},{"type":"type","title":"Craftgate.Model.ApmType.t/0","doc":"","ref":"Craftgate.Model.ApmType.html#t:t/0"},{"type":"module","title":"Craftgate.Model.ApprovalStatus","doc":"Elixir equivalent of the Java enum io.craftgate.model.ApprovalStatus","ref":"Craftgate.Model.ApprovalStatus.html"},{"type":"function","title":"Craftgate.Model.ApprovalStatus.cast/1","doc":"","ref":"Craftgate.Model.ApprovalStatus.html#cast/1"},{"type":"function","title":"Craftgate.Model.ApprovalStatus.failure/0","doc":"","ref":"Craftgate.Model.ApprovalStatus.html#failure/0"},{"type":"function","title":"Craftgate.Model.ApprovalStatus.success/0","doc":"","ref":"Craftgate.Model.ApprovalStatus.html#success/0"},{"type":"function","title":"Craftgate.Model.ApprovalStatus.values/0","doc":"","ref":"Craftgate.Model.ApprovalStatus.html#values/0"},{"type":"type","title":"Craftgate.Model.ApprovalStatus.t/0","doc":"","ref":"Craftgate.Model.ApprovalStatus.html#t:t/0"},{"type":"module","title":"Craftgate.Model.BounceStatus","doc":"Elixir equivalent of the Java enum io.craftgate.model.BounceStatus","ref":"Craftgate.Model.BounceStatus.html"},{"type":"function","title":"Craftgate.Model.BounceStatus.bounced/0","doc":"","ref":"Craftgate.Model.BounceStatus.html#bounced/0"},{"type":"function","title":"Craftgate.Model.BounceStatus.cast/1","doc":"","ref":"Craftgate.Model.BounceStatus.html#cast/1"},{"type":"function","title":"Craftgate.Model.BounceStatus.not_bounced/0","doc":"","ref":"Craftgate.Model.BounceStatus.html#not_bounced/0"},{"type":"function","title":"Craftgate.Model.BounceStatus.payout_completed/0","doc":"","ref":"Craftgate.Model.BounceStatus.html#payout_completed/0"},{"type":"function","title":"Craftgate.Model.BounceStatus.payout_started/0","doc":"","ref":"Craftgate.Model.BounceStatus.html#payout_started/0"},{"type":"function","title":"Craftgate.Model.BounceStatus.updated/0","doc":"","ref":"Craftgate.Model.BounceStatus.html#updated/0"},{"type":"function","title":"Craftgate.Model.BounceStatus.values/0","doc":"","ref":"Craftgate.Model.BounceStatus.html#values/0"},{"type":"type","title":"Craftgate.Model.BounceStatus.t/0","doc":"","ref":"Craftgate.Model.BounceStatus.html#t:t/0"},{"type":"module","title":"Craftgate.Model.CardAssociation","doc":"Elixir equivalent of the Java enum io.craftgate.model.CardAssociation","ref":"Craftgate.Model.CardAssociation.html"},{"type":"function","title":"Craftgate.Model.CardAssociation.amex/0","doc":"","ref":"Craftgate.Model.CardAssociation.html#amex/0"},{"type":"function","title":"Craftgate.Model.CardAssociation.cast/1","doc":"","ref":"Craftgate.Model.CardAssociation.html#cast/1"},{"type":"function","title":"Craftgate.Model.CardAssociation.diners_club/0","doc":"","ref":"Craftgate.Model.CardAssociation.html#diners_club/0"},{"type":"function","title":"Craftgate.Model.CardAssociation.discover/0","doc":"","ref":"Craftgate.Model.CardAssociation.html#discover/0"},{"type":"function","title":"Craftgate.Model.CardAssociation.jcb/0","doc":"","ref":"Craftgate.Model.CardAssociation.html#jcb/0"},{"type":"function","title":"Craftgate.Model.CardAssociation.maestro/0","doc":"","ref":"Craftgate.Model.CardAssociation.html#maestro/0"},{"type":"function","title":"Craftgate.Model.CardAssociation.master_card/0","doc":"","ref":"Craftgate.Model.CardAssociation.html#master_card/0"},{"type":"function","title":"Craftgate.Model.CardAssociation.troy/0","doc":"","ref":"Craftgate.Model.CardAssociation.html#troy/0"},{"type":"function","title":"Craftgate.Model.CardAssociation.union_pay/0","doc":"","ref":"Craftgate.Model.CardAssociation.html#union_pay/0"},{"type":"function","title":"Craftgate.Model.CardAssociation.values/0","doc":"","ref":"Craftgate.Model.CardAssociation.html#values/0"},{"type":"function","title":"Craftgate.Model.CardAssociation.visa/0","doc":"","ref":"Craftgate.Model.CardAssociation.html#visa/0"},{"type":"type","title":"Craftgate.Model.CardAssociation.t/0","doc":"","ref":"Craftgate.Model.CardAssociation.html#t:t/0"},{"type":"module","title":"Craftgate.Model.CardExpiryStatus","doc":"Elixir equivalent of the Java enum io.craftgate.model.CardExpiryStatus","ref":"Craftgate.Model.CardExpiryStatus.html"},{"type":"function","title":"Craftgate.Model.CardExpiryStatus.cast/1","doc":"","ref":"Craftgate.Model.CardExpiryStatus.html#cast/1"},{"type":"function","title":"Craftgate.Model.CardExpiryStatus.expired/0","doc":"","ref":"Craftgate.Model.CardExpiryStatus.html#expired/0"},{"type":"function","title":"Craftgate.Model.CardExpiryStatus.not_expired/0","doc":"","ref":"Craftgate.Model.CardExpiryStatus.html#not_expired/0"},{"type":"function","title":"Craftgate.Model.CardExpiryStatus.values/0","doc":"","ref":"Craftgate.Model.CardExpiryStatus.html#values/0"},{"type":"function","title":"Craftgate.Model.CardExpiryStatus.will_expire_next_month/0","doc":"","ref":"Craftgate.Model.CardExpiryStatus.html#will_expire_next_month/0"},{"type":"type","title":"Craftgate.Model.CardExpiryStatus.t/0","doc":"","ref":"Craftgate.Model.CardExpiryStatus.html#t:t/0"},{"type":"module","title":"Craftgate.Model.CardType","doc":"Elixir equivalent of the Java enum io.craftgate.model.CardType","ref":"Craftgate.Model.CardType.html"},{"type":"function","title":"Craftgate.Model.CardType.cast/1","doc":"","ref":"Craftgate.Model.CardType.html#cast/1"},{"type":"function","title":"Craftgate.Model.CardType.credit_card/0","doc":"","ref":"Craftgate.Model.CardType.html#credit_card/0"},{"type":"function","title":"Craftgate.Model.CardType.debit_card/0","doc":"","ref":"Craftgate.Model.CardType.html#debit_card/0"},{"type":"function","title":"Craftgate.Model.CardType.prepaid_card/0","doc":"","ref":"Craftgate.Model.CardType.html#prepaid_card/0"},{"type":"function","title":"Craftgate.Model.CardType.values/0","doc":"","ref":"Craftgate.Model.CardType.html#values/0"},{"type":"type","title":"Craftgate.Model.CardType.t/0","doc":"","ref":"Craftgate.Model.CardType.html#t:t/0"},{"type":"module","title":"Craftgate.Model.Currency","doc":"Elixir equivalent of the Java enum io.craftgate.model.Currency","ref":"Craftgate.Model.Currency.html"},{"type":"function","title":"Craftgate.Model.Currency.aed/0","doc":"","ref":"Craftgate.Model.Currency.html#aed/0"},{"type":"function","title":"Craftgate.Model.Currency.ars/0","doc":"","ref":"Craftgate.Model.Currency.html#ars/0"},{"type":"function","title":"Craftgate.Model.Currency.azn/0","doc":"","ref":"Craftgate.Model.Currency.html#azn/0"},{"type":"function","title":"Craftgate.Model.Currency.brl/0","doc":"","ref":"Craftgate.Model.Currency.html#brl/0"},{"type":"function","title":"Craftgate.Model.Currency.cast/1","doc":"","ref":"Craftgate.Model.Currency.html#cast/1"},{"type":"function","title":"Craftgate.Model.Currency.cny/0","doc":"","ref":"Craftgate.Model.Currency.html#cny/0"},{"type":"function","title":"Craftgate.Model.Currency.eur/0","doc":"","ref":"Craftgate.Model.Currency.html#eur/0"},{"type":"function","title":"Craftgate.Model.Currency.gbp/0","doc":"","ref":"Craftgate.Model.Currency.html#gbp/0"},{"type":"function","title":"Craftgate.Model.Currency.iqd/0","doc":"","ref":"Craftgate.Model.Currency.html#iqd/0"},{"type":"function","title":"Craftgate.Model.Currency.try/0","doc":"","ref":"Craftgate.Model.Currency.html#try/0"},{"type":"function","title":"Craftgate.Model.Currency.usd/0","doc":"","ref":"Craftgate.Model.Currency.html#usd/0"},{"type":"function","title":"Craftgate.Model.Currency.values/0","doc":"","ref":"Craftgate.Model.Currency.html#values/0"},{"type":"type","title":"Craftgate.Model.Currency.t/0","doc":"","ref":"Craftgate.Model.Currency.html#t:t/0"},{"type":"module","title":"Craftgate.Model.FileStatus","doc":"Elixir equivalent of the Java enum io.craftgate.model.FileStatus","ref":"Craftgate.Model.FileStatus.html"},{"type":"function","title":"Craftgate.Model.FileStatus.approved/0","doc":"","ref":"Craftgate.Model.FileStatus.html#approved/0"},{"type":"function","title":"Craftgate.Model.FileStatus.cast/1","doc":"","ref":"Craftgate.Model.FileStatus.html#cast/1"},{"type":"function","title":"Craftgate.Model.FileStatus.created/0","doc":"","ref":"Craftgate.Model.FileStatus.html#created/0"},{"type":"function","title":"Craftgate.Model.FileStatus.uploaded/0","doc":"","ref":"Craftgate.Model.FileStatus.html#uploaded/0"},{"type":"function","title":"Craftgate.Model.FileStatus.values/0","doc":"","ref":"Craftgate.Model.FileStatus.html#values/0"},{"type":"type","title":"Craftgate.Model.FileStatus.t/0","doc":"","ref":"Craftgate.Model.FileStatus.html#t:t/0"},{"type":"module","title":"Craftgate.Model.FraudAction","doc":"Elixir equivalent of the Java enum io.craftgate.model.FraudAction","ref":"Craftgate.Model.FraudAction.html"},{"type":"function","title":"Craftgate.Model.FraudAction.block/0","doc":"","ref":"Craftgate.Model.FraudAction.html#block/0"},{"type":"function","title":"Craftgate.Model.FraudAction.cast/1","doc":"","ref":"Craftgate.Model.FraudAction.html#cast/1"},{"type":"function","title":"Craftgate.Model.FraudAction.review/0","doc":"","ref":"Craftgate.Model.FraudAction.html#review/0"},{"type":"function","title":"Craftgate.Model.FraudAction.values/0","doc":"","ref":"Craftgate.Model.FraudAction.html#values/0"},{"type":"type","title":"Craftgate.Model.FraudAction.t/0","doc":"","ref":"Craftgate.Model.FraudAction.html#t:t/0"},{"type":"module","title":"Craftgate.Model.FraudCheckStatus","doc":"Elixir equivalent of the Java enum io.craftgate.model.FraudCheckStatus","ref":"Craftgate.Model.FraudCheckStatus.html"},{"type":"function","title":"Craftgate.Model.FraudCheckStatus.cast/1","doc":"","ref":"Craftgate.Model.FraudCheckStatus.html#cast/1"},{"type":"function","title":"Craftgate.Model.FraudCheckStatus.fraud/0","doc":"","ref":"Craftgate.Model.FraudCheckStatus.html#fraud/0"},{"type":"function","title":"Craftgate.Model.FraudCheckStatus.not_fraud/0","doc":"","ref":"Craftgate.Model.FraudCheckStatus.html#not_fraud/0"},{"type":"function","title":"Craftgate.Model.FraudCheckStatus.values/0","doc":"","ref":"Craftgate.Model.FraudCheckStatus.html#values/0"},{"type":"function","title":"Craftgate.Model.FraudCheckStatus.waiting/0","doc":"","ref":"Craftgate.Model.FraudCheckStatus.html#waiting/0"},{"type":"type","title":"Craftgate.Model.FraudCheckStatus.t/0","doc":"","ref":"Craftgate.Model.FraudCheckStatus.html#t:t/0"},{"type":"module","title":"Craftgate.Model.FraudValue","doc":"Elixir equivalent of the Java data class io.craftgate.model.FraudValue","ref":"Craftgate.Model.FraudValue.html"},{"type":"function","title":"Craftgate.Model.FraudValue.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Model.FraudValue.html#cast/2"},{"type":"function","title":"Craftgate.Model.FraudValue.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Model.FraudValue.html#make/2"},{"type":"function","title":"Craftgate.Model.FraudValue.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Model.FraudValue.html#make!/2"},{"type":"function","title":"Craftgate.Model.FraudValue.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Model.FraudValue.html#parse/1"},{"type":"function","title":"Craftgate.Model.FraudValue.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Model.FraudValue.html#parse!/1"},{"type":"function","title":"Craftgate.Model.FraudValue.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Model.FraudValue.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Model.FraudValue.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Model.FraudValue.html#serialize/2"},{"type":"function","title":"Craftgate.Model.FraudValue.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Model.FraudValue.html#serialize!/2"},{"type":"type","title":"Craftgate.Model.FraudValue.t/0","doc":"","ref":"Craftgate.Model.FraudValue.html#t:t/0"},{"type":"module","title":"Craftgate.Model.Loyalty","doc":"Elixir equivalent of the Java data class io.craftgate.model.Loyalty","ref":"Craftgate.Model.Loyalty.html"},{"type":"function","title":"Craftgate.Model.Loyalty.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Model.Loyalty.html#cast/2"},{"type":"function","title":"Craftgate.Model.Loyalty.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Model.Loyalty.html#make/2"},{"type":"function","title":"Craftgate.Model.Loyalty.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Model.Loyalty.html#make!/2"},{"type":"function","title":"Craftgate.Model.Loyalty.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Model.Loyalty.html#parse/1"},{"type":"function","title":"Craftgate.Model.Loyalty.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Model.Loyalty.html#parse!/1"},{"type":"function","title":"Craftgate.Model.Loyalty.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Model.Loyalty.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Model.Loyalty.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Model.Loyalty.html#serialize/2"},{"type":"function","title":"Craftgate.Model.Loyalty.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Model.Loyalty.html#serialize!/2"},{"type":"type","title":"Craftgate.Model.Loyalty.t/0","doc":"","ref":"Craftgate.Model.Loyalty.html#t:t/0"},{"type":"module","title":"Craftgate.Model.LoyaltyType","doc":"Elixir equivalent of the Java enum io.craftgate.model.LoyaltyType","ref":"Craftgate.Model.LoyaltyType.html"},{"type":"function","title":"Craftgate.Model.LoyaltyType.additional_installment/0","doc":"","ref":"Craftgate.Model.LoyaltyType.html#additional_installment/0"},{"type":"function","title":"Craftgate.Model.LoyaltyType.cast/1","doc":"","ref":"Craftgate.Model.LoyaltyType.html#cast/1"},{"type":"function","title":"Craftgate.Model.LoyaltyType.extra_points/0","doc":"","ref":"Craftgate.Model.LoyaltyType.html#extra_points/0"},{"type":"function","title":"Craftgate.Model.LoyaltyType.gaining_minutes/0","doc":"","ref":"Craftgate.Model.LoyaltyType.html#gaining_minutes/0"},{"type":"function","title":"Craftgate.Model.LoyaltyType.postponing_installment/0","doc":"","ref":"Craftgate.Model.LoyaltyType.html#postponing_installment/0"},{"type":"function","title":"Craftgate.Model.LoyaltyType.postponing_statement/0","doc":"","ref":"Craftgate.Model.LoyaltyType.html#postponing_statement/0"},{"type":"function","title":"Craftgate.Model.LoyaltyType.reward_money/0","doc":"","ref":"Craftgate.Model.LoyaltyType.html#reward_money/0"},{"type":"function","title":"Craftgate.Model.LoyaltyType.values/0","doc":"","ref":"Craftgate.Model.LoyaltyType.html#values/0"},{"type":"type","title":"Craftgate.Model.LoyaltyType.t/0","doc":"","ref":"Craftgate.Model.LoyaltyType.html#t:t/0"},{"type":"module","title":"Craftgate.Model.MemberType","doc":"Elixir equivalent of the Java enum io.craftgate.model.MemberType","ref":"Craftgate.Model.MemberType.html"},{"type":"function","title":"Craftgate.Model.MemberType.cast/1","doc":"","ref":"Craftgate.Model.MemberType.html#cast/1"},{"type":"function","title":"Craftgate.Model.MemberType.limited_or_joint_stock_company/0","doc":"","ref":"Craftgate.Model.MemberType.html#limited_or_joint_stock_company/0"},{"type":"function","title":"Craftgate.Model.MemberType.personal/0","doc":"","ref":"Craftgate.Model.MemberType.html#personal/0"},{"type":"function","title":"Craftgate.Model.MemberType.private_company/0","doc":"","ref":"Craftgate.Model.MemberType.html#private_company/0"},{"type":"function","title":"Craftgate.Model.MemberType.values/0","doc":"","ref":"Craftgate.Model.MemberType.html#values/0"},{"type":"type","title":"Craftgate.Model.MemberType.t/0","doc":"","ref":"Craftgate.Model.MemberType.html#t:t/0"},{"type":"module","title":"Craftgate.Model.MerchantType","doc":"Elixir equivalent of the Java enum io.craftgate.model.MerchantType","ref":"Craftgate.Model.MerchantType.html"},{"type":"function","title":"Craftgate.Model.MerchantType.cast/1","doc":"","ref":"Craftgate.Model.MerchantType.html#cast/1"},{"type":"function","title":"Craftgate.Model.MerchantType.merchant/0","doc":"","ref":"Craftgate.Model.MerchantType.html#merchant/0"},{"type":"function","title":"Craftgate.Model.MerchantType.sub_merchant_member/0","doc":"","ref":"Craftgate.Model.MerchantType.html#sub_merchant_member/0"},{"type":"function","title":"Craftgate.Model.MerchantType.values/0","doc":"","ref":"Craftgate.Model.MerchantType.html#values/0"},{"type":"type","title":"Craftgate.Model.MerchantType.t/0","doc":"","ref":"Craftgate.Model.MerchantType.html#t:t/0"},{"type":"module","title":"Craftgate.Model.PaymentGroup","doc":"Elixir equivalent of the Java enum io.craftgate.model.PaymentGroup","ref":"Craftgate.Model.PaymentGroup.html"},{"type":"function","title":"Craftgate.Model.PaymentGroup.cast/1","doc":"","ref":"Craftgate.Model.PaymentGroup.html#cast/1"},{"type":"function","title":"Craftgate.Model.PaymentGroup.listing_or_subscription/0","doc":"","ref":"Craftgate.Model.PaymentGroup.html#listing_or_subscription/0"},{"type":"function","title":"Craftgate.Model.PaymentGroup.product/0","doc":"","ref":"Craftgate.Model.PaymentGroup.html#product/0"},{"type":"function","title":"Craftgate.Model.PaymentGroup.values/0","doc":"","ref":"Craftgate.Model.PaymentGroup.html#values/0"},{"type":"type","title":"Craftgate.Model.PaymentGroup.t/0","doc":"","ref":"Craftgate.Model.PaymentGroup.html#t:t/0"},{"type":"module","title":"Craftgate.Model.PaymentMethod","doc":"Elixir equivalent of the Java enum io.craftgate.model.PaymentMethod","ref":"Craftgate.Model.PaymentMethod.html"},{"type":"function","title":"Craftgate.Model.PaymentMethod.afterpay/0","doc":"","ref":"Craftgate.Model.PaymentMethod.html#afterpay/0"},{"type":"function","title":"Craftgate.Model.PaymentMethod.alipay/0","doc":"","ref":"Craftgate.Model.PaymentMethod.html#alipay/0"},{"type":"function","title":"Craftgate.Model.PaymentMethod.card/0","doc":"","ref":"Craftgate.Model.PaymentMethod.html#card/0"},{"type":"function","title":"Craftgate.Model.PaymentMethod.cast/1","doc":"","ref":"Craftgate.Model.PaymentMethod.html#cast/1"},{"type":"function","title":"Craftgate.Model.PaymentMethod.edenred/0","doc":"","ref":"Craftgate.Model.PaymentMethod.html#edenred/0"},{"type":"function","title":"Craftgate.Model.PaymentMethod.edenred_gift/0","doc":"","ref":"Craftgate.Model.PaymentMethod.html#edenred_gift/0"},{"type":"function","title":"Craftgate.Model.PaymentMethod.klarna/0","doc":"","ref":"Craftgate.Model.PaymentMethod.html#klarna/0"},{"type":"function","title":"Craftgate.Model.PaymentMethod.masterpass/0","doc":"","ref":"Craftgate.Model.PaymentMethod.html#masterpass/0"},{"type":"function","title":"Craftgate.Model.PaymentMethod.papara/0","doc":"","ref":"Craftgate.Model.PaymentMethod.html#papara/0"},{"type":"function","title":"Craftgate.Model.PaymentMethod.payoneer/0","doc":"","ref":"Craftgate.Model.PaymentMethod.html#payoneer/0"},{"type":"function","title":"Craftgate.Model.PaymentMethod.paypal/0","doc":"","ref":"Craftgate.Model.PaymentMethod.html#paypal/0"},{"type":"function","title":"Craftgate.Model.PaymentMethod.sodexo/0","doc":"","ref":"Craftgate.Model.PaymentMethod.html#sodexo/0"},{"type":"function","title":"Craftgate.Model.PaymentMethod.stripe/0","doc":"","ref":"Craftgate.Model.PaymentMethod.html#stripe/0"},{"type":"function","title":"Craftgate.Model.PaymentMethod.values/0","doc":"","ref":"Craftgate.Model.PaymentMethod.html#values/0"},{"type":"type","title":"Craftgate.Model.PaymentMethod.t/0","doc":"","ref":"Craftgate.Model.PaymentMethod.html#t:t/0"},{"type":"module","title":"Craftgate.Model.PaymentPhase","doc":"Elixir equivalent of the Java enum io.craftgate.model.PaymentPhase","ref":"Craftgate.Model.PaymentPhase.html"},{"type":"function","title":"Craftgate.Model.PaymentPhase.auth/0","doc":"","ref":"Craftgate.Model.PaymentPhase.html#auth/0"},{"type":"function","title":"Craftgate.Model.PaymentPhase.cast/1","doc":"","ref":"Craftgate.Model.PaymentPhase.html#cast/1"},{"type":"function","title":"Craftgate.Model.PaymentPhase.post_auth/0","doc":"","ref":"Craftgate.Model.PaymentPhase.html#post_auth/0"},{"type":"function","title":"Craftgate.Model.PaymentPhase.pre_auth/0","doc":"","ref":"Craftgate.Model.PaymentPhase.html#pre_auth/0"},{"type":"function","title":"Craftgate.Model.PaymentPhase.values/0","doc":"","ref":"Craftgate.Model.PaymentPhase.html#values/0"},{"type":"type","title":"Craftgate.Model.PaymentPhase.t/0","doc":"","ref":"Craftgate.Model.PaymentPhase.html#t:t/0"},{"type":"module","title":"Craftgate.Model.PaymentProvider","doc":"Elixir equivalent of the Java enum io.craftgate.model.PaymentProvider","ref":"Craftgate.Model.PaymentProvider.html"},{"type":"function","title":"Craftgate.Model.PaymentProvider.applepay/0","doc":"","ref":"Craftgate.Model.PaymentProvider.html#applepay/0"},{"type":"function","title":"Craftgate.Model.PaymentProvider.bank/0","doc":"","ref":"Craftgate.Model.PaymentProvider.html#bank/0"},{"type":"function","title":"Craftgate.Model.PaymentProvider.cast/1","doc":"","ref":"Craftgate.Model.PaymentProvider.html#cast/1"},{"type":"function","title":"Craftgate.Model.PaymentProvider.cg_wallet/0","doc":"","ref":"Craftgate.Model.PaymentProvider.html#cg_wallet/0"},{"type":"function","title":"Craftgate.Model.PaymentProvider.edenred/0","doc":"","ref":"Craftgate.Model.PaymentProvider.html#edenred/0"},{"type":"function","title":"Craftgate.Model.PaymentProvider.garanti_pay/0","doc":"","ref":"Craftgate.Model.PaymentProvider.html#garanti_pay/0"},{"type":"function","title":"Craftgate.Model.PaymentProvider.googlepay/0","doc":"","ref":"Craftgate.Model.PaymentProvider.html#googlepay/0"},{"type":"function","title":"Craftgate.Model.PaymentProvider.masterpass/0","doc":"","ref":"Craftgate.Model.PaymentProvider.html#masterpass/0"},{"type":"function","title":"Craftgate.Model.PaymentProvider.papara/0","doc":"","ref":"Craftgate.Model.PaymentProvider.html#papara/0"},{"type":"function","title":"Craftgate.Model.PaymentProvider.payoneer/0","doc":"","ref":"Craftgate.Model.PaymentProvider.html#payoneer/0"},{"type":"function","title":"Craftgate.Model.PaymentProvider.sodexo/0","doc":"","ref":"Craftgate.Model.PaymentProvider.html#sodexo/0"},{"type":"function","title":"Craftgate.Model.PaymentProvider.stripe/0","doc":"","ref":"Craftgate.Model.PaymentProvider.html#stripe/0"},{"type":"function","title":"Craftgate.Model.PaymentProvider.values/0","doc":"","ref":"Craftgate.Model.PaymentProvider.html#values/0"},{"type":"function","title":"Craftgate.Model.PaymentProvider.ykb_world_pay/0","doc":"","ref":"Craftgate.Model.PaymentProvider.html#ykb_world_pay/0"},{"type":"type","title":"Craftgate.Model.PaymentProvider.t/0","doc":"","ref":"Craftgate.Model.PaymentProvider.html#t:t/0"},{"type":"module","title":"Craftgate.Model.PaymentRefundStatus","doc":"Elixir equivalent of the Java enum io.craftgate.model.PaymentRefundStatus","ref":"Craftgate.Model.PaymentRefundStatus.html"},{"type":"function","title":"Craftgate.Model.PaymentRefundStatus.cast/1","doc":"","ref":"Craftgate.Model.PaymentRefundStatus.html#cast/1"},{"type":"function","title":"Craftgate.Model.PaymentRefundStatus.fully_refunded/0","doc":"","ref":"Craftgate.Model.PaymentRefundStatus.html#fully_refunded/0"},{"type":"function","title":"Craftgate.Model.PaymentRefundStatus.no_refund/0","doc":"","ref":"Craftgate.Model.PaymentRefundStatus.html#no_refund/0"},{"type":"function","title":"Craftgate.Model.PaymentRefundStatus.not_refunded/0","doc":"","ref":"Craftgate.Model.PaymentRefundStatus.html#not_refunded/0"},{"type":"function","title":"Craftgate.Model.PaymentRefundStatus.partial_refunded/0","doc":"","ref":"Craftgate.Model.PaymentRefundStatus.html#partial_refunded/0"},{"type":"function","title":"Craftgate.Model.PaymentRefundStatus.values/0","doc":"","ref":"Craftgate.Model.PaymentRefundStatus.html#values/0"},{"type":"type","title":"Craftgate.Model.PaymentRefundStatus.t/0","doc":"","ref":"Craftgate.Model.PaymentRefundStatus.html#t:t/0"},{"type":"module","title":"Craftgate.Model.PaymentSource","doc":"Elixir equivalent of the Java enum io.craftgate.model.PaymentSource","ref":"Craftgate.Model.PaymentSource.html"},{"type":"function","title":"Craftgate.Model.PaymentSource.api/0","doc":"","ref":"Craftgate.Model.PaymentSource.html#api/0"},{"type":"function","title":"Craftgate.Model.PaymentSource.cast/1","doc":"","ref":"Craftgate.Model.PaymentSource.html#cast/1"},{"type":"function","title":"Craftgate.Model.PaymentSource.checkout_form/0","doc":"","ref":"Craftgate.Model.PaymentSource.html#checkout_form/0"},{"type":"function","title":"Craftgate.Model.PaymentSource.pay_by_link/0","doc":"","ref":"Craftgate.Model.PaymentSource.html#pay_by_link/0"},{"type":"function","title":"Craftgate.Model.PaymentSource.values/0","doc":"","ref":"Craftgate.Model.PaymentSource.html#values/0"},{"type":"type","title":"Craftgate.Model.PaymentSource.t/0","doc":"","ref":"Craftgate.Model.PaymentSource.html#t:t/0"},{"type":"module","title":"Craftgate.Model.PaymentStatus","doc":"Elixir equivalent of the Java enum io.craftgate.model.PaymentStatus","ref":"Craftgate.Model.PaymentStatus.html"},{"type":"function","title":"Craftgate.Model.PaymentStatus.callback_threeds/0","doc":"","ref":"Craftgate.Model.PaymentStatus.html#callback_threeds/0"},{"type":"function","title":"Craftgate.Model.PaymentStatus.cast/1","doc":"","ref":"Craftgate.Model.PaymentStatus.html#cast/1"},{"type":"function","title":"Craftgate.Model.PaymentStatus.failure/0","doc":"","ref":"Craftgate.Model.PaymentStatus.html#failure/0"},{"type":"function","title":"Craftgate.Model.PaymentStatus.init_threeds/0","doc":"","ref":"Craftgate.Model.PaymentStatus.html#init_threeds/0"},{"type":"function","title":"Craftgate.Model.PaymentStatus.success/0","doc":"","ref":"Craftgate.Model.PaymentStatus.html#success/0"},{"type":"function","title":"Craftgate.Model.PaymentStatus.values/0","doc":"","ref":"Craftgate.Model.PaymentStatus.html#values/0"},{"type":"function","title":"Craftgate.Model.PaymentStatus.waiting/0","doc":"","ref":"Craftgate.Model.PaymentStatus.html#waiting/0"},{"type":"type","title":"Craftgate.Model.PaymentStatus.t/0","doc":"","ref":"Craftgate.Model.PaymentStatus.html#t:t/0"},{"type":"module","title":"Craftgate.Model.PaymentType","doc":"Elixir equivalent of the Java enum io.craftgate.model.PaymentType","ref":"Craftgate.Model.PaymentType.html"},{"type":"function","title":"Craftgate.Model.PaymentType.apm/0","doc":"","ref":"Craftgate.Model.PaymentType.html#apm/0"},{"type":"function","title":"Craftgate.Model.PaymentType.card_and_wallet_payment/0","doc":"","ref":"Craftgate.Model.PaymentType.html#card_and_wallet_payment/0"},{"type":"function","title":"Craftgate.Model.PaymentType.card_payment/0","doc":"","ref":"Craftgate.Model.PaymentType.html#card_payment/0"},{"type":"function","title":"Craftgate.Model.PaymentType.cast/1","doc":"","ref":"Craftgate.Model.PaymentType.html#cast/1"},{"type":"function","title":"Craftgate.Model.PaymentType.deposit_payment/0","doc":"","ref":"Craftgate.Model.PaymentType.html#deposit_payment/0"},{"type":"function","title":"Craftgate.Model.PaymentType.values/0","doc":"","ref":"Craftgate.Model.PaymentType.html#values/0"},{"type":"function","title":"Craftgate.Model.PaymentType.wallet_payment/0","doc":"","ref":"Craftgate.Model.PaymentType.html#wallet_payment/0"},{"type":"type","title":"Craftgate.Model.PaymentType.t/0","doc":"","ref":"Craftgate.Model.PaymentType.html#t:t/0"},{"type":"module","title":"Craftgate.Model.PayoutAccountType","doc":"Elixir equivalent of the Java enum io.craftgate.model.PayoutAccountType","ref":"Craftgate.Model.PayoutAccountType.html"},{"type":"function","title":"Craftgate.Model.PayoutAccountType.cast/1","doc":"","ref":"Craftgate.Model.PayoutAccountType.html#cast/1"},{"type":"function","title":"Craftgate.Model.PayoutAccountType.values/0","doc":"","ref":"Craftgate.Model.PayoutAccountType.html#values/0"},{"type":"function","title":"Craftgate.Model.PayoutAccountType.wise/0","doc":"","ref":"Craftgate.Model.PayoutAccountType.html#wise/0"},{"type":"type","title":"Craftgate.Model.PayoutAccountType.t/0","doc":"","ref":"Craftgate.Model.PayoutAccountType.html#t:t/0"},{"type":"module","title":"Craftgate.Model.PosApmPaymentProvider","doc":"Elixir equivalent of the Java enum io.craftgate.model.PosApmPaymentProvider","ref":"Craftgate.Model.PosApmPaymentProvider.html"},{"type":"function","title":"Craftgate.Model.PosApmPaymentProvider.applepay/0","doc":"","ref":"Craftgate.Model.PosApmPaymentProvider.html#applepay/0"},{"type":"function","title":"Craftgate.Model.PosApmPaymentProvider.cast/1","doc":"","ref":"Craftgate.Model.PosApmPaymentProvider.html#cast/1"},{"type":"function","title":"Craftgate.Model.PosApmPaymentProvider.googlepay/0","doc":"","ref":"Craftgate.Model.PosApmPaymentProvider.html#googlepay/0"},{"type":"function","title":"Craftgate.Model.PosApmPaymentProvider.values/0","doc":"","ref":"Craftgate.Model.PosApmPaymentProvider.html#values/0"},{"type":"function","title":"Craftgate.Model.PosApmPaymentProvider.ykb_world_pay/0","doc":"","ref":"Craftgate.Model.PosApmPaymentProvider.html#ykb_world_pay/0"},{"type":"type","title":"Craftgate.Model.PosApmPaymentProvider.t/0","doc":"","ref":"Craftgate.Model.PosApmPaymentProvider.html#t:t/0"},{"type":"module","title":"Craftgate.Model.RefundDestinationType","doc":"Elixir equivalent of the Java enum io.craftgate.model.RefundDestinationType","ref":"Craftgate.Model.RefundDestinationType.html"},{"type":"function","title":"Craftgate.Model.RefundDestinationType.card/0","doc":"","ref":"Craftgate.Model.RefundDestinationType.html#card/0"},{"type":"function","title":"Craftgate.Model.RefundDestinationType.cast/1","doc":"","ref":"Craftgate.Model.RefundDestinationType.html#cast/1"},{"type":"function","title":"Craftgate.Model.RefundDestinationType.provider/0","doc":"","ref":"Craftgate.Model.RefundDestinationType.html#provider/0"},{"type":"function","title":"Craftgate.Model.RefundDestinationType.values/0","doc":"","ref":"Craftgate.Model.RefundDestinationType.html#values/0"},{"type":"function","title":"Craftgate.Model.RefundDestinationType.wallet/0","doc":"","ref":"Craftgate.Model.RefundDestinationType.html#wallet/0"},{"type":"type","title":"Craftgate.Model.RefundDestinationType.t/0","doc":"","ref":"Craftgate.Model.RefundDestinationType.html#t:t/0"},{"type":"module","title":"Craftgate.Model.RefundStatus","doc":"Elixir equivalent of the Java enum io.craftgate.model.RefundStatus","ref":"Craftgate.Model.RefundStatus.html"},{"type":"function","title":"Craftgate.Model.RefundStatus.cast/1","doc":"","ref":"Craftgate.Model.RefundStatus.html#cast/1"},{"type":"function","title":"Craftgate.Model.RefundStatus.failure/0","doc":"","ref":"Craftgate.Model.RefundStatus.html#failure/0"},{"type":"function","title":"Craftgate.Model.RefundStatus.success/0","doc":"","ref":"Craftgate.Model.RefundStatus.html#success/0"},{"type":"function","title":"Craftgate.Model.RefundStatus.values/0","doc":"","ref":"Craftgate.Model.RefundStatus.html#values/0"},{"type":"type","title":"Craftgate.Model.RefundStatus.t/0","doc":"","ref":"Craftgate.Model.RefundStatus.html#t:t/0"},{"type":"module","title":"Craftgate.Model.RefundType","doc":"Elixir equivalent of the Java enum io.craftgate.model.RefundType","ref":"Craftgate.Model.RefundType.html"},{"type":"function","title":"Craftgate.Model.RefundType.cancel/0","doc":"","ref":"Craftgate.Model.RefundType.html#cancel/0"},{"type":"function","title":"Craftgate.Model.RefundType.cast/1","doc":"","ref":"Craftgate.Model.RefundType.html#cast/1"},{"type":"function","title":"Craftgate.Model.RefundType.refund/0","doc":"","ref":"Craftgate.Model.RefundType.html#refund/0"},{"type":"function","title":"Craftgate.Model.RefundType.values/0","doc":"","ref":"Craftgate.Model.RefundType.html#values/0"},{"type":"type","title":"Craftgate.Model.RefundType.t/0","doc":"","ref":"Craftgate.Model.RefundType.html#t:t/0"},{"type":"module","title":"Craftgate.Model.RemittanceReasonType","doc":"Elixir equivalent of the Java enum io.craftgate.model.RemittanceReasonType","ref":"Craftgate.Model.RemittanceReasonType.html"},{"type":"function","title":"Craftgate.Model.RemittanceReasonType.cast/1","doc":"","ref":"Craftgate.Model.RemittanceReasonType.html#cast/1"},{"type":"function","title":"Craftgate.Model.RemittanceReasonType.redeem_only_loyalty/0","doc":"","ref":"Craftgate.Model.RemittanceReasonType.html#redeem_only_loyalty/0"},{"type":"function","title":"Craftgate.Model.RemittanceReasonType.submerchant_send_receive/0","doc":"","ref":"Craftgate.Model.RemittanceReasonType.html#submerchant_send_receive/0"},{"type":"function","title":"Craftgate.Model.RemittanceReasonType.values/0","doc":"","ref":"Craftgate.Model.RemittanceReasonType.html#values/0"},{"type":"type","title":"Craftgate.Model.RemittanceReasonType.t/0","doc":"","ref":"Craftgate.Model.RemittanceReasonType.html#t:t/0"},{"type":"module","title":"Craftgate.Model.RemittanceType","doc":"Elixir equivalent of the Java enum io.craftgate.model.RemittanceType","ref":"Craftgate.Model.RemittanceType.html"},{"type":"function","title":"Craftgate.Model.RemittanceType.cast/1","doc":"","ref":"Craftgate.Model.RemittanceType.html#cast/1"},{"type":"function","title":"Craftgate.Model.RemittanceType.receive/0","doc":"","ref":"Craftgate.Model.RemittanceType.html#receive/0"},{"type":"function","title":"Craftgate.Model.RemittanceType.send/0","doc":"","ref":"Craftgate.Model.RemittanceType.html#send/0"},{"type":"function","title":"Craftgate.Model.RemittanceType.values/0","doc":"","ref":"Craftgate.Model.RemittanceType.html#values/0"},{"type":"type","title":"Craftgate.Model.RemittanceType.t/0","doc":"","ref":"Craftgate.Model.RemittanceType.html#t:t/0"},{"type":"module","title":"Craftgate.Model.ReportFileType","doc":"Elixir equivalent of the Java enum io.craftgate.model.ReportFileType","ref":"Craftgate.Model.ReportFileType.html"},{"type":"function","title":"Craftgate.Model.ReportFileType.cast/1","doc":"","ref":"Craftgate.Model.ReportFileType.html#cast/1"},{"type":"function","title":"Craftgate.Model.ReportFileType.csv/0","doc":"","ref":"Craftgate.Model.ReportFileType.html#csv/0"},{"type":"function","title":"Craftgate.Model.ReportFileType.values/0","doc":"","ref":"Craftgate.Model.ReportFileType.html#values/0"},{"type":"function","title":"Craftgate.Model.ReportFileType.xlsx/0","doc":"","ref":"Craftgate.Model.ReportFileType.html#xlsx/0"},{"type":"type","title":"Craftgate.Model.ReportFileType.t/0","doc":"","ref":"Craftgate.Model.ReportFileType.html#t:t/0"},{"type":"module","title":"Craftgate.Model.Reward","doc":"Elixir equivalent of the Java data class io.craftgate.model.Reward","ref":"Craftgate.Model.Reward.html"},{"type":"function","title":"Craftgate.Model.Reward.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Model.Reward.html#cast/2"},{"type":"function","title":"Craftgate.Model.Reward.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Model.Reward.html#make/2"},{"type":"function","title":"Craftgate.Model.Reward.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Model.Reward.html#make!/2"},{"type":"function","title":"Craftgate.Model.Reward.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Model.Reward.html#parse/1"},{"type":"function","title":"Craftgate.Model.Reward.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Model.Reward.html#parse!/1"},{"type":"function","title":"Craftgate.Model.Reward.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Model.Reward.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Model.Reward.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Model.Reward.html#serialize/2"},{"type":"function","title":"Craftgate.Model.Reward.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Model.Reward.html#serialize!/2"},{"type":"type","title":"Craftgate.Model.Reward.t/0","doc":"","ref":"Craftgate.Model.Reward.html#t:t/0"},{"type":"module","title":"Craftgate.Model.SettlementEarningsDestination","doc":"Elixir equivalent of the Java enum io.craftgate.model.SettlementEarningsDestination","ref":"Craftgate.Model.SettlementEarningsDestination.html"},{"type":"function","title":"Craftgate.Model.SettlementEarningsDestination.cast/1","doc":"","ref":"Craftgate.Model.SettlementEarningsDestination.html#cast/1"},{"type":"function","title":"Craftgate.Model.SettlementEarningsDestination.cross_border/0","doc":"","ref":"Craftgate.Model.SettlementEarningsDestination.html#cross_border/0"},{"type":"function","title":"Craftgate.Model.SettlementEarningsDestination.iban/0","doc":"","ref":"Craftgate.Model.SettlementEarningsDestination.html#iban/0"},{"type":"function","title":"Craftgate.Model.SettlementEarningsDestination.values/0","doc":"","ref":"Craftgate.Model.SettlementEarningsDestination.html#values/0"},{"type":"function","title":"Craftgate.Model.SettlementEarningsDestination.wallet/0","doc":"","ref":"Craftgate.Model.SettlementEarningsDestination.html#wallet/0"},{"type":"type","title":"Craftgate.Model.SettlementEarningsDestination.t/0","doc":"","ref":"Craftgate.Model.SettlementEarningsDestination.html#t:t/0"},{"type":"module","title":"Craftgate.Model.SettlementResultStatus","doc":"Elixir equivalent of the Java enum io.craftgate.model.SettlementResultStatus","ref":"Craftgate.Model.SettlementResultStatus.html"},{"type":"function","title":"Craftgate.Model.SettlementResultStatus.cast/1","doc":"","ref":"Craftgate.Model.SettlementResultStatus.html#cast/1"},{"type":"function","title":"Craftgate.Model.SettlementResultStatus.failure/0","doc":"","ref":"Craftgate.Model.SettlementResultStatus.html#failure/0"},{"type":"function","title":"Craftgate.Model.SettlementResultStatus.no_record_found/0","doc":"","ref":"Craftgate.Model.SettlementResultStatus.html#no_record_found/0"},{"type":"function","title":"Craftgate.Model.SettlementResultStatus.success/0","doc":"","ref":"Craftgate.Model.SettlementResultStatus.html#success/0"},{"type":"function","title":"Craftgate.Model.SettlementResultStatus.values/0","doc":"","ref":"Craftgate.Model.SettlementResultStatus.html#values/0"},{"type":"type","title":"Craftgate.Model.SettlementResultStatus.t/0","doc":"","ref":"Craftgate.Model.SettlementResultStatus.html#t:t/0"},{"type":"module","title":"Craftgate.Model.SettlementSource","doc":"Elixir equivalent of the Java enum io.craftgate.model.SettlementSource","ref":"Craftgate.Model.SettlementSource.html"},{"type":"function","title":"Craftgate.Model.SettlementSource.bounced/0","doc":"","ref":"Craftgate.Model.SettlementSource.html#bounced/0"},{"type":"function","title":"Craftgate.Model.SettlementSource.cast/1","doc":"","ref":"Craftgate.Model.SettlementSource.html#cast/1"},{"type":"function","title":"Craftgate.Model.SettlementSource.collection/0","doc":"","ref":"Craftgate.Model.SettlementSource.html#collection/0"},{"type":"function","title":"Craftgate.Model.SettlementSource.values/0","doc":"","ref":"Craftgate.Model.SettlementSource.html#values/0"},{"type":"function","title":"Craftgate.Model.SettlementSource.withdraw/0","doc":"","ref":"Craftgate.Model.SettlementSource.html#withdraw/0"},{"type":"type","title":"Craftgate.Model.SettlementSource.t/0","doc":"","ref":"Craftgate.Model.SettlementSource.html#t:t/0"},{"type":"module","title":"Craftgate.Model.SettlementType","doc":"Elixir equivalent of the Java enum io.craftgate.model.SettlementType","ref":"Craftgate.Model.SettlementType.html"},{"type":"function","title":"Craftgate.Model.SettlementType.bounced_settlement/0","doc":"","ref":"Craftgate.Model.SettlementType.html#bounced_settlement/0"},{"type":"function","title":"Craftgate.Model.SettlementType.cast/1","doc":"","ref":"Craftgate.Model.SettlementType.html#cast/1"},{"type":"function","title":"Craftgate.Model.SettlementType.settlement/0","doc":"","ref":"Craftgate.Model.SettlementType.html#settlement/0"},{"type":"function","title":"Craftgate.Model.SettlementType.values/0","doc":"","ref":"Craftgate.Model.SettlementType.html#values/0"},{"type":"function","title":"Craftgate.Model.SettlementType.withdraw/0","doc":"","ref":"Craftgate.Model.SettlementType.html#withdraw/0"},{"type":"type","title":"Craftgate.Model.SettlementType.t/0","doc":"","ref":"Craftgate.Model.SettlementType.html#t:t/0"},{"type":"module","title":"Craftgate.Model.Status","doc":"Elixir equivalent of the Java enum io.craftgate.model.Status","ref":"Craftgate.Model.Status.html"},{"type":"function","title":"Craftgate.Model.Status.active/0","doc":"","ref":"Craftgate.Model.Status.html#active/0"},{"type":"function","title":"Craftgate.Model.Status.cast/1","doc":"","ref":"Craftgate.Model.Status.html#cast/1"},{"type":"function","title":"Craftgate.Model.Status.passive/0","doc":"","ref":"Craftgate.Model.Status.html#passive/0"},{"type":"function","title":"Craftgate.Model.Status.values/0","doc":"","ref":"Craftgate.Model.Status.html#values/0"},{"type":"type","title":"Craftgate.Model.Status.t/0","doc":"","ref":"Craftgate.Model.Status.html#t:t/0"},{"type":"module","title":"Craftgate.Model.TransactionPayoutStatus","doc":"Elixir equivalent of the Java enum io.craftgate.model.TransactionPayoutStatus","ref":"Craftgate.Model.TransactionPayoutStatus.html"},{"type":"function","title":"Craftgate.Model.TransactionPayoutStatus.cancelled/0","doc":"","ref":"Craftgate.Model.TransactionPayoutStatus.html#cancelled/0"},{"type":"function","title":"Craftgate.Model.TransactionPayoutStatus.cast/1","doc":"","ref":"Craftgate.Model.TransactionPayoutStatus.html#cast/1"},{"type":"function","title":"Craftgate.Model.TransactionPayoutStatus.no_payout/0","doc":"","ref":"Craftgate.Model.TransactionPayoutStatus.html#no_payout/0"},{"type":"function","title":"Craftgate.Model.TransactionPayoutStatus.payout_completed/0","doc":"","ref":"Craftgate.Model.TransactionPayoutStatus.html#payout_completed/0"},{"type":"function","title":"Craftgate.Model.TransactionPayoutStatus.payout_started/0","doc":"","ref":"Craftgate.Model.TransactionPayoutStatus.html#payout_started/0"},{"type":"function","title":"Craftgate.Model.TransactionPayoutStatus.values/0","doc":"","ref":"Craftgate.Model.TransactionPayoutStatus.html#values/0"},{"type":"function","title":"Craftgate.Model.TransactionPayoutStatus.waiting_for_payout/0","doc":"","ref":"Craftgate.Model.TransactionPayoutStatus.html#waiting_for_payout/0"},{"type":"type","title":"Craftgate.Model.TransactionPayoutStatus.t/0","doc":"","ref":"Craftgate.Model.TransactionPayoutStatus.html#t:t/0"},{"type":"module","title":"Craftgate.Model.TransactionStatus","doc":"Elixir equivalent of the Java enum io.craftgate.model.TransactionStatus","ref":"Craftgate.Model.TransactionStatus.html"},{"type":"function","title":"Craftgate.Model.TransactionStatus.approved/0","doc":"","ref":"Craftgate.Model.TransactionStatus.html#approved/0"},{"type":"function","title":"Craftgate.Model.TransactionStatus.cast/1","doc":"","ref":"Craftgate.Model.TransactionStatus.html#cast/1"},{"type":"function","title":"Craftgate.Model.TransactionStatus.payout_started/0","doc":"","ref":"Craftgate.Model.TransactionStatus.html#payout_started/0"},{"type":"function","title":"Craftgate.Model.TransactionStatus.values/0","doc":"","ref":"Craftgate.Model.TransactionStatus.html#values/0"},{"type":"function","title":"Craftgate.Model.TransactionStatus.waiting_for_approval/0","doc":"","ref":"Craftgate.Model.TransactionStatus.html#waiting_for_approval/0"},{"type":"type","title":"Craftgate.Model.TransactionStatus.t/0","doc":"","ref":"Craftgate.Model.TransactionStatus.html#t:t/0"},{"type":"module","title":"Craftgate.Model.WalletTransactionRefundCardTransactionType","doc":"Elixir equivalent of the Java enum io.craftgate.model.WalletTransactionRefundCardTransactionType","ref":"Craftgate.Model.WalletTransactionRefundCardTransactionType.html"},{"type":"function","title":"Craftgate.Model.WalletTransactionRefundCardTransactionType.cast/1","doc":"","ref":"Craftgate.Model.WalletTransactionRefundCardTransactionType.html#cast/1"},{"type":"function","title":"Craftgate.Model.WalletTransactionRefundCardTransactionType.payment/0","doc":"","ref":"Craftgate.Model.WalletTransactionRefundCardTransactionType.html#payment/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionRefundCardTransactionType.payment_tx/0","doc":"","ref":"Craftgate.Model.WalletTransactionRefundCardTransactionType.html#payment_tx/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionRefundCardTransactionType.values/0","doc":"","ref":"Craftgate.Model.WalletTransactionRefundCardTransactionType.html#values/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionRefundCardTransactionType.wallet_tx/0","doc":"","ref":"Craftgate.Model.WalletTransactionRefundCardTransactionType.html#wallet_tx/0"},{"type":"type","title":"Craftgate.Model.WalletTransactionRefundCardTransactionType.t/0","doc":"","ref":"Craftgate.Model.WalletTransactionRefundCardTransactionType.html#t:t/0"},{"type":"module","title":"Craftgate.Model.WalletTransactionType","doc":"Elixir equivalent of the Java enum io.craftgate.model.WalletTransactionType","ref":"Craftgate.Model.WalletTransactionType.html"},{"type":"function","title":"Craftgate.Model.WalletTransactionType.cancel_refund_to_wallet/0","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#cancel_refund_to_wallet/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionType.cancel_refund_wallet_to_card/0","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#cancel_refund_wallet_to_card/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionType.cast/1","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#cast/1"},{"type":"function","title":"Craftgate.Model.WalletTransactionType.deposit_from_apm/0","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#deposit_from_apm/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionType.deposit_from_card/0","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#deposit_from_card/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionType.deposit_from_fund_transfer/0","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#deposit_from_fund_transfer/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionType.loyalty/0","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#loyalty/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionType.manual_refund_tx_to_wallet/0","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#manual_refund_tx_to_wallet/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionType.merchant_balance_reset/0","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#merchant_balance_reset/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionType.payment_redeem/0","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#payment_redeem/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionType.refund_deposit/0","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#refund_deposit/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionType.refund_tx_deposit/0","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#refund_tx_deposit/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionType.refund_tx_to_wallet/0","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#refund_tx_to_wallet/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionType.refund_wallet_tx_fund_transfer/0","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#refund_wallet_tx_fund_transfer/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionType.refund_wallet_tx_to_card/0","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#refund_wallet_tx_to_card/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionType.remittance/0","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#remittance/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionType.settlement_earnings/0","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#settlement_earnings/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionType.values/0","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#values/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionType.withdraw/0","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#withdraw/0"},{"type":"function","title":"Craftgate.Model.WalletTransactionType.withdraw_cancel/0","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#withdraw_cancel/0"},{"type":"type","title":"Craftgate.Model.WalletTransactionType.t/0","doc":"","ref":"Craftgate.Model.WalletTransactionType.html#t:t/0"},{"type":"module","title":"Craftgate.Model.WebhookData","doc":"Elixir equivalent of the Java data class io.craftgate.model.WebhookData","ref":"Craftgate.Model.WebhookData.html"},{"type":"function","title":"Craftgate.Model.WebhookData.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Model.WebhookData.html#cast/2"},{"type":"function","title":"Craftgate.Model.WebhookData.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Model.WebhookData.html#make/2"},{"type":"function","title":"Craftgate.Model.WebhookData.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Model.WebhookData.html#make!/2"},{"type":"function","title":"Craftgate.Model.WebhookData.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Model.WebhookData.html#parse/1"},{"type":"function","title":"Craftgate.Model.WebhookData.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Model.WebhookData.html#parse!/1"},{"type":"function","title":"Craftgate.Model.WebhookData.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Model.WebhookData.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Model.WebhookData.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Model.WebhookData.html#serialize/2"},{"type":"function","title":"Craftgate.Model.WebhookData.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Model.WebhookData.html#serialize!/2"},{"type":"type","title":"Craftgate.Model.WebhookData.t/0","doc":"","ref":"Craftgate.Model.WebhookData.html#t:t/0"},{"type":"module","title":"Craftgate.Model.WebhookEventType","doc":"Elixir equivalent of the Java enum io.craftgate.model.WebhookEventType","ref":"Craftgate.Model.WebhookEventType.html"},{"type":"function","title":"Craftgate.Model.WebhookEventType.api_auth/0","doc":"","ref":"Craftgate.Model.WebhookEventType.html#api_auth/0"},{"type":"function","title":"Craftgate.Model.WebhookEventType.api_verify_and_auth/0","doc":"","ref":"Craftgate.Model.WebhookEventType.html#api_verify_and_auth/0"},{"type":"function","title":"Craftgate.Model.WebhookEventType.cast/1","doc":"","ref":"Craftgate.Model.WebhookEventType.html#cast/1"},{"type":"function","title":"Craftgate.Model.WebhookEventType.checkoutform_auth/0","doc":"","ref":"Craftgate.Model.WebhookEventType.html#checkoutform_auth/0"},{"type":"function","title":"Craftgate.Model.WebhookEventType.threeds_verify/0","doc":"","ref":"Craftgate.Model.WebhookEventType.html#threeds_verify/0"},{"type":"function","title":"Craftgate.Model.WebhookEventType.values/0","doc":"","ref":"Craftgate.Model.WebhookEventType.html#values/0"},{"type":"type","title":"Craftgate.Model.WebhookEventType.t/0","doc":"","ref":"Craftgate.Model.WebhookEventType.html#t:t/0"},{"type":"module","title":"Craftgate.Model.WebhookStatus","doc":"Elixir equivalent of the Java enum io.craftgate.model.WebhookStatus","ref":"Craftgate.Model.WebhookStatus.html"},{"type":"function","title":"Craftgate.Model.WebhookStatus.cast/1","doc":"","ref":"Craftgate.Model.WebhookStatus.html#cast/1"},{"type":"function","title":"Craftgate.Model.WebhookStatus.failure/0","doc":"","ref":"Craftgate.Model.WebhookStatus.html#failure/0"},{"type":"function","title":"Craftgate.Model.WebhookStatus.success/0","doc":"","ref":"Craftgate.Model.WebhookStatus.html#success/0"},{"type":"function","title":"Craftgate.Model.WebhookStatus.values/0","doc":"","ref":"Craftgate.Model.WebhookStatus.html#values/0"},{"type":"type","title":"Craftgate.Model.WebhookStatus.t/0","doc":"","ref":"Craftgate.Model.WebhookStatus.html#t:t/0"},{"type":"module","title":"Craftgate.Request.ApprovePaymentTransactionsRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.ApprovePaymentTransactionsRequest","ref":"Craftgate.Request.ApprovePaymentTransactionsRequest.html"},{"type":"function","title":"Craftgate.Request.ApprovePaymentTransactionsRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.ApprovePaymentTransactionsRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.ApprovePaymentTransactionsRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.ApprovePaymentTransactionsRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.ApprovePaymentTransactionsRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.ApprovePaymentTransactionsRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.ApprovePaymentTransactionsRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.ApprovePaymentTransactionsRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.ApprovePaymentTransactionsRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.ApprovePaymentTransactionsRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.ApprovePaymentTransactionsRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.ApprovePaymentTransactionsRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.ApprovePaymentTransactionsRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.ApprovePaymentTransactionsRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.ApprovePaymentTransactionsRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.ApprovePaymentTransactionsRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.ApprovePaymentTransactionsRequest.t/0","doc":"","ref":"Craftgate.Request.ApprovePaymentTransactionsRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.CheckMasterpassUserRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.CheckMasterpassUserRequest","ref":"Craftgate.Request.CheckMasterpassUserRequest.html"},{"type":"function","title":"Craftgate.Request.CheckMasterpassUserRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.CheckMasterpassUserRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.CheckMasterpassUserRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.CheckMasterpassUserRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.CheckMasterpassUserRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.CheckMasterpassUserRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.CheckMasterpassUserRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.CheckMasterpassUserRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.CheckMasterpassUserRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.CheckMasterpassUserRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.CheckMasterpassUserRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.CheckMasterpassUserRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.CheckMasterpassUserRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.CheckMasterpassUserRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.CheckMasterpassUserRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.CheckMasterpassUserRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.CheckMasterpassUserRequest.t/0","doc":"","ref":"Craftgate.Request.CheckMasterpassUserRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.CompleteApmPaymentRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.CompleteApmPaymentRequest","ref":"Craftgate.Request.CompleteApmPaymentRequest.html"},{"type":"function","title":"Craftgate.Request.CompleteApmPaymentRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.CompleteApmPaymentRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.CompleteApmPaymentRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.CompleteApmPaymentRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.CompleteApmPaymentRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.CompleteApmPaymentRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.CompleteApmPaymentRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.CompleteApmPaymentRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.CompleteApmPaymentRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.CompleteApmPaymentRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.CompleteApmPaymentRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.CompleteApmPaymentRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.CompleteApmPaymentRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.CompleteApmPaymentRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.CompleteApmPaymentRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.CompleteApmPaymentRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.CompleteApmPaymentRequest.t/0","doc":"","ref":"Craftgate.Request.CompleteApmPaymentRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.CompletePosApmPaymentRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.CompletePosApmPaymentRequest","ref":"Craftgate.Request.CompletePosApmPaymentRequest.html"},{"type":"function","title":"Craftgate.Request.CompletePosApmPaymentRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.CompletePosApmPaymentRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.CompletePosApmPaymentRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.CompletePosApmPaymentRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.CompletePosApmPaymentRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.CompletePosApmPaymentRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.CompletePosApmPaymentRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.CompletePosApmPaymentRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.CompletePosApmPaymentRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.CompletePosApmPaymentRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.CompletePosApmPaymentRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.CompletePosApmPaymentRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.CompletePosApmPaymentRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.CompletePosApmPaymentRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.CompletePosApmPaymentRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.CompletePosApmPaymentRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.CompletePosApmPaymentRequest.t/0","doc":"","ref":"Craftgate.Request.CompletePosApmPaymentRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.CompleteThreeDSPaymentRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.CompleteThreeDSPaymentRequest","ref":"Craftgate.Request.CompleteThreeDSPaymentRequest.html"},{"type":"function","title":"Craftgate.Request.CompleteThreeDSPaymentRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.CompleteThreeDSPaymentRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.CompleteThreeDSPaymentRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.CompleteThreeDSPaymentRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.CompleteThreeDSPaymentRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.CompleteThreeDSPaymentRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.CompleteThreeDSPaymentRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.CompleteThreeDSPaymentRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.CompleteThreeDSPaymentRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.CompleteThreeDSPaymentRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.CompleteThreeDSPaymentRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.CompleteThreeDSPaymentRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.CompleteThreeDSPaymentRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.CompleteThreeDSPaymentRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.CompleteThreeDSPaymentRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.CompleteThreeDSPaymentRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.CompleteThreeDSPaymentRequest.t/0","doc":"","ref":"Craftgate.Request.CompleteThreeDSPaymentRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.CreateApmPaymentRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.CreateApmPaymentRequest","ref":"Craftgate.Request.CreateApmPaymentRequest.html"},{"type":"function","title":"Craftgate.Request.CreateApmPaymentRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.CreateApmPaymentRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.CreateApmPaymentRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.CreateApmPaymentRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.CreateApmPaymentRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.CreateApmPaymentRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.CreateApmPaymentRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.CreateApmPaymentRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.CreateApmPaymentRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.CreateApmPaymentRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.CreateApmPaymentRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.CreateApmPaymentRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.CreateApmPaymentRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.CreateApmPaymentRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.CreateApmPaymentRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.CreateApmPaymentRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.CreateApmPaymentRequest.t/0","doc":"","ref":"Craftgate.Request.CreateApmPaymentRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.CreateDepositPaymentRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.CreateDepositPaymentRequest","ref":"Craftgate.Request.CreateDepositPaymentRequest.html"},{"type":"function","title":"Craftgate.Request.CreateDepositPaymentRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.CreateDepositPaymentRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.CreateDepositPaymentRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.CreateDepositPaymentRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.CreateDepositPaymentRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.CreateDepositPaymentRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.CreateDepositPaymentRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.CreateDepositPaymentRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.CreateDepositPaymentRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.CreateDepositPaymentRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.CreateDepositPaymentRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.CreateDepositPaymentRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.CreateDepositPaymentRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.CreateDepositPaymentRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.CreateDepositPaymentRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.CreateDepositPaymentRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.CreateDepositPaymentRequest.t/0","doc":"","ref":"Craftgate.Request.CreateDepositPaymentRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.CreateFundTransferDepositPaymentRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.CreateFundTransferDepositPaymentRequest","ref":"Craftgate.Request.CreateFundTransferDepositPaymentRequest.html"},{"type":"function","title":"Craftgate.Request.CreateFundTransferDepositPaymentRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.CreateFundTransferDepositPaymentRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.CreateFundTransferDepositPaymentRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.CreateFundTransferDepositPaymentRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.CreateFundTransferDepositPaymentRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.CreateFundTransferDepositPaymentRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.CreateFundTransferDepositPaymentRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.CreateFundTransferDepositPaymentRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.CreateFundTransferDepositPaymentRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.CreateFundTransferDepositPaymentRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.CreateFundTransferDepositPaymentRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.CreateFundTransferDepositPaymentRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.CreateFundTransferDepositPaymentRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.CreateFundTransferDepositPaymentRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.CreateFundTransferDepositPaymentRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.CreateFundTransferDepositPaymentRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.CreateFundTransferDepositPaymentRequest.t/0","doc":"","ref":"Craftgate.Request.CreateFundTransferDepositPaymentRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.CreateInstantWalletSettlementRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.CreateInstantWalletSettlementRequest","ref":"Craftgate.Request.CreateInstantWalletSettlementRequest.html"},{"type":"function","title":"Craftgate.Request.CreateInstantWalletSettlementRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.CreateInstantWalletSettlementRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.CreateInstantWalletSettlementRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.CreateInstantWalletSettlementRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.CreateInstantWalletSettlementRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.CreateInstantWalletSettlementRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.CreateInstantWalletSettlementRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.CreateInstantWalletSettlementRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.CreateInstantWalletSettlementRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.CreateInstantWalletSettlementRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.CreateInstantWalletSettlementRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.CreateInstantWalletSettlementRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.CreateInstantWalletSettlementRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.CreateInstantWalletSettlementRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.CreateInstantWalletSettlementRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.CreateInstantWalletSettlementRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.CreateInstantWalletSettlementRequest.t/0","doc":"","ref":"Craftgate.Request.CreateInstantWalletSettlementRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.CreateMemberRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.CreateMemberRequest","ref":"Craftgate.Request.CreateMemberRequest.html"},{"type":"function","title":"Craftgate.Request.CreateMemberRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.CreateMemberRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.CreateMemberRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.CreateMemberRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.CreateMemberRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.CreateMemberRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.CreateMemberRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.CreateMemberRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.CreateMemberRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.CreateMemberRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.CreateMemberRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.CreateMemberRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.CreateMemberRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.CreateMemberRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.CreateMemberRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.CreateMemberRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.CreateMemberRequest.t/0","doc":"","ref":"Craftgate.Request.CreateMemberRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.CreatePaymentRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.CreatePaymentRequest","ref":"Craftgate.Request.CreatePaymentRequest.html"},{"type":"function","title":"Craftgate.Request.CreatePaymentRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.CreatePaymentRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.CreatePaymentRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.CreatePaymentRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.CreatePaymentRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.CreatePaymentRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.CreatePaymentRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.CreatePaymentRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.CreatePaymentRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.CreatePaymentRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.CreatePaymentRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.CreatePaymentRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.CreatePaymentRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.CreatePaymentRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.CreatePaymentRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.CreatePaymentRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.CreatePaymentRequest.t/0","doc":"","ref":"Craftgate.Request.CreatePaymentRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.CreatePayoutAccountRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.CreatePayoutAccountRequest","ref":"Craftgate.Request.CreatePayoutAccountRequest.html"},{"type":"function","title":"Craftgate.Request.CreatePayoutAccountRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.CreatePayoutAccountRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.CreatePayoutAccountRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.CreatePayoutAccountRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.CreatePayoutAccountRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.CreatePayoutAccountRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.CreatePayoutAccountRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.CreatePayoutAccountRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.CreatePayoutAccountRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.CreatePayoutAccountRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.CreatePayoutAccountRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.CreatePayoutAccountRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.CreatePayoutAccountRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.CreatePayoutAccountRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.CreatePayoutAccountRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.CreatePayoutAccountRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.CreatePayoutAccountRequest.t/0","doc":"","ref":"Craftgate.Request.CreatePayoutAccountRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.CreateProductRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.CreateProductRequest","ref":"Craftgate.Request.CreateProductRequest.html"},{"type":"function","title":"Craftgate.Request.CreateProductRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.CreateProductRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.CreateProductRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.CreateProductRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.CreateProductRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.CreateProductRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.CreateProductRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.CreateProductRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.CreateProductRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.CreateProductRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.CreateProductRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.CreateProductRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.CreateProductRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.CreateProductRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.CreateProductRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.CreateProductRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.CreateProductRequest.t/0","doc":"","ref":"Craftgate.Request.CreateProductRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.CreateRemittanceRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.CreateRemittanceRequest","ref":"Craftgate.Request.CreateRemittanceRequest.html"},{"type":"function","title":"Craftgate.Request.CreateRemittanceRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.CreateRemittanceRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.CreateRemittanceRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.CreateRemittanceRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.CreateRemittanceRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.CreateRemittanceRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.CreateRemittanceRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.CreateRemittanceRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.CreateRemittanceRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.CreateRemittanceRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.CreateRemittanceRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.CreateRemittanceRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.CreateRemittanceRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.CreateRemittanceRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.CreateRemittanceRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.CreateRemittanceRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.CreateRemittanceRequest.t/0","doc":"","ref":"Craftgate.Request.CreateRemittanceRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.CreateWalletRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.CreateWalletRequest","ref":"Craftgate.Request.CreateWalletRequest.html"},{"type":"function","title":"Craftgate.Request.CreateWalletRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.CreateWalletRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.CreateWalletRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.CreateWalletRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.CreateWalletRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.CreateWalletRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.CreateWalletRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.CreateWalletRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.CreateWalletRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.CreateWalletRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.CreateWalletRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.CreateWalletRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.CreateWalletRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.CreateWalletRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.CreateWalletRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.CreateWalletRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.CreateWalletRequest.t/0","doc":"","ref":"Craftgate.Request.CreateWalletRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.CreateWithdrawRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.CreateWithdrawRequest","ref":"Craftgate.Request.CreateWithdrawRequest.html"},{"type":"function","title":"Craftgate.Request.CreateWithdrawRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.CreateWithdrawRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.CreateWithdrawRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.CreateWithdrawRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.CreateWithdrawRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.CreateWithdrawRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.CreateWithdrawRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.CreateWithdrawRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.CreateWithdrawRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.CreateWithdrawRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.CreateWithdrawRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.CreateWithdrawRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.CreateWithdrawRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.CreateWithdrawRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.CreateWithdrawRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.CreateWithdrawRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.CreateWithdrawRequest.t/0","doc":"","ref":"Craftgate.Request.CreateWithdrawRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.DeleteStoredCardRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.DeleteStoredCardRequest","ref":"Craftgate.Request.DeleteStoredCardRequest.html"},{"type":"function","title":"Craftgate.Request.DeleteStoredCardRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.DeleteStoredCardRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.DeleteStoredCardRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.DeleteStoredCardRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.DeleteStoredCardRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.DeleteStoredCardRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.DeleteStoredCardRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.DeleteStoredCardRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.DeleteStoredCardRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.DeleteStoredCardRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.DeleteStoredCardRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.DeleteStoredCardRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.DeleteStoredCardRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.DeleteStoredCardRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.DeleteStoredCardRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.DeleteStoredCardRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.DeleteStoredCardRequest.t/0","doc":"","ref":"Craftgate.Request.DeleteStoredCardRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.DisapprovePaymentTransactionsRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.DisapprovePaymentTransactionsRequest","ref":"Craftgate.Request.DisapprovePaymentTransactionsRequest.html"},{"type":"function","title":"Craftgate.Request.DisapprovePaymentTransactionsRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.DisapprovePaymentTransactionsRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.DisapprovePaymentTransactionsRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.DisapprovePaymentTransactionsRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.DisapprovePaymentTransactionsRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.DisapprovePaymentTransactionsRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.DisapprovePaymentTransactionsRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.DisapprovePaymentTransactionsRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.DisapprovePaymentTransactionsRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.DisapprovePaymentTransactionsRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.DisapprovePaymentTransactionsRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.DisapprovePaymentTransactionsRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.DisapprovePaymentTransactionsRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.DisapprovePaymentTransactionsRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.DisapprovePaymentTransactionsRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.DisapprovePaymentTransactionsRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.DisapprovePaymentTransactionsRequest.t/0","doc":"","ref":"Craftgate.Request.DisapprovePaymentTransactionsRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.Dto.Card","doc":"Elixir equivalent of the Java data class io.craftgate.request.dto.Card","ref":"Craftgate.Request.Dto.Card.html"},{"type":"function","title":"Craftgate.Request.Dto.Card.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.Dto.Card.html#cast/2"},{"type":"function","title":"Craftgate.Request.Dto.Card.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.Dto.Card.html#make/2"},{"type":"function","title":"Craftgate.Request.Dto.Card.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.Dto.Card.html#make!/2"},{"type":"function","title":"Craftgate.Request.Dto.Card.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.Dto.Card.html#parse/1"},{"type":"function","title":"Craftgate.Request.Dto.Card.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.Dto.Card.html#parse!/1"},{"type":"function","title":"Craftgate.Request.Dto.Card.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.Dto.Card.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.Dto.Card.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.Dto.Card.html#serialize/2"},{"type":"function","title":"Craftgate.Request.Dto.Card.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.Dto.Card.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.Dto.Card.t/0","doc":"","ref":"Craftgate.Request.Dto.Card.html#t:t/0"},{"type":"module","title":"Craftgate.Request.Dto.CustomInstallment","doc":"Elixir equivalent of the Java data class io.craftgate.request.dto.CustomInstallment","ref":"Craftgate.Request.Dto.CustomInstallment.html"},{"type":"function","title":"Craftgate.Request.Dto.CustomInstallment.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.Dto.CustomInstallment.html#cast/2"},{"type":"function","title":"Craftgate.Request.Dto.CustomInstallment.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.Dto.CustomInstallment.html#make/2"},{"type":"function","title":"Craftgate.Request.Dto.CustomInstallment.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.Dto.CustomInstallment.html#make!/2"},{"type":"function","title":"Craftgate.Request.Dto.CustomInstallment.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.Dto.CustomInstallment.html#parse/1"},{"type":"function","title":"Craftgate.Request.Dto.CustomInstallment.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.Dto.CustomInstallment.html#parse!/1"},{"type":"function","title":"Craftgate.Request.Dto.CustomInstallment.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.Dto.CustomInstallment.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.Dto.CustomInstallment.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.Dto.CustomInstallment.html#serialize/2"},{"type":"function","title":"Craftgate.Request.Dto.CustomInstallment.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.Dto.CustomInstallment.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.Dto.CustomInstallment.t/0","doc":"","ref":"Craftgate.Request.Dto.CustomInstallment.html#t:t/0"},{"type":"module","title":"Craftgate.Request.Dto.FraudCheckParameters","doc":"Elixir equivalent of the Java data class io.craftgate.request.dto.FraudCheckParameters","ref":"Craftgate.Request.Dto.FraudCheckParameters.html"},{"type":"function","title":"Craftgate.Request.Dto.FraudCheckParameters.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.Dto.FraudCheckParameters.html#cast/2"},{"type":"function","title":"Craftgate.Request.Dto.FraudCheckParameters.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.Dto.FraudCheckParameters.html#make/2"},{"type":"function","title":"Craftgate.Request.Dto.FraudCheckParameters.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.Dto.FraudCheckParameters.html#make!/2"},{"type":"function","title":"Craftgate.Request.Dto.FraudCheckParameters.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.Dto.FraudCheckParameters.html#parse/1"},{"type":"function","title":"Craftgate.Request.Dto.FraudCheckParameters.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.Dto.FraudCheckParameters.html#parse!/1"},{"type":"function","title":"Craftgate.Request.Dto.FraudCheckParameters.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.Dto.FraudCheckParameters.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.Dto.FraudCheckParameters.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.Dto.FraudCheckParameters.html#serialize/2"},{"type":"function","title":"Craftgate.Request.Dto.FraudCheckParameters.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.Dto.FraudCheckParameters.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.Dto.FraudCheckParameters.t/0","doc":"","ref":"Craftgate.Request.Dto.FraudCheckParameters.html#t:t/0"},{"type":"module","title":"Craftgate.Request.Dto.FraudPaymentData","doc":"Elixir equivalent of the Java data class io.craftgate.request.dto.FraudPaymentData","ref":"Craftgate.Request.Dto.FraudPaymentData.html"},{"type":"function","title":"Craftgate.Request.Dto.FraudPaymentData.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.Dto.FraudPaymentData.html#cast/2"},{"type":"function","title":"Craftgate.Request.Dto.FraudPaymentData.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.Dto.FraudPaymentData.html#make/2"},{"type":"function","title":"Craftgate.Request.Dto.FraudPaymentData.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.Dto.FraudPaymentData.html#make!/2"},{"type":"function","title":"Craftgate.Request.Dto.FraudPaymentData.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.Dto.FraudPaymentData.html#parse/1"},{"type":"function","title":"Craftgate.Request.Dto.FraudPaymentData.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.Dto.FraudPaymentData.html#parse!/1"},{"type":"function","title":"Craftgate.Request.Dto.FraudPaymentData.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.Dto.FraudPaymentData.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.Dto.FraudPaymentData.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.Dto.FraudPaymentData.html#serialize/2"},{"type":"function","title":"Craftgate.Request.Dto.FraudPaymentData.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.Dto.FraudPaymentData.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.Dto.FraudPaymentData.t/0","doc":"","ref":"Craftgate.Request.Dto.FraudPaymentData.html#t:t/0"},{"type":"module","title":"Craftgate.Request.Dto.GarantiPayInstallment","doc":"Elixir equivalent of the Java data class io.craftgate.request.dto.GarantiPayInstallment","ref":"Craftgate.Request.Dto.GarantiPayInstallment.html"},{"type":"function","title":"Craftgate.Request.Dto.GarantiPayInstallment.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.Dto.GarantiPayInstallment.html#cast/2"},{"type":"function","title":"Craftgate.Request.Dto.GarantiPayInstallment.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.Dto.GarantiPayInstallment.html#make/2"},{"type":"function","title":"Craftgate.Request.Dto.GarantiPayInstallment.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.Dto.GarantiPayInstallment.html#make!/2"},{"type":"function","title":"Craftgate.Request.Dto.GarantiPayInstallment.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.Dto.GarantiPayInstallment.html#parse/1"},{"type":"function","title":"Craftgate.Request.Dto.GarantiPayInstallment.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.Dto.GarantiPayInstallment.html#parse!/1"},{"type":"function","title":"Craftgate.Request.Dto.GarantiPayInstallment.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.Dto.GarantiPayInstallment.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.Dto.GarantiPayInstallment.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.Dto.GarantiPayInstallment.html#serialize/2"},{"type":"function","title":"Craftgate.Request.Dto.GarantiPayInstallment.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.Dto.GarantiPayInstallment.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.Dto.GarantiPayInstallment.t/0","doc":"","ref":"Craftgate.Request.Dto.GarantiPayInstallment.html#t:t/0"},{"type":"module","title":"Craftgate.Request.Dto.PaymentItem","doc":"Elixir equivalent of the Java data class io.craftgate.request.dto.PaymentItem","ref":"Craftgate.Request.Dto.PaymentItem.html"},{"type":"function","title":"Craftgate.Request.Dto.PaymentItem.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.Dto.PaymentItem.html#cast/2"},{"type":"function","title":"Craftgate.Request.Dto.PaymentItem.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.Dto.PaymentItem.html#make/2"},{"type":"function","title":"Craftgate.Request.Dto.PaymentItem.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.Dto.PaymentItem.html#make!/2"},{"type":"function","title":"Craftgate.Request.Dto.PaymentItem.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.Dto.PaymentItem.html#parse/1"},{"type":"function","title":"Craftgate.Request.Dto.PaymentItem.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.Dto.PaymentItem.html#parse!/1"},{"type":"function","title":"Craftgate.Request.Dto.PaymentItem.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.Dto.PaymentItem.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.Dto.PaymentItem.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.Dto.PaymentItem.html#serialize/2"},{"type":"function","title":"Craftgate.Request.Dto.PaymentItem.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.Dto.PaymentItem.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.Dto.PaymentItem.t/0","doc":"","ref":"Craftgate.Request.Dto.PaymentItem.html#t:t/0"},{"type":"module","title":"Craftgate.Request.Dto.PosApmInstallment","doc":"Elixir equivalent of the Java data class io.craftgate.request.dto.PosApmInstallment","ref":"Craftgate.Request.Dto.PosApmInstallment.html"},{"type":"function","title":"Craftgate.Request.Dto.PosApmInstallment.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.Dto.PosApmInstallment.html#cast/2"},{"type":"function","title":"Craftgate.Request.Dto.PosApmInstallment.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.Dto.PosApmInstallment.html#make/2"},{"type":"function","title":"Craftgate.Request.Dto.PosApmInstallment.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.Dto.PosApmInstallment.html#make!/2"},{"type":"function","title":"Craftgate.Request.Dto.PosApmInstallment.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.Dto.PosApmInstallment.html#parse/1"},{"type":"function","title":"Craftgate.Request.Dto.PosApmInstallment.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.Dto.PosApmInstallment.html#parse!/1"},{"type":"function","title":"Craftgate.Request.Dto.PosApmInstallment.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.Dto.PosApmInstallment.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.Dto.PosApmInstallment.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.Dto.PosApmInstallment.html#serialize/2"},{"type":"function","title":"Craftgate.Request.Dto.PosApmInstallment.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.Dto.PosApmInstallment.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.Dto.PosApmInstallment.t/0","doc":"","ref":"Craftgate.Request.Dto.PosApmInstallment.html#t:t/0"},{"type":"module","title":"Craftgate.Request.FraudValueListRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.FraudValueListRequest","ref":"Craftgate.Request.FraudValueListRequest.html"},{"type":"function","title":"Craftgate.Request.FraudValueListRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.FraudValueListRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.FraudValueListRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.FraudValueListRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.FraudValueListRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.FraudValueListRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.FraudValueListRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.FraudValueListRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.FraudValueListRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.FraudValueListRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.FraudValueListRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.FraudValueListRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.FraudValueListRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.FraudValueListRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.FraudValueListRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.FraudValueListRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.FraudValueListRequest.t/0","doc":"","ref":"Craftgate.Request.FraudValueListRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.InitApmDepositPaymentRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.InitApmDepositPaymentRequest","ref":"Craftgate.Request.InitApmDepositPaymentRequest.html"},{"type":"function","title":"Craftgate.Request.InitApmDepositPaymentRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.InitApmDepositPaymentRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.InitApmDepositPaymentRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.InitApmDepositPaymentRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.InitApmDepositPaymentRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.InitApmDepositPaymentRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.InitApmDepositPaymentRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.InitApmDepositPaymentRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.InitApmDepositPaymentRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.InitApmDepositPaymentRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.InitApmDepositPaymentRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.InitApmDepositPaymentRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.InitApmDepositPaymentRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.InitApmDepositPaymentRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.InitApmDepositPaymentRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.InitApmDepositPaymentRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.InitApmDepositPaymentRequest.t/0","doc":"","ref":"Craftgate.Request.InitApmDepositPaymentRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.InitApmPaymentRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.InitApmPaymentRequest","ref":"Craftgate.Request.InitApmPaymentRequest.html"},{"type":"function","title":"Craftgate.Request.InitApmPaymentRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.InitApmPaymentRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.InitApmPaymentRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.InitApmPaymentRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.InitApmPaymentRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.InitApmPaymentRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.InitApmPaymentRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.InitApmPaymentRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.InitApmPaymentRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.InitApmPaymentRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.InitApmPaymentRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.InitApmPaymentRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.InitApmPaymentRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.InitApmPaymentRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.InitApmPaymentRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.InitApmPaymentRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.InitApmPaymentRequest.t/0","doc":"","ref":"Craftgate.Request.InitApmPaymentRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.InitCheckoutPaymentRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.InitCheckoutPaymentRequest","ref":"Craftgate.Request.InitCheckoutPaymentRequest.html"},{"type":"function","title":"Craftgate.Request.InitCheckoutPaymentRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.InitCheckoutPaymentRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.InitCheckoutPaymentRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.InitCheckoutPaymentRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.InitCheckoutPaymentRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.InitCheckoutPaymentRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.InitCheckoutPaymentRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.InitCheckoutPaymentRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.InitCheckoutPaymentRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.InitCheckoutPaymentRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.InitCheckoutPaymentRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.InitCheckoutPaymentRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.InitCheckoutPaymentRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.InitCheckoutPaymentRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.InitCheckoutPaymentRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.InitCheckoutPaymentRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.InitCheckoutPaymentRequest.t/0","doc":"","ref":"Craftgate.Request.InitCheckoutPaymentRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.InitGarantiPayPaymentRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.InitGarantiPayPaymentRequest","ref":"Craftgate.Request.InitGarantiPayPaymentRequest.html"},{"type":"function","title":"Craftgate.Request.InitGarantiPayPaymentRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.InitGarantiPayPaymentRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.InitGarantiPayPaymentRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.InitGarantiPayPaymentRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.InitGarantiPayPaymentRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.InitGarantiPayPaymentRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.InitGarantiPayPaymentRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.InitGarantiPayPaymentRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.InitGarantiPayPaymentRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.InitGarantiPayPaymentRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.InitGarantiPayPaymentRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.InitGarantiPayPaymentRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.InitGarantiPayPaymentRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.InitGarantiPayPaymentRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.InitGarantiPayPaymentRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.InitGarantiPayPaymentRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.InitGarantiPayPaymentRequest.t/0","doc":"","ref":"Craftgate.Request.InitGarantiPayPaymentRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.InitPosApmPaymentRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.InitPosApmPaymentRequest","ref":"Craftgate.Request.InitPosApmPaymentRequest.html"},{"type":"function","title":"Craftgate.Request.InitPosApmPaymentRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.InitPosApmPaymentRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.InitPosApmPaymentRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.InitPosApmPaymentRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.InitPosApmPaymentRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.InitPosApmPaymentRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.InitPosApmPaymentRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.InitPosApmPaymentRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.InitPosApmPaymentRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.InitPosApmPaymentRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.InitPosApmPaymentRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.InitPosApmPaymentRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.InitPosApmPaymentRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.InitPosApmPaymentRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.InitPosApmPaymentRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.InitPosApmPaymentRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.InitPosApmPaymentRequest.t/0","doc":"","ref":"Craftgate.Request.InitPosApmPaymentRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.InitThreeDSPaymentRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.InitThreeDSPaymentRequest","ref":"Craftgate.Request.InitThreeDSPaymentRequest.html"},{"type":"function","title":"Craftgate.Request.InitThreeDSPaymentRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.InitThreeDSPaymentRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.InitThreeDSPaymentRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.InitThreeDSPaymentRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.InitThreeDSPaymentRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.InitThreeDSPaymentRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.InitThreeDSPaymentRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.InitThreeDSPaymentRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.InitThreeDSPaymentRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.InitThreeDSPaymentRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.InitThreeDSPaymentRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.InitThreeDSPaymentRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.InitThreeDSPaymentRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.InitThreeDSPaymentRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.InitThreeDSPaymentRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.InitThreeDSPaymentRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.InitThreeDSPaymentRequest.t/0","doc":"","ref":"Craftgate.Request.InitThreeDSPaymentRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.PostAuthPaymentRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.PostAuthPaymentRequest","ref":"Craftgate.Request.PostAuthPaymentRequest.html"},{"type":"function","title":"Craftgate.Request.PostAuthPaymentRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.PostAuthPaymentRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.PostAuthPaymentRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.PostAuthPaymentRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.PostAuthPaymentRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.PostAuthPaymentRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.PostAuthPaymentRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.PostAuthPaymentRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.PostAuthPaymentRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.PostAuthPaymentRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.PostAuthPaymentRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.PostAuthPaymentRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.PostAuthPaymentRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.PostAuthPaymentRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.PostAuthPaymentRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.PostAuthPaymentRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.PostAuthPaymentRequest.t/0","doc":"","ref":"Craftgate.Request.PostAuthPaymentRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.RefundPaymentRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.RefundPaymentRequest","ref":"Craftgate.Request.RefundPaymentRequest.html"},{"type":"function","title":"Craftgate.Request.RefundPaymentRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.RefundPaymentRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.RefundPaymentRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.RefundPaymentRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.RefundPaymentRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.RefundPaymentRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.RefundPaymentRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.RefundPaymentRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.RefundPaymentRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.RefundPaymentRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.RefundPaymentRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.RefundPaymentRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.RefundPaymentRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.RefundPaymentRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.RefundPaymentRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.RefundPaymentRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.RefundPaymentRequest.t/0","doc":"","ref":"Craftgate.Request.RefundPaymentRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.RefundPaymentTransactionRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.RefundPaymentTransactionRequest","ref":"Craftgate.Request.RefundPaymentTransactionRequest.html"},{"type":"function","title":"Craftgate.Request.RefundPaymentTransactionRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.RefundPaymentTransactionRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.RefundPaymentTransactionRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.RefundPaymentTransactionRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.RefundPaymentTransactionRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.RefundPaymentTransactionRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.RefundPaymentTransactionRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.RefundPaymentTransactionRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.RefundPaymentTransactionRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.RefundPaymentTransactionRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.RefundPaymentTransactionRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.RefundPaymentTransactionRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.RefundPaymentTransactionRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.RefundPaymentTransactionRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.RefundPaymentTransactionRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.RefundPaymentTransactionRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.RefundPaymentTransactionRequest.t/0","doc":"","ref":"Craftgate.Request.RefundPaymentTransactionRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.RefundWalletTransactionToCardRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.RefundWalletTransactionToCardRequest","ref":"Craftgate.Request.RefundWalletTransactionToCardRequest.html"},{"type":"function","title":"Craftgate.Request.RefundWalletTransactionToCardRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.RefundWalletTransactionToCardRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.RefundWalletTransactionToCardRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.RefundWalletTransactionToCardRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.RefundWalletTransactionToCardRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.RefundWalletTransactionToCardRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.RefundWalletTransactionToCardRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.RefundWalletTransactionToCardRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.RefundWalletTransactionToCardRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.RefundWalletTransactionToCardRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.RefundWalletTransactionToCardRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.RefundWalletTransactionToCardRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.RefundWalletTransactionToCardRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.RefundWalletTransactionToCardRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.RefundWalletTransactionToCardRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.RefundWalletTransactionToCardRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.RefundWalletTransactionToCardRequest.t/0","doc":"","ref":"Craftgate.Request.RefundWalletTransactionToCardRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.ResetMerchantMemberWalletBalanceRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.ResetMerchantMemberWalletBalanceRequest","ref":"Craftgate.Request.ResetMerchantMemberWalletBalanceRequest.html"},{"type":"function","title":"Craftgate.Request.ResetMerchantMemberWalletBalanceRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.ResetMerchantMemberWalletBalanceRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.ResetMerchantMemberWalletBalanceRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.ResetMerchantMemberWalletBalanceRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.ResetMerchantMemberWalletBalanceRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.ResetMerchantMemberWalletBalanceRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.ResetMerchantMemberWalletBalanceRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.ResetMerchantMemberWalletBalanceRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.ResetMerchantMemberWalletBalanceRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.ResetMerchantMemberWalletBalanceRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.ResetMerchantMemberWalletBalanceRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.ResetMerchantMemberWalletBalanceRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.ResetMerchantMemberWalletBalanceRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.ResetMerchantMemberWalletBalanceRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.ResetMerchantMemberWalletBalanceRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.ResetMerchantMemberWalletBalanceRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.ResetMerchantMemberWalletBalanceRequest.t/0","doc":"","ref":"Craftgate.Request.ResetMerchantMemberWalletBalanceRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.RetrieveDailyTransactionReportRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.RetrieveDailyTransactionReportRequest","ref":"Craftgate.Request.RetrieveDailyTransactionReportRequest.html"},{"type":"function","title":"Craftgate.Request.RetrieveDailyTransactionReportRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.RetrieveDailyTransactionReportRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.RetrieveDailyTransactionReportRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.RetrieveDailyTransactionReportRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.RetrieveDailyTransactionReportRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.RetrieveDailyTransactionReportRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.RetrieveDailyTransactionReportRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.RetrieveDailyTransactionReportRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.RetrieveDailyTransactionReportRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.RetrieveDailyTransactionReportRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.RetrieveDailyTransactionReportRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.RetrieveDailyTransactionReportRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.RetrieveDailyTransactionReportRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.RetrieveDailyTransactionReportRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.RetrieveDailyTransactionReportRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.RetrieveDailyTransactionReportRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.RetrieveDailyTransactionReportRequest.t/0","doc":"","ref":"Craftgate.Request.RetrieveDailyTransactionReportRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.RetrieveLoyaltiesRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.RetrieveLoyaltiesRequest","ref":"Craftgate.Request.RetrieveLoyaltiesRequest.html"},{"type":"function","title":"Craftgate.Request.RetrieveLoyaltiesRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.RetrieveLoyaltiesRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.RetrieveLoyaltiesRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.RetrieveLoyaltiesRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.RetrieveLoyaltiesRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.RetrieveLoyaltiesRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.RetrieveLoyaltiesRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.RetrieveLoyaltiesRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.RetrieveLoyaltiesRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.RetrieveLoyaltiesRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.RetrieveLoyaltiesRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.RetrieveLoyaltiesRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.RetrieveLoyaltiesRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.RetrieveLoyaltiesRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.RetrieveLoyaltiesRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.RetrieveLoyaltiesRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.RetrieveLoyaltiesRequest.t/0","doc":"","ref":"Craftgate.Request.RetrieveLoyaltiesRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.SearchFraudChecksRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.SearchFraudChecksRequest","ref":"Craftgate.Request.SearchFraudChecksRequest.html"},{"type":"function","title":"Craftgate.Request.SearchFraudChecksRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.SearchFraudChecksRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.SearchFraudChecksRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.SearchFraudChecksRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.SearchFraudChecksRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.SearchFraudChecksRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.SearchFraudChecksRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.SearchFraudChecksRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.SearchFraudChecksRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.SearchFraudChecksRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.SearchFraudChecksRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.SearchFraudChecksRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.SearchFraudChecksRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.SearchFraudChecksRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.SearchFraudChecksRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.SearchFraudChecksRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.SearchFraudChecksRequest.t/0","doc":"","ref":"Craftgate.Request.SearchFraudChecksRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.SearchInstallmentsRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.SearchInstallmentsRequest","ref":"Craftgate.Request.SearchInstallmentsRequest.html"},{"type":"function","title":"Craftgate.Request.SearchInstallmentsRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.SearchInstallmentsRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.SearchInstallmentsRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.SearchInstallmentsRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.SearchInstallmentsRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.SearchInstallmentsRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.SearchInstallmentsRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.SearchInstallmentsRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.SearchInstallmentsRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.SearchInstallmentsRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.SearchInstallmentsRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.SearchInstallmentsRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.SearchInstallmentsRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.SearchInstallmentsRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.SearchInstallmentsRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.SearchInstallmentsRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.SearchInstallmentsRequest.t/0","doc":"","ref":"Craftgate.Request.SearchInstallmentsRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.SearchMembersRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.SearchMembersRequest","ref":"Craftgate.Request.SearchMembersRequest.html"},{"type":"function","title":"Craftgate.Request.SearchMembersRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.SearchMembersRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.SearchMembersRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.SearchMembersRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.SearchMembersRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.SearchMembersRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.SearchMembersRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.SearchMembersRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.SearchMembersRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.SearchMembersRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.SearchMembersRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.SearchMembersRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.SearchMembersRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.SearchMembersRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.SearchMembersRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.SearchMembersRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.SearchMembersRequest.t/0","doc":"","ref":"Craftgate.Request.SearchMembersRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.SearchPaymentRefundsRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.SearchPaymentRefundsRequest","ref":"Craftgate.Request.SearchPaymentRefundsRequest.html"},{"type":"function","title":"Craftgate.Request.SearchPaymentRefundsRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.SearchPaymentRefundsRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.SearchPaymentRefundsRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.SearchPaymentRefundsRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.SearchPaymentRefundsRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.SearchPaymentRefundsRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.SearchPaymentRefundsRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.SearchPaymentRefundsRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.SearchPaymentRefundsRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.SearchPaymentRefundsRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.SearchPaymentRefundsRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.SearchPaymentRefundsRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.SearchPaymentRefundsRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.SearchPaymentRefundsRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.SearchPaymentRefundsRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.SearchPaymentRefundsRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.SearchPaymentRefundsRequest.t/0","doc":"","ref":"Craftgate.Request.SearchPaymentRefundsRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.SearchPaymentTransactionRefundsRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.SearchPaymentTransactionRefundsRequest","ref":"Craftgate.Request.SearchPaymentTransactionRefundsRequest.html"},{"type":"function","title":"Craftgate.Request.SearchPaymentTransactionRefundsRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.SearchPaymentTransactionRefundsRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.SearchPaymentTransactionRefundsRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.SearchPaymentTransactionRefundsRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.SearchPaymentTransactionRefundsRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.SearchPaymentTransactionRefundsRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.SearchPaymentTransactionRefundsRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.SearchPaymentTransactionRefundsRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.SearchPaymentTransactionRefundsRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.SearchPaymentTransactionRefundsRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.SearchPaymentTransactionRefundsRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.SearchPaymentTransactionRefundsRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.SearchPaymentTransactionRefundsRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.SearchPaymentTransactionRefundsRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.SearchPaymentTransactionRefundsRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.SearchPaymentTransactionRefundsRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.SearchPaymentTransactionRefundsRequest.t/0","doc":"","ref":"Craftgate.Request.SearchPaymentTransactionRefundsRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.SearchPaymentsRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.SearchPaymentsRequest","ref":"Craftgate.Request.SearchPaymentsRequest.html"},{"type":"function","title":"Craftgate.Request.SearchPaymentsRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.SearchPaymentsRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.SearchPaymentsRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.SearchPaymentsRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.SearchPaymentsRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.SearchPaymentsRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.SearchPaymentsRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.SearchPaymentsRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.SearchPaymentsRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.SearchPaymentsRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.SearchPaymentsRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.SearchPaymentsRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.SearchPaymentsRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.SearchPaymentsRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.SearchPaymentsRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.SearchPaymentsRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.SearchPaymentsRequest.t/0","doc":"","ref":"Craftgate.Request.SearchPaymentsRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.SearchPayoutAccountRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.SearchPayoutAccountRequest","ref":"Craftgate.Request.SearchPayoutAccountRequest.html"},{"type":"function","title":"Craftgate.Request.SearchPayoutAccountRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.SearchPayoutAccountRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.SearchPayoutAccountRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.SearchPayoutAccountRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.SearchPayoutAccountRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.SearchPayoutAccountRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.SearchPayoutAccountRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.SearchPayoutAccountRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.SearchPayoutAccountRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.SearchPayoutAccountRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.SearchPayoutAccountRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.SearchPayoutAccountRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.SearchPayoutAccountRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.SearchPayoutAccountRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.SearchPayoutAccountRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.SearchPayoutAccountRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.SearchPayoutAccountRequest.t/0","doc":"","ref":"Craftgate.Request.SearchPayoutAccountRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.SearchPayoutBouncedTransactionsRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.SearchPayoutBouncedTransactionsRequest","ref":"Craftgate.Request.SearchPayoutBouncedTransactionsRequest.html"},{"type":"function","title":"Craftgate.Request.SearchPayoutBouncedTransactionsRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.SearchPayoutBouncedTransactionsRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.SearchPayoutBouncedTransactionsRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.SearchPayoutBouncedTransactionsRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.SearchPayoutBouncedTransactionsRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.SearchPayoutBouncedTransactionsRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.SearchPayoutBouncedTransactionsRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.SearchPayoutBouncedTransactionsRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.SearchPayoutBouncedTransactionsRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.SearchPayoutBouncedTransactionsRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.SearchPayoutBouncedTransactionsRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.SearchPayoutBouncedTransactionsRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.SearchPayoutBouncedTransactionsRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.SearchPayoutBouncedTransactionsRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.SearchPayoutBouncedTransactionsRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.SearchPayoutBouncedTransactionsRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.SearchPayoutBouncedTransactionsRequest.t/0","doc":"","ref":"Craftgate.Request.SearchPayoutBouncedTransactionsRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.SearchPayoutCompletedTransactionsRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.SearchPayoutCompletedTransactionsRequest","ref":"Craftgate.Request.SearchPayoutCompletedTransactionsRequest.html"},{"type":"function","title":"Craftgate.Request.SearchPayoutCompletedTransactionsRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.SearchPayoutCompletedTransactionsRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.SearchPayoutCompletedTransactionsRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.SearchPayoutCompletedTransactionsRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.SearchPayoutCompletedTransactionsRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.SearchPayoutCompletedTransactionsRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.SearchPayoutCompletedTransactionsRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.SearchPayoutCompletedTransactionsRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.SearchPayoutCompletedTransactionsRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.SearchPayoutCompletedTransactionsRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.SearchPayoutCompletedTransactionsRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.SearchPayoutCompletedTransactionsRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.SearchPayoutCompletedTransactionsRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.SearchPayoutCompletedTransactionsRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.SearchPayoutCompletedTransactionsRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.SearchPayoutCompletedTransactionsRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.SearchPayoutCompletedTransactionsRequest.t/0","doc":"","ref":"Craftgate.Request.SearchPayoutCompletedTransactionsRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.SearchPayoutRowsRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.SearchPayoutRowsRequest","ref":"Craftgate.Request.SearchPayoutRowsRequest.html"},{"type":"function","title":"Craftgate.Request.SearchPayoutRowsRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.SearchPayoutRowsRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.SearchPayoutRowsRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.SearchPayoutRowsRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.SearchPayoutRowsRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.SearchPayoutRowsRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.SearchPayoutRowsRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.SearchPayoutRowsRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.SearchPayoutRowsRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.SearchPayoutRowsRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.SearchPayoutRowsRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.SearchPayoutRowsRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.SearchPayoutRowsRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.SearchPayoutRowsRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.SearchPayoutRowsRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.SearchPayoutRowsRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.SearchPayoutRowsRequest.t/0","doc":"","ref":"Craftgate.Request.SearchPayoutRowsRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.SearchProductsRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.SearchProductsRequest","ref":"Craftgate.Request.SearchProductsRequest.html"},{"type":"function","title":"Craftgate.Request.SearchProductsRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.SearchProductsRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.SearchProductsRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.SearchProductsRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.SearchProductsRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.SearchProductsRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.SearchProductsRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.SearchProductsRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.SearchProductsRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.SearchProductsRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.SearchProductsRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.SearchProductsRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.SearchProductsRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.SearchProductsRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.SearchProductsRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.SearchProductsRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.SearchProductsRequest.t/0","doc":"","ref":"Craftgate.Request.SearchProductsRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.SearchStoredCardsRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.SearchStoredCardsRequest","ref":"Craftgate.Request.SearchStoredCardsRequest.html"},{"type":"function","title":"Craftgate.Request.SearchStoredCardsRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.SearchStoredCardsRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.SearchStoredCardsRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.SearchStoredCardsRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.SearchStoredCardsRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.SearchStoredCardsRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.SearchStoredCardsRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.SearchStoredCardsRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.SearchStoredCardsRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.SearchStoredCardsRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.SearchStoredCardsRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.SearchStoredCardsRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.SearchStoredCardsRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.SearchStoredCardsRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.SearchStoredCardsRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.SearchStoredCardsRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.SearchStoredCardsRequest.t/0","doc":"","ref":"Craftgate.Request.SearchStoredCardsRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.SearchWalletTransactionsRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.SearchWalletTransactionsRequest","ref":"Craftgate.Request.SearchWalletTransactionsRequest.html"},{"type":"function","title":"Craftgate.Request.SearchWalletTransactionsRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.SearchWalletTransactionsRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.SearchWalletTransactionsRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.SearchWalletTransactionsRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.SearchWalletTransactionsRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.SearchWalletTransactionsRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.SearchWalletTransactionsRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.SearchWalletTransactionsRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.SearchWalletTransactionsRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.SearchWalletTransactionsRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.SearchWalletTransactionsRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.SearchWalletTransactionsRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.SearchWalletTransactionsRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.SearchWalletTransactionsRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.SearchWalletTransactionsRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.SearchWalletTransactionsRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.SearchWalletTransactionsRequest.t/0","doc":"","ref":"Craftgate.Request.SearchWalletTransactionsRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.SearchWithdrawsRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.SearchWithdrawsRequest","ref":"Craftgate.Request.SearchWithdrawsRequest.html"},{"type":"function","title":"Craftgate.Request.SearchWithdrawsRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.SearchWithdrawsRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.SearchWithdrawsRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.SearchWithdrawsRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.SearchWithdrawsRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.SearchWithdrawsRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.SearchWithdrawsRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.SearchWithdrawsRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.SearchWithdrawsRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.SearchWithdrawsRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.SearchWithdrawsRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.SearchWithdrawsRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.SearchWithdrawsRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.SearchWithdrawsRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.SearchWithdrawsRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.SearchWithdrawsRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.SearchWithdrawsRequest.t/0","doc":"","ref":"Craftgate.Request.SearchWithdrawsRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.StoreCardRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.StoreCardRequest","ref":"Craftgate.Request.StoreCardRequest.html"},{"type":"function","title":"Craftgate.Request.StoreCardRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.StoreCardRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.StoreCardRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.StoreCardRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.StoreCardRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.StoreCardRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.StoreCardRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.StoreCardRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.StoreCardRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.StoreCardRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.StoreCardRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.StoreCardRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.StoreCardRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.StoreCardRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.StoreCardRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.StoreCardRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.StoreCardRequest.t/0","doc":"","ref":"Craftgate.Request.StoreCardRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.UpdateCardRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.UpdateCardRequest","ref":"Craftgate.Request.UpdateCardRequest.html"},{"type":"function","title":"Craftgate.Request.UpdateCardRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.UpdateCardRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.UpdateCardRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.UpdateCardRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.UpdateCardRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.UpdateCardRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.UpdateCardRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.UpdateCardRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.UpdateCardRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.UpdateCardRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.UpdateCardRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.UpdateCardRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.UpdateCardRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.UpdateCardRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.UpdateCardRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.UpdateCardRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.UpdateCardRequest.t/0","doc":"","ref":"Craftgate.Request.UpdateCardRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.UpdateFraudCheckRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.UpdateFraudCheckRequest","ref":"Craftgate.Request.UpdateFraudCheckRequest.html"},{"type":"function","title":"Craftgate.Request.UpdateFraudCheckRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.UpdateFraudCheckRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.UpdateFraudCheckRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.UpdateFraudCheckRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.UpdateFraudCheckRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.UpdateFraudCheckRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.UpdateFraudCheckRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.UpdateFraudCheckRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.UpdateFraudCheckRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.UpdateFraudCheckRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.UpdateFraudCheckRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.UpdateFraudCheckRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.UpdateFraudCheckRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.UpdateFraudCheckRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.UpdateFraudCheckRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.UpdateFraudCheckRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.UpdateFraudCheckRequest.t/0","doc":"","ref":"Craftgate.Request.UpdateFraudCheckRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.UpdateMemberRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.UpdateMemberRequest","ref":"Craftgate.Request.UpdateMemberRequest.html"},{"type":"function","title":"Craftgate.Request.UpdateMemberRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.UpdateMemberRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.UpdateMemberRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.UpdateMemberRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.UpdateMemberRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.UpdateMemberRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.UpdateMemberRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.UpdateMemberRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.UpdateMemberRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.UpdateMemberRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.UpdateMemberRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.UpdateMemberRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.UpdateMemberRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.UpdateMemberRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.UpdateMemberRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.UpdateMemberRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.UpdateMemberRequest.t/0","doc":"","ref":"Craftgate.Request.UpdateMemberRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.UpdatePaymentTransactionRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.UpdatePaymentTransactionRequest","ref":"Craftgate.Request.UpdatePaymentTransactionRequest.html"},{"type":"function","title":"Craftgate.Request.UpdatePaymentTransactionRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.UpdatePaymentTransactionRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.UpdatePaymentTransactionRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.UpdatePaymentTransactionRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.UpdatePaymentTransactionRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.UpdatePaymentTransactionRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.UpdatePaymentTransactionRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.UpdatePaymentTransactionRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.UpdatePaymentTransactionRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.UpdatePaymentTransactionRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.UpdatePaymentTransactionRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.UpdatePaymentTransactionRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.UpdatePaymentTransactionRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.UpdatePaymentTransactionRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.UpdatePaymentTransactionRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.UpdatePaymentTransactionRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.UpdatePaymentTransactionRequest.t/0","doc":"","ref":"Craftgate.Request.UpdatePaymentTransactionRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.UpdatePayoutAccountRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.UpdatePayoutAccountRequest","ref":"Craftgate.Request.UpdatePayoutAccountRequest.html"},{"type":"function","title":"Craftgate.Request.UpdatePayoutAccountRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.UpdatePayoutAccountRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.UpdatePayoutAccountRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.UpdatePayoutAccountRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.UpdatePayoutAccountRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.UpdatePayoutAccountRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.UpdatePayoutAccountRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.UpdatePayoutAccountRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.UpdatePayoutAccountRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.UpdatePayoutAccountRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.UpdatePayoutAccountRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.UpdatePayoutAccountRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.UpdatePayoutAccountRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.UpdatePayoutAccountRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.UpdatePayoutAccountRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.UpdatePayoutAccountRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.UpdatePayoutAccountRequest.t/0","doc":"","ref":"Craftgate.Request.UpdatePayoutAccountRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.UpdateProductRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.UpdateProductRequest","ref":"Craftgate.Request.UpdateProductRequest.html"},{"type":"function","title":"Craftgate.Request.UpdateProductRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.UpdateProductRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.UpdateProductRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.UpdateProductRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.UpdateProductRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.UpdateProductRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.UpdateProductRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.UpdateProductRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.UpdateProductRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.UpdateProductRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.UpdateProductRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.UpdateProductRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.UpdateProductRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.UpdateProductRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.UpdateProductRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.UpdateProductRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.UpdateProductRequest.t/0","doc":"","ref":"Craftgate.Request.UpdateProductRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Request.UpdateWalletRequest","doc":"Elixir equivalent of the Java data class io.craftgate.request.UpdateWalletRequest","ref":"Craftgate.Request.UpdateWalletRequest.html"},{"type":"function","title":"Craftgate.Request.UpdateWalletRequest.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Request.UpdateWalletRequest.html#cast/2"},{"type":"function","title":"Craftgate.Request.UpdateWalletRequest.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Request.UpdateWalletRequest.html#make/2"},{"type":"function","title":"Craftgate.Request.UpdateWalletRequest.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Request.UpdateWalletRequest.html#make!/2"},{"type":"function","title":"Craftgate.Request.UpdateWalletRequest.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Request.UpdateWalletRequest.html#parse/1"},{"type":"function","title":"Craftgate.Request.UpdateWalletRequest.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Request.UpdateWalletRequest.html#parse!/1"},{"type":"function","title":"Craftgate.Request.UpdateWalletRequest.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Request.UpdateWalletRequest.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Request.UpdateWalletRequest.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Request.UpdateWalletRequest.html#serialize/2"},{"type":"function","title":"Craftgate.Request.UpdateWalletRequest.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Request.UpdateWalletRequest.html#serialize!/2"},{"type":"type","title":"Craftgate.Request.UpdateWalletRequest.t/0","doc":"","ref":"Craftgate.Request.UpdateWalletRequest.html#t:t/0"},{"type":"module","title":"Craftgate.Response.ApmDepositPaymentResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.ApmDepositPaymentResponse","ref":"Craftgate.Response.ApmDepositPaymentResponse.html"},{"type":"function","title":"Craftgate.Response.ApmDepositPaymentResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.ApmDepositPaymentResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.ApmDepositPaymentResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.ApmDepositPaymentResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.ApmDepositPaymentResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.ApmDepositPaymentResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.ApmDepositPaymentResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.ApmDepositPaymentResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.ApmDepositPaymentResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.ApmDepositPaymentResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.ApmDepositPaymentResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.ApmDepositPaymentResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.ApmDepositPaymentResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.ApmDepositPaymentResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.ApmDepositPaymentResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.ApmDepositPaymentResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.ApmDepositPaymentResponse.t/0","doc":"","ref":"Craftgate.Response.ApmDepositPaymentResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.ApmPaymentCompleteResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.ApmPaymentCompleteResponse","ref":"Craftgate.Response.ApmPaymentCompleteResponse.html"},{"type":"function","title":"Craftgate.Response.ApmPaymentCompleteResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.ApmPaymentCompleteResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.ApmPaymentCompleteResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.ApmPaymentCompleteResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.ApmPaymentCompleteResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.ApmPaymentCompleteResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.ApmPaymentCompleteResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.ApmPaymentCompleteResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.ApmPaymentCompleteResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.ApmPaymentCompleteResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.ApmPaymentCompleteResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.ApmPaymentCompleteResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.ApmPaymentCompleteResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.ApmPaymentCompleteResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.ApmPaymentCompleteResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.ApmPaymentCompleteResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.ApmPaymentCompleteResponse.t/0","doc":"","ref":"Craftgate.Response.ApmPaymentCompleteResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.ApmPaymentInitResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.ApmPaymentInitResponse","ref":"Craftgate.Response.ApmPaymentInitResponse.html"},{"type":"function","title":"Craftgate.Response.ApmPaymentInitResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.ApmPaymentInitResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.ApmPaymentInitResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.ApmPaymentInitResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.ApmPaymentInitResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.ApmPaymentInitResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.ApmPaymentInitResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.ApmPaymentInitResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.ApmPaymentInitResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.ApmPaymentInitResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.ApmPaymentInitResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.ApmPaymentInitResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.ApmPaymentInitResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.ApmPaymentInitResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.ApmPaymentInitResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.ApmPaymentInitResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.ApmPaymentInitResponse.t/0","doc":"","ref":"Craftgate.Response.ApmPaymentInitResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.BinNumberResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.BinNumberResponse","ref":"Craftgate.Response.BinNumberResponse.html"},{"type":"function","title":"Craftgate.Response.BinNumberResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.BinNumberResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.BinNumberResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.BinNumberResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.BinNumberResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.BinNumberResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.BinNumberResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.BinNumberResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.BinNumberResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.BinNumberResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.BinNumberResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.BinNumberResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.BinNumberResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.BinNumberResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.BinNumberResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.BinNumberResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.BinNumberResponse.t/0","doc":"","ref":"Craftgate.Response.BinNumberResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.CheckMasterpassUserResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.CheckMasterpassUserResponse","ref":"Craftgate.Response.CheckMasterpassUserResponse.html"},{"type":"function","title":"Craftgate.Response.CheckMasterpassUserResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.CheckMasterpassUserResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.CheckMasterpassUserResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.CheckMasterpassUserResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.CheckMasterpassUserResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.CheckMasterpassUserResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.CheckMasterpassUserResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.CheckMasterpassUserResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.CheckMasterpassUserResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.CheckMasterpassUserResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.CheckMasterpassUserResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.CheckMasterpassUserResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.CheckMasterpassUserResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.CheckMasterpassUserResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.CheckMasterpassUserResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.CheckMasterpassUserResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.CheckMasterpassUserResponse.t/0","doc":"","ref":"Craftgate.Response.CheckMasterpassUserResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.CompletePosApmPaymentResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.CompletePosApmPaymentResponse","ref":"Craftgate.Response.CompletePosApmPaymentResponse.html"},{"type":"function","title":"Craftgate.Response.CompletePosApmPaymentResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.CompletePosApmPaymentResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.CompletePosApmPaymentResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.CompletePosApmPaymentResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.CompletePosApmPaymentResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.CompletePosApmPaymentResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.CompletePosApmPaymentResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.CompletePosApmPaymentResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.CompletePosApmPaymentResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.CompletePosApmPaymentResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.CompletePosApmPaymentResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.CompletePosApmPaymentResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.CompletePosApmPaymentResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.CompletePosApmPaymentResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.CompletePosApmPaymentResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.CompletePosApmPaymentResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.CompletePosApmPaymentResponse.t/0","doc":"","ref":"Craftgate.Response.CompletePosApmPaymentResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.DepositPaymentResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.DepositPaymentResponse","ref":"Craftgate.Response.DepositPaymentResponse.html"},{"type":"function","title":"Craftgate.Response.DepositPaymentResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.DepositPaymentResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.DepositPaymentResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.DepositPaymentResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.DepositPaymentResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.DepositPaymentResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.DepositPaymentResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.DepositPaymentResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.DepositPaymentResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.DepositPaymentResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.DepositPaymentResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.DepositPaymentResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.DepositPaymentResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.DepositPaymentResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.DepositPaymentResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.DepositPaymentResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.DepositPaymentResponse.t/0","doc":"","ref":"Craftgate.Response.DepositPaymentResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.Dto.FraudCheck","doc":"Elixir equivalent of the Java data class io.craftgate.response.dto.FraudCheck","ref":"Craftgate.Response.Dto.FraudCheck.html"},{"type":"function","title":"Craftgate.Response.Dto.FraudCheck.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.Dto.FraudCheck.html#cast/2"},{"type":"function","title":"Craftgate.Response.Dto.FraudCheck.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.Dto.FraudCheck.html#make/2"},{"type":"function","title":"Craftgate.Response.Dto.FraudCheck.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.Dto.FraudCheck.html#make!/2"},{"type":"function","title":"Craftgate.Response.Dto.FraudCheck.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.Dto.FraudCheck.html#parse/1"},{"type":"function","title":"Craftgate.Response.Dto.FraudCheck.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.Dto.FraudCheck.html#parse!/1"},{"type":"function","title":"Craftgate.Response.Dto.FraudCheck.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.Dto.FraudCheck.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.Dto.FraudCheck.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.Dto.FraudCheck.html#serialize/2"},{"type":"function","title":"Craftgate.Response.Dto.FraudCheck.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.Dto.FraudCheck.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.Dto.FraudCheck.t/0","doc":"","ref":"Craftgate.Response.Dto.FraudCheck.html#t:t/0"},{"type":"module","title":"Craftgate.Response.Dto.Installment","doc":"Elixir equivalent of the Java data class io.craftgate.response.dto.Installment","ref":"Craftgate.Response.Dto.Installment.html"},{"type":"function","title":"Craftgate.Response.Dto.Installment.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.Dto.Installment.html#cast/2"},{"type":"function","title":"Craftgate.Response.Dto.Installment.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.Dto.Installment.html#make/2"},{"type":"function","title":"Craftgate.Response.Dto.Installment.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.Dto.Installment.html#make!/2"},{"type":"function","title":"Craftgate.Response.Dto.Installment.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.Dto.Installment.html#parse/1"},{"type":"function","title":"Craftgate.Response.Dto.Installment.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.Dto.Installment.html#parse!/1"},{"type":"function","title":"Craftgate.Response.Dto.Installment.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.Dto.Installment.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.Dto.Installment.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.Dto.Installment.html#serialize/2"},{"type":"function","title":"Craftgate.Response.Dto.Installment.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.Dto.Installment.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.Dto.Installment.t/0","doc":"","ref":"Craftgate.Response.Dto.Installment.html#t:t/0"},{"type":"module","title":"Craftgate.Response.Dto.InstallmentPrice","doc":"Elixir equivalent of the Java data class io.craftgate.response.dto.InstallmentPrice","ref":"Craftgate.Response.Dto.InstallmentPrice.html"},{"type":"function","title":"Craftgate.Response.Dto.InstallmentPrice.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.Dto.InstallmentPrice.html#cast/2"},{"type":"function","title":"Craftgate.Response.Dto.InstallmentPrice.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.Dto.InstallmentPrice.html#make/2"},{"type":"function","title":"Craftgate.Response.Dto.InstallmentPrice.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.Dto.InstallmentPrice.html#make!/2"},{"type":"function","title":"Craftgate.Response.Dto.InstallmentPrice.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.Dto.InstallmentPrice.html#parse/1"},{"type":"function","title":"Craftgate.Response.Dto.InstallmentPrice.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.Dto.InstallmentPrice.html#parse!/1"},{"type":"function","title":"Craftgate.Response.Dto.InstallmentPrice.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.Dto.InstallmentPrice.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.Dto.InstallmentPrice.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.Dto.InstallmentPrice.html#serialize/2"},{"type":"function","title":"Craftgate.Response.Dto.InstallmentPrice.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.Dto.InstallmentPrice.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.Dto.InstallmentPrice.t/0","doc":"","ref":"Craftgate.Response.Dto.InstallmentPrice.html#t:t/0"},{"type":"module","title":"Craftgate.Response.Dto.MerchantPos","doc":"Elixir equivalent of the Java data class io.craftgate.response.dto.MerchantPos","ref":"Craftgate.Response.Dto.MerchantPos.html"},{"type":"function","title":"Craftgate.Response.Dto.MerchantPos.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.Dto.MerchantPos.html#cast/2"},{"type":"function","title":"Craftgate.Response.Dto.MerchantPos.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.Dto.MerchantPos.html#make/2"},{"type":"function","title":"Craftgate.Response.Dto.MerchantPos.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.Dto.MerchantPos.html#make!/2"},{"type":"function","title":"Craftgate.Response.Dto.MerchantPos.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.Dto.MerchantPos.html#parse/1"},{"type":"function","title":"Craftgate.Response.Dto.MerchantPos.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.Dto.MerchantPos.html#parse!/1"},{"type":"function","title":"Craftgate.Response.Dto.MerchantPos.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.Dto.MerchantPos.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.Dto.MerchantPos.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.Dto.MerchantPos.html#serialize/2"},{"type":"function","title":"Craftgate.Response.Dto.MerchantPos.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.Dto.MerchantPos.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.Dto.MerchantPos.t/0","doc":"","ref":"Craftgate.Response.Dto.MerchantPos.html#t:t/0"},{"type":"module","title":"Craftgate.Response.Dto.PaymentError","doc":"Elixir equivalent of the Java data class io.craftgate.response.dto.PaymentError","ref":"Craftgate.Response.Dto.PaymentError.html"},{"type":"function","title":"Craftgate.Response.Dto.PaymentError.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.Dto.PaymentError.html#cast/2"},{"type":"function","title":"Craftgate.Response.Dto.PaymentError.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.Dto.PaymentError.html#make/2"},{"type":"function","title":"Craftgate.Response.Dto.PaymentError.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.Dto.PaymentError.html#make!/2"},{"type":"function","title":"Craftgate.Response.Dto.PaymentError.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.Dto.PaymentError.html#parse/1"},{"type":"function","title":"Craftgate.Response.Dto.PaymentError.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.Dto.PaymentError.html#parse!/1"},{"type":"function","title":"Craftgate.Response.Dto.PaymentError.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.Dto.PaymentError.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.Dto.PaymentError.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.Dto.PaymentError.html#serialize/2"},{"type":"function","title":"Craftgate.Response.Dto.PaymentError.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.Dto.PaymentError.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.Dto.PaymentError.t/0","doc":"","ref":"Craftgate.Response.Dto.PaymentError.html#t:t/0"},{"type":"module","title":"Craftgate.Response.Dto.PaymentTransaction","doc":"Elixir equivalent of the Java data class io.craftgate.response.dto.PaymentTransaction","ref":"Craftgate.Response.Dto.PaymentTransaction.html"},{"type":"function","title":"Craftgate.Response.Dto.PaymentTransaction.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.Dto.PaymentTransaction.html#cast/2"},{"type":"function","title":"Craftgate.Response.Dto.PaymentTransaction.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.Dto.PaymentTransaction.html#make/2"},{"type":"function","title":"Craftgate.Response.Dto.PaymentTransaction.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.Dto.PaymentTransaction.html#make!/2"},{"type":"function","title":"Craftgate.Response.Dto.PaymentTransaction.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.Dto.PaymentTransaction.html#parse/1"},{"type":"function","title":"Craftgate.Response.Dto.PaymentTransaction.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.Dto.PaymentTransaction.html#parse!/1"},{"type":"function","title":"Craftgate.Response.Dto.PaymentTransaction.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.Dto.PaymentTransaction.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.Dto.PaymentTransaction.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.Dto.PaymentTransaction.html#serialize/2"},{"type":"function","title":"Craftgate.Response.Dto.PaymentTransaction.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.Dto.PaymentTransaction.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.Dto.PaymentTransaction.t/0","doc":"","ref":"Craftgate.Response.Dto.PaymentTransaction.html#t:t/0"},{"type":"module","title":"Craftgate.Response.Dto.PaymentTransactionApproval","doc":"Elixir equivalent of the Java data class io.craftgate.response.dto.PaymentTransactionApproval","ref":"Craftgate.Response.Dto.PaymentTransactionApproval.html"},{"type":"function","title":"Craftgate.Response.Dto.PaymentTransactionApproval.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.Dto.PaymentTransactionApproval.html#cast/2"},{"type":"function","title":"Craftgate.Response.Dto.PaymentTransactionApproval.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.Dto.PaymentTransactionApproval.html#make/2"},{"type":"function","title":"Craftgate.Response.Dto.PaymentTransactionApproval.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.Dto.PaymentTransactionApproval.html#make!/2"},{"type":"function","title":"Craftgate.Response.Dto.PaymentTransactionApproval.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.Dto.PaymentTransactionApproval.html#parse/1"},{"type":"function","title":"Craftgate.Response.Dto.PaymentTransactionApproval.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.Dto.PaymentTransactionApproval.html#parse!/1"},{"type":"function","title":"Craftgate.Response.Dto.PaymentTransactionApproval.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.Dto.PaymentTransactionApproval.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.Dto.PaymentTransactionApproval.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.Dto.PaymentTransactionApproval.html#serialize/2"},{"type":"function","title":"Craftgate.Response.Dto.PaymentTransactionApproval.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.Dto.PaymentTransactionApproval.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.Dto.PaymentTransactionApproval.t/0","doc":"","ref":"Craftgate.Response.Dto.PaymentTransactionApproval.html#t:t/0"},{"type":"module","title":"Craftgate.Response.Dto.Payout","doc":"Elixir equivalent of the Java data class io.craftgate.response.dto.Payout","ref":"Craftgate.Response.Dto.Payout.html"},{"type":"function","title":"Craftgate.Response.Dto.Payout.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.Dto.Payout.html#cast/2"},{"type":"function","title":"Craftgate.Response.Dto.Payout.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.Dto.Payout.html#make/2"},{"type":"function","title":"Craftgate.Response.Dto.Payout.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.Dto.Payout.html#make!/2"},{"type":"function","title":"Craftgate.Response.Dto.Payout.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.Dto.Payout.html#parse/1"},{"type":"function","title":"Craftgate.Response.Dto.Payout.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.Dto.Payout.html#parse!/1"},{"type":"function","title":"Craftgate.Response.Dto.Payout.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.Dto.Payout.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.Dto.Payout.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.Dto.Payout.html#serialize/2"},{"type":"function","title":"Craftgate.Response.Dto.Payout.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.Dto.Payout.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.Dto.Payout.t/0","doc":"","ref":"Craftgate.Response.Dto.Payout.html#t:t/0"},{"type":"module","title":"Craftgate.Response.Dto.PayoutBouncedTransaction","doc":"Elixir equivalent of the Java data class io.craftgate.response.dto.PayoutBouncedTransaction","ref":"Craftgate.Response.Dto.PayoutBouncedTransaction.html"},{"type":"function","title":"Craftgate.Response.Dto.PayoutBouncedTransaction.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.Dto.PayoutBouncedTransaction.html#cast/2"},{"type":"function","title":"Craftgate.Response.Dto.PayoutBouncedTransaction.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.Dto.PayoutBouncedTransaction.html#make/2"},{"type":"function","title":"Craftgate.Response.Dto.PayoutBouncedTransaction.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.Dto.PayoutBouncedTransaction.html#make!/2"},{"type":"function","title":"Craftgate.Response.Dto.PayoutBouncedTransaction.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.Dto.PayoutBouncedTransaction.html#parse/1"},{"type":"function","title":"Craftgate.Response.Dto.PayoutBouncedTransaction.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.Dto.PayoutBouncedTransaction.html#parse!/1"},{"type":"function","title":"Craftgate.Response.Dto.PayoutBouncedTransaction.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.Dto.PayoutBouncedTransaction.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.Dto.PayoutBouncedTransaction.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.Dto.PayoutBouncedTransaction.html#serialize/2"},{"type":"function","title":"Craftgate.Response.Dto.PayoutBouncedTransaction.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.Dto.PayoutBouncedTransaction.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.Dto.PayoutBouncedTransaction.t/0","doc":"","ref":"Craftgate.Response.Dto.PayoutBouncedTransaction.html#t:t/0"},{"type":"module","title":"Craftgate.Response.Dto.PayoutCompletedTransaction","doc":"Elixir equivalent of the Java data class io.craftgate.response.dto.PayoutCompletedTransaction","ref":"Craftgate.Response.Dto.PayoutCompletedTransaction.html"},{"type":"function","title":"Craftgate.Response.Dto.PayoutCompletedTransaction.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.Dto.PayoutCompletedTransaction.html#cast/2"},{"type":"function","title":"Craftgate.Response.Dto.PayoutCompletedTransaction.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.Dto.PayoutCompletedTransaction.html#make/2"},{"type":"function","title":"Craftgate.Response.Dto.PayoutCompletedTransaction.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.Dto.PayoutCompletedTransaction.html#make!/2"},{"type":"function","title":"Craftgate.Response.Dto.PayoutCompletedTransaction.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.Dto.PayoutCompletedTransaction.html#parse/1"},{"type":"function","title":"Craftgate.Response.Dto.PayoutCompletedTransaction.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.Dto.PayoutCompletedTransaction.html#parse!/1"},{"type":"function","title":"Craftgate.Response.Dto.PayoutCompletedTransaction.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.Dto.PayoutCompletedTransaction.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.Dto.PayoutCompletedTransaction.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.Dto.PayoutCompletedTransaction.html#serialize/2"},{"type":"function","title":"Craftgate.Response.Dto.PayoutCompletedTransaction.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.Dto.PayoutCompletedTransaction.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.Dto.PayoutCompletedTransaction.t/0","doc":"","ref":"Craftgate.Response.Dto.PayoutCompletedTransaction.html#t:t/0"},{"type":"module","title":"Craftgate.Response.Dto.PayoutDetailTransaction","doc":"Elixir equivalent of the Java data class io.craftgate.response.dto.PayoutDetailTransaction","ref":"Craftgate.Response.Dto.PayoutDetailTransaction.html"},{"type":"function","title":"Craftgate.Response.Dto.PayoutDetailTransaction.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.Dto.PayoutDetailTransaction.html#cast/2"},{"type":"function","title":"Craftgate.Response.Dto.PayoutDetailTransaction.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.Dto.PayoutDetailTransaction.html#make/2"},{"type":"function","title":"Craftgate.Response.Dto.PayoutDetailTransaction.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.Dto.PayoutDetailTransaction.html#make!/2"},{"type":"function","title":"Craftgate.Response.Dto.PayoutDetailTransaction.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.Dto.PayoutDetailTransaction.html#parse/1"},{"type":"function","title":"Craftgate.Response.Dto.PayoutDetailTransaction.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.Dto.PayoutDetailTransaction.html#parse!/1"},{"type":"function","title":"Craftgate.Response.Dto.PayoutDetailTransaction.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.Dto.PayoutDetailTransaction.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.Dto.PayoutDetailTransaction.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.Dto.PayoutDetailTransaction.html#serialize/2"},{"type":"function","title":"Craftgate.Response.Dto.PayoutDetailTransaction.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.Dto.PayoutDetailTransaction.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.Dto.PayoutDetailTransaction.t/0","doc":"","ref":"Craftgate.Response.Dto.PayoutDetailTransaction.html#t:t/0"},{"type":"module","title":"Craftgate.Response.Dto.PayoutRow","doc":"Elixir equivalent of the Java data class io.craftgate.response.dto.PayoutRow","ref":"Craftgate.Response.Dto.PayoutRow.html"},{"type":"function","title":"Craftgate.Response.Dto.PayoutRow.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.Dto.PayoutRow.html#cast/2"},{"type":"function","title":"Craftgate.Response.Dto.PayoutRow.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.Dto.PayoutRow.html#make/2"},{"type":"function","title":"Craftgate.Response.Dto.PayoutRow.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.Dto.PayoutRow.html#make!/2"},{"type":"function","title":"Craftgate.Response.Dto.PayoutRow.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.Dto.PayoutRow.html#parse/1"},{"type":"function","title":"Craftgate.Response.Dto.PayoutRow.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.Dto.PayoutRow.html#parse!/1"},{"type":"function","title":"Craftgate.Response.Dto.PayoutRow.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.Dto.PayoutRow.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.Dto.PayoutRow.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.Dto.PayoutRow.html#serialize/2"},{"type":"function","title":"Craftgate.Response.Dto.PayoutRow.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.Dto.PayoutRow.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.Dto.PayoutRow.t/0","doc":"","ref":"Craftgate.Response.Dto.PayoutRow.html#t:t/0"},{"type":"module","title":"Craftgate.Response.Dto.PayoutStatus","doc":"Elixir equivalent of the Java data class io.craftgate.response.dto.PayoutStatus","ref":"Craftgate.Response.Dto.PayoutStatus.html"},{"type":"function","title":"Craftgate.Response.Dto.PayoutStatus.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.Dto.PayoutStatus.html#cast/2"},{"type":"function","title":"Craftgate.Response.Dto.PayoutStatus.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.Dto.PayoutStatus.html#make/2"},{"type":"function","title":"Craftgate.Response.Dto.PayoutStatus.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.Dto.PayoutStatus.html#make!/2"},{"type":"function","title":"Craftgate.Response.Dto.PayoutStatus.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.Dto.PayoutStatus.html#parse/1"},{"type":"function","title":"Craftgate.Response.Dto.PayoutStatus.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.Dto.PayoutStatus.html#parse!/1"},{"type":"function","title":"Craftgate.Response.Dto.PayoutStatus.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.Dto.PayoutStatus.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.Dto.PayoutStatus.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.Dto.PayoutStatus.html#serialize/2"},{"type":"function","title":"Craftgate.Response.Dto.PayoutStatus.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.Dto.PayoutStatus.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.Dto.PayoutStatus.t/0","doc":"","ref":"Craftgate.Response.Dto.PayoutStatus.html#t:t/0"},{"type":"module","title":"Craftgate.Response.Dto.ReportingPaymentTransaction","doc":"Elixir equivalent of the Java data class io.craftgate.response.dto.ReportingPaymentTransaction","ref":"Craftgate.Response.Dto.ReportingPaymentTransaction.html"},{"type":"function","title":"Craftgate.Response.Dto.ReportingPaymentTransaction.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.Dto.ReportingPaymentTransaction.html#cast/2"},{"type":"function","title":"Craftgate.Response.Dto.ReportingPaymentTransaction.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.Dto.ReportingPaymentTransaction.html#make/2"},{"type":"function","title":"Craftgate.Response.Dto.ReportingPaymentTransaction.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.Dto.ReportingPaymentTransaction.html#make!/2"},{"type":"function","title":"Craftgate.Response.Dto.ReportingPaymentTransaction.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.Dto.ReportingPaymentTransaction.html#parse/1"},{"type":"function","title":"Craftgate.Response.Dto.ReportingPaymentTransaction.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.Dto.ReportingPaymentTransaction.html#parse!/1"},{"type":"function","title":"Craftgate.Response.Dto.ReportingPaymentTransaction.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.Dto.ReportingPaymentTransaction.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.Dto.ReportingPaymentTransaction.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.Dto.ReportingPaymentTransaction.html#serialize/2"},{"type":"function","title":"Craftgate.Response.Dto.ReportingPaymentTransaction.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.Dto.ReportingPaymentTransaction.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.Dto.ReportingPaymentTransaction.t/0","doc":"","ref":"Craftgate.Response.Dto.ReportingPaymentTransaction.html#t:t/0"},{"type":"module","title":"Craftgate.Response.Dto.WalletTransaction","doc":"Elixir equivalent of the Java data class io.craftgate.response.dto.WalletTransaction","ref":"Craftgate.Response.Dto.WalletTransaction.html"},{"type":"function","title":"Craftgate.Response.Dto.WalletTransaction.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.Dto.WalletTransaction.html#cast/2"},{"type":"function","title":"Craftgate.Response.Dto.WalletTransaction.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.Dto.WalletTransaction.html#make/2"},{"type":"function","title":"Craftgate.Response.Dto.WalletTransaction.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.Dto.WalletTransaction.html#make!/2"},{"type":"function","title":"Craftgate.Response.Dto.WalletTransaction.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.Dto.WalletTransaction.html#parse/1"},{"type":"function","title":"Craftgate.Response.Dto.WalletTransaction.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.Dto.WalletTransaction.html#parse!/1"},{"type":"function","title":"Craftgate.Response.Dto.WalletTransaction.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.Dto.WalletTransaction.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.Dto.WalletTransaction.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.Dto.WalletTransaction.html#serialize/2"},{"type":"function","title":"Craftgate.Response.Dto.WalletTransaction.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.Dto.WalletTransaction.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.Dto.WalletTransaction.t/0","doc":"","ref":"Craftgate.Response.Dto.WalletTransaction.html#t:t/0"},{"type":"module","title":"Craftgate.Response.FraudAllValueListsResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.FraudAllValueListsResponse","ref":"Craftgate.Response.FraudAllValueListsResponse.html"},{"type":"function","title":"Craftgate.Response.FraudAllValueListsResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.FraudAllValueListsResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.FraudAllValueListsResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.FraudAllValueListsResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.FraudAllValueListsResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.FraudAllValueListsResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.FraudAllValueListsResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.FraudAllValueListsResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.FraudAllValueListsResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.FraudAllValueListsResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.FraudAllValueListsResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.FraudAllValueListsResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.FraudAllValueListsResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.FraudAllValueListsResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.FraudAllValueListsResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.FraudAllValueListsResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.FraudAllValueListsResponse.t/0","doc":"","ref":"Craftgate.Response.FraudAllValueListsResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.FraudCheckListResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.FraudCheckListResponse","ref":"Craftgate.Response.FraudCheckListResponse.html"},{"type":"function","title":"Craftgate.Response.FraudCheckListResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.FraudCheckListResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.FraudCheckListResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.FraudCheckListResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.FraudCheckListResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.FraudCheckListResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.FraudCheckListResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.FraudCheckListResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.FraudCheckListResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.FraudCheckListResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.FraudCheckListResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.FraudCheckListResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.FraudCheckListResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.FraudCheckListResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.FraudCheckListResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.FraudCheckListResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.FraudCheckListResponse.t/0","doc":"","ref":"Craftgate.Response.FraudCheckListResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.FraudValueListResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.FraudValueListResponse","ref":"Craftgate.Response.FraudValueListResponse.html"},{"type":"function","title":"Craftgate.Response.FraudValueListResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.FraudValueListResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.FraudValueListResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.FraudValueListResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.FraudValueListResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.FraudValueListResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.FraudValueListResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.FraudValueListResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.FraudValueListResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.FraudValueListResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.FraudValueListResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.FraudValueListResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.FraudValueListResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.FraudValueListResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.FraudValueListResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.FraudValueListResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.FraudValueListResponse.t/0","doc":"","ref":"Craftgate.Response.FraudValueListResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.FundTransferDepositPaymentResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.FundTransferDepositPaymentResponse","ref":"Craftgate.Response.FundTransferDepositPaymentResponse.html"},{"type":"function","title":"Craftgate.Response.FundTransferDepositPaymentResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.FundTransferDepositPaymentResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.FundTransferDepositPaymentResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.FundTransferDepositPaymentResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.FundTransferDepositPaymentResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.FundTransferDepositPaymentResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.FundTransferDepositPaymentResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.FundTransferDepositPaymentResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.FundTransferDepositPaymentResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.FundTransferDepositPaymentResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.FundTransferDepositPaymentResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.FundTransferDepositPaymentResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.FundTransferDepositPaymentResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.FundTransferDepositPaymentResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.FundTransferDepositPaymentResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.FundTransferDepositPaymentResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.FundTransferDepositPaymentResponse.t/0","doc":"","ref":"Craftgate.Response.FundTransferDepositPaymentResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.InitCheckoutPaymentResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.InitCheckoutPaymentResponse","ref":"Craftgate.Response.InitCheckoutPaymentResponse.html"},{"type":"function","title":"Craftgate.Response.InitCheckoutPaymentResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.InitCheckoutPaymentResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.InitCheckoutPaymentResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.InitCheckoutPaymentResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.InitCheckoutPaymentResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.InitCheckoutPaymentResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.InitCheckoutPaymentResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.InitCheckoutPaymentResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.InitCheckoutPaymentResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.InitCheckoutPaymentResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.InitCheckoutPaymentResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.InitCheckoutPaymentResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.InitCheckoutPaymentResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.InitCheckoutPaymentResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.InitCheckoutPaymentResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.InitCheckoutPaymentResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.InitCheckoutPaymentResponse.t/0","doc":"","ref":"Craftgate.Response.InitCheckoutPaymentResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.InitGarantiPayPaymentResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.InitGarantiPayPaymentResponse","ref":"Craftgate.Response.InitGarantiPayPaymentResponse.html"},{"type":"function","title":"Craftgate.Response.InitGarantiPayPaymentResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.InitGarantiPayPaymentResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.InitGarantiPayPaymentResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.InitGarantiPayPaymentResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.InitGarantiPayPaymentResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.InitGarantiPayPaymentResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.InitGarantiPayPaymentResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.InitGarantiPayPaymentResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.InitGarantiPayPaymentResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.InitGarantiPayPaymentResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.InitGarantiPayPaymentResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.InitGarantiPayPaymentResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.InitGarantiPayPaymentResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.InitGarantiPayPaymentResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.InitGarantiPayPaymentResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.InitGarantiPayPaymentResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.InitGarantiPayPaymentResponse.t/0","doc":"","ref":"Craftgate.Response.InitGarantiPayPaymentResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.InitPosApmPaymentResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.InitPosApmPaymentResponse","ref":"Craftgate.Response.InitPosApmPaymentResponse.html"},{"type":"function","title":"Craftgate.Response.InitPosApmPaymentResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.InitPosApmPaymentResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.InitPosApmPaymentResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.InitPosApmPaymentResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.InitPosApmPaymentResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.InitPosApmPaymentResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.InitPosApmPaymentResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.InitPosApmPaymentResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.InitPosApmPaymentResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.InitPosApmPaymentResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.InitPosApmPaymentResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.InitPosApmPaymentResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.InitPosApmPaymentResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.InitPosApmPaymentResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.InitPosApmPaymentResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.InitPosApmPaymentResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.InitPosApmPaymentResponse.t/0","doc":"","ref":"Craftgate.Response.InitPosApmPaymentResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.InitThreeDSPaymentResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.InitThreeDSPaymentResponse","ref":"Craftgate.Response.InitThreeDSPaymentResponse.html"},{"type":"function","title":"Craftgate.Response.InitThreeDSPaymentResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.InitThreeDSPaymentResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.InitThreeDSPaymentResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.InitThreeDSPaymentResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.InitThreeDSPaymentResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.InitThreeDSPaymentResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.InitThreeDSPaymentResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.InitThreeDSPaymentResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.InitThreeDSPaymentResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.InitThreeDSPaymentResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.InitThreeDSPaymentResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.InitThreeDSPaymentResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.InitThreeDSPaymentResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.InitThreeDSPaymentResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.InitThreeDSPaymentResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.InitThreeDSPaymentResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.InitThreeDSPaymentResponse.t/0","doc":"","ref":"Craftgate.Response.InitThreeDSPaymentResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.InstallmentListResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.InstallmentListResponse","ref":"Craftgate.Response.InstallmentListResponse.html"},{"type":"function","title":"Craftgate.Response.InstallmentListResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.InstallmentListResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.InstallmentListResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.InstallmentListResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.InstallmentListResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.InstallmentListResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.InstallmentListResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.InstallmentListResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.InstallmentListResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.InstallmentListResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.InstallmentListResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.InstallmentListResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.InstallmentListResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.InstallmentListResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.InstallmentListResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.InstallmentListResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.InstallmentListResponse.t/0","doc":"","ref":"Craftgate.Response.InstallmentListResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.MemberListResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.MemberListResponse","ref":"Craftgate.Response.MemberListResponse.html"},{"type":"function","title":"Craftgate.Response.MemberListResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.MemberListResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.MemberListResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.MemberListResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.MemberListResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.MemberListResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.MemberListResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.MemberListResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.MemberListResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.MemberListResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.MemberListResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.MemberListResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.MemberListResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.MemberListResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.MemberListResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.MemberListResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.MemberListResponse.t/0","doc":"","ref":"Craftgate.Response.MemberListResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.MemberResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.MemberResponse","ref":"Craftgate.Response.MemberResponse.html"},{"type":"function","title":"Craftgate.Response.MemberResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.MemberResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.MemberResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.MemberResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.MemberResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.MemberResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.MemberResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.MemberResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.MemberResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.MemberResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.MemberResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.MemberResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.MemberResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.MemberResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.MemberResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.MemberResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.MemberResponse.t/0","doc":"","ref":"Craftgate.Response.MemberResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.PaymentRefundResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.PaymentRefundResponse","ref":"Craftgate.Response.PaymentRefundResponse.html"},{"type":"function","title":"Craftgate.Response.PaymentRefundResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.PaymentRefundResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.PaymentRefundResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.PaymentRefundResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.PaymentRefundResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.PaymentRefundResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.PaymentRefundResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.PaymentRefundResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.PaymentRefundResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.PaymentRefundResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.PaymentRefundResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.PaymentRefundResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.PaymentRefundResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.PaymentRefundResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.PaymentRefundResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.PaymentRefundResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.PaymentRefundResponse.t/0","doc":"","ref":"Craftgate.Response.PaymentRefundResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.PaymentResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.PaymentResponse","ref":"Craftgate.Response.PaymentResponse.html"},{"type":"function","title":"Craftgate.Response.PaymentResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.PaymentResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.PaymentResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.PaymentResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.PaymentResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.PaymentResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.PaymentResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.PaymentResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.PaymentResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.PaymentResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.PaymentResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.PaymentResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.PaymentResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.PaymentResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.PaymentResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.PaymentResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.PaymentResponse.t/0","doc":"","ref":"Craftgate.Response.PaymentResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.PaymentTransactionApprovalListResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.PaymentTransactionApprovalListResponse","ref":"Craftgate.Response.PaymentTransactionApprovalListResponse.html"},{"type":"function","title":"Craftgate.Response.PaymentTransactionApprovalListResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.PaymentTransactionApprovalListResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.PaymentTransactionApprovalListResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.PaymentTransactionApprovalListResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.PaymentTransactionApprovalListResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.PaymentTransactionApprovalListResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.PaymentTransactionApprovalListResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.PaymentTransactionApprovalListResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.PaymentTransactionApprovalListResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.PaymentTransactionApprovalListResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.PaymentTransactionApprovalListResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.PaymentTransactionApprovalListResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.PaymentTransactionApprovalListResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.PaymentTransactionApprovalListResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.PaymentTransactionApprovalListResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.PaymentTransactionApprovalListResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.PaymentTransactionApprovalListResponse.t/0","doc":"","ref":"Craftgate.Response.PaymentTransactionApprovalListResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.PaymentTransactionRefundResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.PaymentTransactionRefundResponse","ref":"Craftgate.Response.PaymentTransactionRefundResponse.html"},{"type":"function","title":"Craftgate.Response.PaymentTransactionRefundResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.PaymentTransactionRefundResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.PaymentTransactionRefundResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.PaymentTransactionRefundResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.PaymentTransactionRefundResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.PaymentTransactionRefundResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.PaymentTransactionRefundResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.PaymentTransactionRefundResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.PaymentTransactionRefundResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.PaymentTransactionRefundResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.PaymentTransactionRefundResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.PaymentTransactionRefundResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.PaymentTransactionRefundResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.PaymentTransactionRefundResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.PaymentTransactionRefundResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.PaymentTransactionRefundResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.PaymentTransactionRefundResponse.t/0","doc":"","ref":"Craftgate.Response.PaymentTransactionRefundResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.PaymentTransactionResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.PaymentTransactionResponse","ref":"Craftgate.Response.PaymentTransactionResponse.html"},{"type":"function","title":"Craftgate.Response.PaymentTransactionResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.PaymentTransactionResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.PaymentTransactionResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.PaymentTransactionResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.PaymentTransactionResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.PaymentTransactionResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.PaymentTransactionResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.PaymentTransactionResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.PaymentTransactionResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.PaymentTransactionResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.PaymentTransactionResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.PaymentTransactionResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.PaymentTransactionResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.PaymentTransactionResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.PaymentTransactionResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.PaymentTransactionResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.PaymentTransactionResponse.t/0","doc":"","ref":"Craftgate.Response.PaymentTransactionResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.PayoutAccountListResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.PayoutAccountListResponse","ref":"Craftgate.Response.PayoutAccountListResponse.html"},{"type":"function","title":"Craftgate.Response.PayoutAccountListResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.PayoutAccountListResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.PayoutAccountListResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.PayoutAccountListResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.PayoutAccountListResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.PayoutAccountListResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.PayoutAccountListResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.PayoutAccountListResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.PayoutAccountListResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.PayoutAccountListResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.PayoutAccountListResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.PayoutAccountListResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.PayoutAccountListResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.PayoutAccountListResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.PayoutAccountListResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.PayoutAccountListResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.PayoutAccountListResponse.t/0","doc":"","ref":"Craftgate.Response.PayoutAccountListResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.PayoutAccountResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.PayoutAccountResponse","ref":"Craftgate.Response.PayoutAccountResponse.html"},{"type":"function","title":"Craftgate.Response.PayoutAccountResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.PayoutAccountResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.PayoutAccountResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.PayoutAccountResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.PayoutAccountResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.PayoutAccountResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.PayoutAccountResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.PayoutAccountResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.PayoutAccountResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.PayoutAccountResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.PayoutAccountResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.PayoutAccountResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.PayoutAccountResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.PayoutAccountResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.PayoutAccountResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.PayoutAccountResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.PayoutAccountResponse.t/0","doc":"","ref":"Craftgate.Response.PayoutAccountResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.PayoutBouncedTransactionListResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.PayoutBouncedTransactionListResponse","ref":"Craftgate.Response.PayoutBouncedTransactionListResponse.html"},{"type":"function","title":"Craftgate.Response.PayoutBouncedTransactionListResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.PayoutBouncedTransactionListResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.PayoutBouncedTransactionListResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.PayoutBouncedTransactionListResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.PayoutBouncedTransactionListResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.PayoutBouncedTransactionListResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.PayoutBouncedTransactionListResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.PayoutBouncedTransactionListResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.PayoutBouncedTransactionListResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.PayoutBouncedTransactionListResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.PayoutBouncedTransactionListResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.PayoutBouncedTransactionListResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.PayoutBouncedTransactionListResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.PayoutBouncedTransactionListResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.PayoutBouncedTransactionListResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.PayoutBouncedTransactionListResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.PayoutBouncedTransactionListResponse.t/0","doc":"","ref":"Craftgate.Response.PayoutBouncedTransactionListResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.PayoutCompletedTransactionListResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.PayoutCompletedTransactionListResponse","ref":"Craftgate.Response.PayoutCompletedTransactionListResponse.html"},{"type":"function","title":"Craftgate.Response.PayoutCompletedTransactionListResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.PayoutCompletedTransactionListResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.PayoutCompletedTransactionListResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.PayoutCompletedTransactionListResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.PayoutCompletedTransactionListResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.PayoutCompletedTransactionListResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.PayoutCompletedTransactionListResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.PayoutCompletedTransactionListResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.PayoutCompletedTransactionListResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.PayoutCompletedTransactionListResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.PayoutCompletedTransactionListResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.PayoutCompletedTransactionListResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.PayoutCompletedTransactionListResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.PayoutCompletedTransactionListResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.PayoutCompletedTransactionListResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.PayoutCompletedTransactionListResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.PayoutCompletedTransactionListResponse.t/0","doc":"","ref":"Craftgate.Response.PayoutCompletedTransactionListResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.PayoutDetailResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.PayoutDetailResponse","ref":"Craftgate.Response.PayoutDetailResponse.html"},{"type":"function","title":"Craftgate.Response.PayoutDetailResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.PayoutDetailResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.PayoutDetailResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.PayoutDetailResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.PayoutDetailResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.PayoutDetailResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.PayoutDetailResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.PayoutDetailResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.PayoutDetailResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.PayoutDetailResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.PayoutDetailResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.PayoutDetailResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.PayoutDetailResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.PayoutDetailResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.PayoutDetailResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.PayoutDetailResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.PayoutDetailResponse.t/0","doc":"","ref":"Craftgate.Response.PayoutDetailResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.PayoutRowListResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.PayoutRowListResponse","ref":"Craftgate.Response.PayoutRowListResponse.html"},{"type":"function","title":"Craftgate.Response.PayoutRowListResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.PayoutRowListResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.PayoutRowListResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.PayoutRowListResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.PayoutRowListResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.PayoutRowListResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.PayoutRowListResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.PayoutRowListResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.PayoutRowListResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.PayoutRowListResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.PayoutRowListResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.PayoutRowListResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.PayoutRowListResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.PayoutRowListResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.PayoutRowListResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.PayoutRowListResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.PayoutRowListResponse.t/0","doc":"","ref":"Craftgate.Response.PayoutRowListResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.ProductListResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.ProductListResponse","ref":"Craftgate.Response.ProductListResponse.html"},{"type":"function","title":"Craftgate.Response.ProductListResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.ProductListResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.ProductListResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.ProductListResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.ProductListResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.ProductListResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.ProductListResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.ProductListResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.ProductListResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.ProductListResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.ProductListResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.ProductListResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.ProductListResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.ProductListResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.ProductListResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.ProductListResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.ProductListResponse.t/0","doc":"","ref":"Craftgate.Response.ProductListResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.ProductResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.ProductResponse","ref":"Craftgate.Response.ProductResponse.html"},{"type":"function","title":"Craftgate.Response.ProductResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.ProductResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.ProductResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.ProductResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.ProductResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.ProductResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.ProductResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.ProductResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.ProductResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.ProductResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.ProductResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.ProductResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.ProductResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.ProductResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.ProductResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.ProductResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.ProductResponse.t/0","doc":"","ref":"Craftgate.Response.ProductResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.RefundWalletTransactionListResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.RefundWalletTransactionListResponse","ref":"Craftgate.Response.RefundWalletTransactionListResponse.html"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionListResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.RefundWalletTransactionListResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionListResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.RefundWalletTransactionListResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionListResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.RefundWalletTransactionListResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionListResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.RefundWalletTransactionListResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionListResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.RefundWalletTransactionListResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionListResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.RefundWalletTransactionListResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionListResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.RefundWalletTransactionListResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionListResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.RefundWalletTransactionListResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.RefundWalletTransactionListResponse.t/0","doc":"","ref":"Craftgate.Response.RefundWalletTransactionListResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.RefundWalletTransactionResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.RefundWalletTransactionResponse","ref":"Craftgate.Response.RefundWalletTransactionResponse.html"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.RefundWalletTransactionResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.RefundWalletTransactionResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.RefundWalletTransactionResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.RefundWalletTransactionResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.RefundWalletTransactionResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.RefundWalletTransactionResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.RefundWalletTransactionResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.RefundWalletTransactionResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.RefundWalletTransactionResponse.t/0","doc":"","ref":"Craftgate.Response.RefundWalletTransactionResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.RefundWalletTransactionToCardListResponse","doc":"","ref":"Craftgate.Response.RefundWalletTransactionToCardListResponse.html"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionToCardListResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.RefundWalletTransactionToCardListResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionToCardListResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.RefundWalletTransactionToCardListResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionToCardListResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.RefundWalletTransactionToCardListResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionToCardListResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.RefundWalletTransactionToCardListResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionToCardListResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.RefundWalletTransactionToCardListResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionToCardListResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.RefundWalletTransactionToCardListResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionToCardListResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.RefundWalletTransactionToCardListResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionToCardListResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.RefundWalletTransactionToCardListResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.RefundWalletTransactionToCardListResponse.t/0","doc":"","ref":"Craftgate.Response.RefundWalletTransactionToCardListResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.RefundWalletTransactionToCardResponse","doc":"","ref":"Craftgate.Response.RefundWalletTransactionToCardResponse.html"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionToCardResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.RefundWalletTransactionToCardResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionToCardResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.RefundWalletTransactionToCardResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionToCardResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.RefundWalletTransactionToCardResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionToCardResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.RefundWalletTransactionToCardResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionToCardResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.RefundWalletTransactionToCardResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionToCardResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.RefundWalletTransactionToCardResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionToCardResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.RefundWalletTransactionToCardResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.RefundWalletTransactionToCardResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.RefundWalletTransactionToCardResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.RefundWalletTransactionToCardResponse.t/0","doc":"","ref":"Craftgate.Response.RefundWalletTransactionToCardResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.RemittanceResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.RemittanceResponse","ref":"Craftgate.Response.RemittanceResponse.html"},{"type":"function","title":"Craftgate.Response.RemittanceResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.RemittanceResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.RemittanceResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.RemittanceResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.RemittanceResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.RemittanceResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.RemittanceResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.RemittanceResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.RemittanceResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.RemittanceResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.RemittanceResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.RemittanceResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.RemittanceResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.RemittanceResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.RemittanceResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.RemittanceResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.RemittanceResponse.t/0","doc":"","ref":"Craftgate.Response.RemittanceResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.ReportingPaymentListResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.ReportingPaymentListResponse","ref":"Craftgate.Response.ReportingPaymentListResponse.html"},{"type":"function","title":"Craftgate.Response.ReportingPaymentListResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.ReportingPaymentListResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentListResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.ReportingPaymentListResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentListResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.ReportingPaymentListResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentListResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.ReportingPaymentListResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.ReportingPaymentListResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.ReportingPaymentListResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.ReportingPaymentListResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.ReportingPaymentListResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.ReportingPaymentListResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.ReportingPaymentListResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentListResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.ReportingPaymentListResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.ReportingPaymentListResponse.t/0","doc":"","ref":"Craftgate.Response.ReportingPaymentListResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.ReportingPaymentRefundListResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.ReportingPaymentRefundListResponse","ref":"Craftgate.Response.ReportingPaymentRefundListResponse.html"},{"type":"function","title":"Craftgate.Response.ReportingPaymentRefundListResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.ReportingPaymentRefundListResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentRefundListResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.ReportingPaymentRefundListResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentRefundListResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.ReportingPaymentRefundListResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentRefundListResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.ReportingPaymentRefundListResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.ReportingPaymentRefundListResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.ReportingPaymentRefundListResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.ReportingPaymentRefundListResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.ReportingPaymentRefundListResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.ReportingPaymentRefundListResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.ReportingPaymentRefundListResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentRefundListResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.ReportingPaymentRefundListResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.ReportingPaymentRefundListResponse.t/0","doc":"","ref":"Craftgate.Response.ReportingPaymentRefundListResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.ReportingPaymentRefundResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.ReportingPaymentRefundResponse","ref":"Craftgate.Response.ReportingPaymentRefundResponse.html"},{"type":"function","title":"Craftgate.Response.ReportingPaymentRefundResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.ReportingPaymentRefundResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentRefundResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.ReportingPaymentRefundResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentRefundResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.ReportingPaymentRefundResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentRefundResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.ReportingPaymentRefundResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.ReportingPaymentRefundResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.ReportingPaymentRefundResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.ReportingPaymentRefundResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.ReportingPaymentRefundResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.ReportingPaymentRefundResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.ReportingPaymentRefundResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentRefundResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.ReportingPaymentRefundResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.ReportingPaymentRefundResponse.t/0","doc":"","ref":"Craftgate.Response.ReportingPaymentRefundResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.ReportingPaymentResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.ReportingPaymentResponse","ref":"Craftgate.Response.ReportingPaymentResponse.html"},{"type":"function","title":"Craftgate.Response.ReportingPaymentResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.ReportingPaymentResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.ReportingPaymentResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.ReportingPaymentResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.ReportingPaymentResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.ReportingPaymentResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.ReportingPaymentResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.ReportingPaymentResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.ReportingPaymentResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.ReportingPaymentResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.ReportingPaymentResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.ReportingPaymentResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.ReportingPaymentResponse.t/0","doc":"","ref":"Craftgate.Response.ReportingPaymentResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.ReportingPaymentTransactionListResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.ReportingPaymentTransactionListResponse","ref":"Craftgate.Response.ReportingPaymentTransactionListResponse.html"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionListResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.ReportingPaymentTransactionListResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionListResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.ReportingPaymentTransactionListResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionListResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.ReportingPaymentTransactionListResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionListResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.ReportingPaymentTransactionListResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionListResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.ReportingPaymentTransactionListResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionListResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.ReportingPaymentTransactionListResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionListResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.ReportingPaymentTransactionListResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionListResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.ReportingPaymentTransactionListResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.ReportingPaymentTransactionListResponse.t/0","doc":"","ref":"Craftgate.Response.ReportingPaymentTransactionListResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.ReportingPaymentTransactionRefundListResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.ReportingPaymentTransactionRefundListResponse","ref":"Craftgate.Response.ReportingPaymentTransactionRefundListResponse.html"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionRefundListResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.ReportingPaymentTransactionRefundListResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionRefundListResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.ReportingPaymentTransactionRefundListResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionRefundListResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.ReportingPaymentTransactionRefundListResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionRefundListResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.ReportingPaymentTransactionRefundListResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionRefundListResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.ReportingPaymentTransactionRefundListResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionRefundListResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.ReportingPaymentTransactionRefundListResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionRefundListResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.ReportingPaymentTransactionRefundListResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionRefundListResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.ReportingPaymentTransactionRefundListResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.ReportingPaymentTransactionRefundListResponse.t/0","doc":"","ref":"Craftgate.Response.ReportingPaymentTransactionRefundListResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.ReportingPaymentTransactionRefundResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.ReportingPaymentTransactionRefundResponse","ref":"Craftgate.Response.ReportingPaymentTransactionRefundResponse.html"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionRefundResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.ReportingPaymentTransactionRefundResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionRefundResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.ReportingPaymentTransactionRefundResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionRefundResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.ReportingPaymentTransactionRefundResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionRefundResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.ReportingPaymentTransactionRefundResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionRefundResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.ReportingPaymentTransactionRefundResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionRefundResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.ReportingPaymentTransactionRefundResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionRefundResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.ReportingPaymentTransactionRefundResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.ReportingPaymentTransactionRefundResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.ReportingPaymentTransactionRefundResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.ReportingPaymentTransactionRefundResponse.t/0","doc":"","ref":"Craftgate.Response.ReportingPaymentTransactionRefundResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.RetrieveLoyaltiesResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.RetrieveLoyaltiesResponse","ref":"Craftgate.Response.RetrieveLoyaltiesResponse.html"},{"type":"function","title":"Craftgate.Response.RetrieveLoyaltiesResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.RetrieveLoyaltiesResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.RetrieveLoyaltiesResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.RetrieveLoyaltiesResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.RetrieveLoyaltiesResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.RetrieveLoyaltiesResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.RetrieveLoyaltiesResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.RetrieveLoyaltiesResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.RetrieveLoyaltiesResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.RetrieveLoyaltiesResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.RetrieveLoyaltiesResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.RetrieveLoyaltiesResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.RetrieveLoyaltiesResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.RetrieveLoyaltiesResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.RetrieveLoyaltiesResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.RetrieveLoyaltiesResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.RetrieveLoyaltiesResponse.t/0","doc":"","ref":"Craftgate.Response.RetrieveLoyaltiesResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.SettlementResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.SettlementResponse","ref":"Craftgate.Response.SettlementResponse.html"},{"type":"function","title":"Craftgate.Response.SettlementResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.SettlementResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.SettlementResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.SettlementResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.SettlementResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.SettlementResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.SettlementResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.SettlementResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.SettlementResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.SettlementResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.SettlementResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.SettlementResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.SettlementResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.SettlementResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.SettlementResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.SettlementResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.SettlementResponse.t/0","doc":"","ref":"Craftgate.Response.SettlementResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.StoredCardListResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.StoredCardListResponse","ref":"Craftgate.Response.StoredCardListResponse.html"},{"type":"function","title":"Craftgate.Response.StoredCardListResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.StoredCardListResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.StoredCardListResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.StoredCardListResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.StoredCardListResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.StoredCardListResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.StoredCardListResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.StoredCardListResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.StoredCardListResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.StoredCardListResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.StoredCardListResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.StoredCardListResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.StoredCardListResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.StoredCardListResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.StoredCardListResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.StoredCardListResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.StoredCardListResponse.t/0","doc":"","ref":"Craftgate.Response.StoredCardListResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.StoredCardResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.StoredCardResponse","ref":"Craftgate.Response.StoredCardResponse.html"},{"type":"function","title":"Craftgate.Response.StoredCardResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.StoredCardResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.StoredCardResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.StoredCardResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.StoredCardResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.StoredCardResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.StoredCardResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.StoredCardResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.StoredCardResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.StoredCardResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.StoredCardResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.StoredCardResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.StoredCardResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.StoredCardResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.StoredCardResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.StoredCardResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.StoredCardResponse.t/0","doc":"","ref":"Craftgate.Response.StoredCardResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.WalletResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.WalletResponse","ref":"Craftgate.Response.WalletResponse.html"},{"type":"function","title":"Craftgate.Response.WalletResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.WalletResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.WalletResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.WalletResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.WalletResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.WalletResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.WalletResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.WalletResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.WalletResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.WalletResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.WalletResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.WalletResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.WalletResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.WalletResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.WalletResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.WalletResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.WalletResponse.t/0","doc":"","ref":"Craftgate.Response.WalletResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.WalletTransactionListResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.WalletTransactionListResponse","ref":"Craftgate.Response.WalletTransactionListResponse.html"},{"type":"function","title":"Craftgate.Response.WalletTransactionListResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.WalletTransactionListResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.WalletTransactionListResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.WalletTransactionListResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.WalletTransactionListResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.WalletTransactionListResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.WalletTransactionListResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.WalletTransactionListResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.WalletTransactionListResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.WalletTransactionListResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.WalletTransactionListResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.WalletTransactionListResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.WalletTransactionListResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.WalletTransactionListResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.WalletTransactionListResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.WalletTransactionListResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.WalletTransactionListResponse.t/0","doc":"","ref":"Craftgate.Response.WalletTransactionListResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.WalletTransactionRefundableAmountResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.WalletTransactionRefundableAmountResponse","ref":"Craftgate.Response.WalletTransactionRefundableAmountResponse.html"},{"type":"function","title":"Craftgate.Response.WalletTransactionRefundableAmountResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.WalletTransactionRefundableAmountResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.WalletTransactionRefundableAmountResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.WalletTransactionRefundableAmountResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.WalletTransactionRefundableAmountResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.WalletTransactionRefundableAmountResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.WalletTransactionRefundableAmountResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.WalletTransactionRefundableAmountResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.WalletTransactionRefundableAmountResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.WalletTransactionRefundableAmountResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.WalletTransactionRefundableAmountResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.WalletTransactionRefundableAmountResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.WalletTransactionRefundableAmountResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.WalletTransactionRefundableAmountResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.WalletTransactionRefundableAmountResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.WalletTransactionRefundableAmountResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.WalletTransactionRefundableAmountResponse.t/0","doc":"","ref":"Craftgate.Response.WalletTransactionRefundableAmountResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.WalletTransactionResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.WalletTransactionResponse","ref":"Craftgate.Response.WalletTransactionResponse.html"},{"type":"function","title":"Craftgate.Response.WalletTransactionResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.WalletTransactionResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.WalletTransactionResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.WalletTransactionResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.WalletTransactionResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.WalletTransactionResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.WalletTransactionResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.WalletTransactionResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.WalletTransactionResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.WalletTransactionResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.WalletTransactionResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.WalletTransactionResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.WalletTransactionResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.WalletTransactionResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.WalletTransactionResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.WalletTransactionResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.WalletTransactionResponse.t/0","doc":"","ref":"Craftgate.Response.WalletTransactionResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.WithdrawListResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.WithdrawListResponse","ref":"Craftgate.Response.WithdrawListResponse.html"},{"type":"function","title":"Craftgate.Response.WithdrawListResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.WithdrawListResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.WithdrawListResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.WithdrawListResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.WithdrawListResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.WithdrawListResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.WithdrawListResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.WithdrawListResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.WithdrawListResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.WithdrawListResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.WithdrawListResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.WithdrawListResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.WithdrawListResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.WithdrawListResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.WithdrawListResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.WithdrawListResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.WithdrawListResponse.t/0","doc":"","ref":"Craftgate.Response.WithdrawListResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Response.WithdrawResponse","doc":"Elixir equivalent of the Java data class io.craftgate.response.WithdrawResponse","ref":"Craftgate.Response.WithdrawResponse.html"},{"type":"function","title":"Craftgate.Response.WithdrawResponse.cast/2","doc":"Callback implementation for Construct.cast/2 .","ref":"Craftgate.Response.WithdrawResponse.html#cast/2"},{"type":"function","title":"Craftgate.Response.WithdrawResponse.make/2","doc":"Callback implementation for Construct.make/2 .","ref":"Craftgate.Response.WithdrawResponse.html#make/2"},{"type":"function","title":"Craftgate.Response.WithdrawResponse.make!/2","doc":"Callback implementation for Construct.make!/2 .","ref":"Craftgate.Response.WithdrawResponse.html#make!/2"},{"type":"function","title":"Craftgate.Response.WithdrawResponse.parse/1","doc":"Attempts to parse the input as an instance of this struct See also: Craftgate.Serializable.parse/2","ref":"Craftgate.Response.WithdrawResponse.html#parse/1"},{"type":"function","title":"Craftgate.Response.WithdrawResponse.parse!/1","doc":"Bangified version of parse/1","ref":"Craftgate.Response.WithdrawResponse.html#parse!/1"},{"type":"function","title":"Craftgate.Response.WithdrawResponse.serializable_fields/0","doc":"Returns the names of the fields that are serializable/deserializable","ref":"Craftgate.Response.WithdrawResponse.html#serializable_fields/0"},{"type":"function","title":"Craftgate.Response.WithdrawResponse.serialize/2","doc":"Attempts to serialize this struct as a JSON string","ref":"Craftgate.Response.WithdrawResponse.html#serialize/2"},{"type":"function","title":"Craftgate.Response.WithdrawResponse.serialize!/2","doc":"Bangified version of serialize/2","ref":"Craftgate.Response.WithdrawResponse.html#serialize!/2"},{"type":"type","title":"Craftgate.Response.WithdrawResponse.t/0","doc":"","ref":"Craftgate.Response.WithdrawResponse.html#t:t/0"},{"type":"module","title":"Craftgate.Serializable","doc":"The module that contains macros to declare typed structs that can be serialized and deserialized easily and in a recursive fashion, and has the necessary typespecs declared for developer assistance and compile-time type checking for Dialyzer. Under the hood, uses Construct to declare the typed fields. See the Construct documentation to see how to specify the types. To declare a struct, simply use the Craftgate.Serializable module and specify the list of fields as a keyword list where the keys represent the field names and values represent the types of those fields. Make sure to specify the field names as :snake_case atoms to follow Elixir conventions and don't worry about serialization or deserialization as they will be converted into &quot;camelCase&quot; keys (or vice-versa) during conversion. Example usage: defmodule Craftgate.Request.Dto.FraudCheckParameters do use Craftgate.Serializable , [ buyer_external_id : :string , buyer_phone_number : :string , buyer_email : :string ] end","ref":"Craftgate.Serializable.html"},{"type":"function","title":"Craftgate.Serializable.parse/2","doc":"Attempts to parse successful inputs as the given type as , or erronous inputs into an instance of Craftgate.Error and result as an OK or error tuple. The behavior of this method will branch into several possibilities depending on the structure of the input, as well as the value of the as parameter. Below is a list of all possibilities in order of preference. If input is an error tuple (e.g. {:error, ...} ) it returns the tuple immediately If input is an OK tuple (e.g. {:ok, ...} ) it proceeds to parse the second element of the tuple If input is an HTTPoison.Response instance with a status_code between 200 and 300 , it proceeds to parse the body of the response object If input is an HTTPoison.Response instance with a different status code, it attempts to parse &quot;errors&quot; property of the response data into an instance of Craftgate.Error If as is :void , it returns {:ok, nil} If as is String and the input is a string, it returns the input in an OK tuple (e.g. {:ok, input} ) If input is a string, it parses the input as a map and tries to convert it into an instance of as If input is a map with an &quot;errors&quot; element, it tries to parse the error data into an instance of Craftgate.Error If input is a map with a &quot;data&quot; element, it tries to parse the &quot;data&quot; key into an instance of as , where: If as is :map , it returns the data in an OK tuple (e.g. {:ok, data} ) If as is an atom, it converts the keys of the map into :snake_case atoms, and attempts to convert the resulting map into an instance of as using Construct.Cast.make/3","ref":"Craftgate.Serializable.html#parse/2"},{"type":"function","title":"Craftgate.Serializable.parse!/2","doc":"Bangified version of parse/2","ref":"Craftgate.Serializable.html#parse!/2"},{"type":"function","title":"Craftgate.Serializable.serialize/1","doc":"Serializes the given input into an OK or error tuple containing a JSON string using Jason.encode/2","ref":"Craftgate.Serializable.html#serialize/1"},{"type":"function","title":"Craftgate.Serializable.serialize!/1","doc":"Bangified version of serialize/1","ref":"Craftgate.Serializable.html#serialize!/1"},{"type":"module","title":"Craftgate.Utils","doc":"","ref":"Craftgate.Utils.html"},{"type":"function","title":"Craftgate.Utils.bangify!/1","doc":"","ref":"Craftgate.Utils.html#bangify!/1"},{"type":"function","title":"Craftgate.Utils.calculate_signature/5","doc":"Calculates the signature header based on the given parameters","ref":"Craftgate.Utils.html#calculate_signature/5"},{"type":"function","title":"Craftgate.Utils.is_empty?/1","doc":"Returns whether or not a given value is nil or empty","ref":"Craftgate.Utils.html#is_empty?/1"},{"type":"function","title":"Craftgate.Utils.non_empty?/1","doc":"Returns whether or not a given value is not nil and not empty","ref":"Craftgate.Utils.html#non_empty?/1"},{"type":"function","title":"Craftgate.Utils.random_str/1","doc":"Generates a random string of given length (default: 16)","ref":"Craftgate.Utils.html#random_str/1"},{"type":"module","title":"Mix.TaskHelper","doc":"","ref":"Mix.TaskHelper.html"},{"type":"function","title":"Mix.TaskHelper.set_sample_config/0","doc":"","ref":"Mix.TaskHelper.html#set_sample_config/0"},{"type":"task","title":"Mix.Tasks.Sample.Payment.Create","doc":"Creates a payment using the credentials at Mix.TaskHelper.set_sample_config/0","ref":"Mix.Tasks.Sample.Payment.Create.html"},{"type":"function","title":"Mix.Tasks.Sample.Payment.Create.run/1","doc":"","ref":"Mix.Tasks.Sample.Payment.Create.html#run/1"},{"type":"exception","title":"Craftgate.Error","doc":"Represents an error that was returned by Craftgate API","ref":"Craftgate.Error.html"},{"type":"function","title":"Craftgate.Error.message/1","doc":"Callback implementation for Exception.message/1 .","ref":"Craftgate.Error.html#message/1"},{"type":"type","title":"Craftgate.Error.code/0","doc":"The unique code that represents the error","ref":"Craftgate.Error.html#t:code/0"},{"type":"type","title":"Craftgate.Error.description/0","doc":"The human-readable error message","ref":"Craftgate.Error.html#t:description/0"},{"type":"type","title":"Craftgate.Error.group/0","doc":"The group that the error belongs to. Only present in the case of a payment-related error. Use this property to differentiate payment errors. See https://developer.craftgate.io/en/error-groups for a list of all possible options","ref":"Craftgate.Error.html#t:group/0"},{"type":"type","title":"Craftgate.Error.t/0","doc":"","ref":"Craftgate.Error.html#t:t/0"},{"type":"extras","title":"README","doc":"Craftgate This repo contains the Elixir client for Craftgate API.","ref":"readme.html"},{"type":"extras","title":"README - Requirements","doc":"Elixir 1.12 or newer","ref":"readme.html#requirements"},{"type":"extras","title":"README - Dependencies","doc":"HTTPoison to execute requests Jason for JSON serialization/deserialization Construct to provide a concise interface for representing request/response payloads as Elixir structs while also having them converted automatically by Jason Decimal to represent monetary values Recase to convert between Craftgate API's camelCase and Elixir's snake_case Note: To keep the correct precision without losing any information, all decimals are serialized into strings . Since Craftgate API uses Java's BigDecimal to process these values it has no trouble parsing them, and likewise, by using Construct, Jason and Decimal in conjunction we're able to parse both numerical and string representations of decimals.","ref":"readme.html#dependencies"},{"type":"extras","title":"README - Installation","doc":"Add the :craftgate dependency to your mix.exs file def deps do ... { :craftgate , &quot;~&gt; 1.0.42&quot; } ... end","ref":"readme.html#installation"},{"type":"extras","title":"README - Configuration","doc":"To access the Craftgate API you'll first need to obtain a set of API credentials. If you don't already have a Craftgate account, you can signup at https://craftgate.io , and after the onboarding process you will be able to access your API credentials from the merchant panel. Once you've obtained your API credentials, you can configure Craftgate through the :craftgate on your config.exs file. config :craftgate , api_key : &quot;&lt;YOUR API KEY&gt;&quot; , secret_key : &quot;&lt;YOUR SECRET KEY&gt;&quot; By default, Craftgate will run in sandbox mode and connect to the sandbox API at https://sandbox-api.craftgate.io . Once you're confident with your implementation you can swap out the base_url parameter with the live production URL at https://api.craftgate.io config :craftgate , api_key : &quot;&lt;YOUR API KEY&gt;&quot; , secret_key : &quot;&lt;YOUR SECRET KEY&gt;&quot; , base_url : &quot;https://api.craftgate.io&quot; Additionally, Craftgate will use English as the default locale ( &quot;en&quot; ) when contacting the Craftgate API, and also set a few request options to disable redirections and set particular request and receive timeouts. You can override these configurations by changing the lang and request_options keys respectively. Do note, however, that by overriding request_options , you will be losing the default request options, so don't forget to include them if you only wish to add more parameters. For a list of all available options, see the documentation for HTTPoison.Request Below is the list of default request options: [ timeout : 10_000 , recv_timeout : 150_000 , max_redirect : 0 , follow_redirect : false ] Note: You can also override these values by passing them to any Craftgate API call (e.g. Craftgate.Adapter.PaymentReportingAdapter.retrieve_payment(1, request_options: [timeout: 100_000] ) So with that, a fully customized Craftgate configuration can look something like below: config :craftgate , api_key : &quot;&lt;YOUR API KEY&gt;&quot; , secret_key : &quot;&lt;YOUR SECRET KEY&gt;&quot; , base_url : &quot;https://api.craftgate.io&quot; , lang : &quot;tr&quot; , request_options : [ timeout : 60_000 , recv_timeout : 120_000 , max_redirect : 1 , follow_redirect : true ] Environment-Specific Configuration As with any Phoenix app you can also make use of the environment-specific files to configure Craftgate for your development and production environments. In fact, we highly recommend inferring the production API credentials from environment variables in production and not have them written out plainly in your codebase. config/config.exs ... config :craftgate , base_url : &quot;https://sandbox-api.craftgate.io&quot; , api_key : &quot;&lt;YOUR SANDBOX API KEY&gt;&quot; , secret_key : &quot;&lt;YOUR SANDBOX SECRET KEY&gt;&quot; ... config/prod.exs ... config :craftgate , base_url : &quot;https://api.craftgate.io&quot; , api_key : System . get_env ( &quot;CRAFTGATE__API_KEY&quot; ) , secret_key : System . get_env ( &quot;CRAFTGATE__SECRET_KEY&quot; ) &quot; ... Non-Phoenix Apps or Manual Configuration If you're not using Phoenix, or if you can't/don't want to use the Config module you can also configure Craftgate by injecting the same properties into the :craftgate key using Application.put_env/3 Application . put_env ( :craftgate , :api_key , &quot;&lt;YOUR API KEY&gt;&quot; ) Application . put_env ( :craftgate , :secret_key , &quot;&lt;YOUR SECRET KEY&gt;&quot; ) Application . put_env ( :craftgate , :base_url , &quot;https://sandbox-api.craftgate.io&quot; )","ref":"readme.html#configuration"},{"type":"extras","title":"README - Usage","doc":"The Craftgate Elixir client is stateless, so unlike its counterparts in other programming languages, you do not have to instantiate any Craftgate client. Instead, you can access specificy adapters directly, either through the adapter module itself, or through the convenience accessors on the Craftgate module itself. Below is a list of all the adapters that are available: Module Accessor Responsibilities Craftgate.Adapter.FileReportingAdapter Craftgate.file_reporting/0 File-based reporting activities like obtaining daily transaction reports Craftgate.Adapter.FraudAdapter Craftgate.fraud/0 Fraud operations like retrieving potentially fraudulent transactions, marking them as safe, managing fraud values Craftgate.Adapter.HookAdapter Craftgate.hook/0 Hook-related utility functions like verifying incoming webhooks Craftgate.Adapter.InstallmentAdapter Craftgate.installment/0 Retrieving per-installment pricing information based on installment count or BIN number Craftgate.Adapter.OnboardingAdapter Craftgate.onboarding/0 Conducting CRUD operations on buyers and submerchants Craftgate.Adapter.PayByLinkAdapter Craftgate.pay_by_link/0 Managing and listing products available for the pay-by-link feature Craftgate.Adapter.PaymentAdapter Craftgate.payment/0 Conducting payments, managing stored cards Craftgate.Adapter.PaymentReportingAdapter Craftgate.payment_reporting/0 Searching payments, retrieving payment details, retrieving payment transaction records Craftgate.Adapter.SettlementReportingAdapter Craftgate.settlement_reporting/0 Settlement operations like search payout completed transactions, search bounced payout transactions Craftgate.Adapter.SettlementAdapter Craftgate.settlement/0 Settlement operations like create instant wallet settlement Craftgate.Adapter.WalletAdapter Craftgate.wallet/0 Wallet operations like sending and receiving remittance, searching walletes and wallet transactions of members Once Craftgate is configured, you can use one of these adapters to interact with Craftgate API. defmodule Orders do def refund_order ( order_id ) do with { :ok , order } &lt;- Order . get ( order_id ) , { :ok , refund_result } &lt;- Craftgate.Adapter.PaymentAdapter . refund_payment ( % Craftgate.Request.RefundPaymentRequest { payment_id : order . craftgate_payment_id , refund_destination_type : Craftgate.Model.RefundDestinationType . card ( ) , } ) , ... do ... else ... end end end","ref":"readme.html#usage"},{"type":"extras","title":"README - Running Samples","doc":"This project has a set of samples that you can run to interact with the Craftgate API, located at lib/mix/tasks/sample . These samples are constructed as Mix tasks so you can even run them after adding craftgate-elixir as a dependency to your project. $ mix sample.payment.create [lib/mix/tasks/sample/payment/create.ex:45: Mix.Tasks.Sample.Payment.Create.run/1] result #=&gt; %Craftgate.Response.PaymentResponse{ ... } Note that by default these samples use the public API keypairs found at https://developer.craftgate.io and target the sandbox environment of Craftgate API at https://sandbox-api.craftgate.io , but they will also try to use any existing configuration you might have. As such, if you run these samples from your own project with Craftgate already configured, you will be access the Craftgate API with your own credentials. In addition to the Mix tasks, you can also jump into a Mix-enabled interactive Elixir session, put your credentials into the :api_key and :secret_key keys of the :craftgate configuration and run any adapter method. $ iex -S mix iex(1)&gt; Application.put_env(:craftgate, :api_key, &quot;&lt;YOUR API KEY&gt;&quot;) :ok iex(2)&gt; Application.put_env(:craftgate, :secret_key, &quot;&lt;YOUR SECRET KEY&gt;&quot;) :ok iex(3)&gt; Application.put_env(:craftgate, :base_url, &quot;https://sandbox-api.craftgate.io&quot;) :ok iex(4)&gt; Craftgate.Adapter.PaymentReportingAdapter.retrieve_payment(1) {:ok, %Craftgate.Response.ReportingPaymentResponse{ retry_count: 0, refundable_price: Decimal.new(&quot;100.0&quot;), refund_status: :NOT_REFUNDED, ... } }","ref":"readme.html#running-samples"},{"type":"extras","title":"README - Contributing","doc":"For instructions on how to contribute to the project please see CONTRIBUTING.md","ref":"readme.html#contributing"},{"type":"extras","title":"README - License","doc":"MIT","ref":"readme.html#license"},{"type":"extras","title":"Contributing to Craftgate Elixir Client","doc":"As an open-source project, anyone can contribute to the development of craftgate-elixir-client . If you decide to do so, please be aware of the guidelines outlined below.","ref":"contributing.html"},{"type":"extras","title":"Contributing to Craftgate Elixir Client - Elixir Conventinos","doc":"We follow the general conventions in Elixir, so please make sure to apply them to your code when contributing. Naming Modules and Fields All module names must be in PascalCase , and all fields and filenames must be in snake_case . Though the Craftgate API uses camelCase fields, we automatically convert between camelCase and snake_case when consuming/producing JSON data, so you don't have to worry about any casing mismatch between the API and the Elixir code. Folder Structure and Module Files All modules must be under the root Craftgate module, and placed into the appropriate folder based on the full module name. For instance, the Craftgate.Adapter module should be placed at lib/craftgate/adapter.ex , whereas the Craftgate.Adapter.PaymentAdapter module should be placed at lib/craftgate/adapter/payment_adapter.ex Typespecs and Dialyzer Though Elixir is a dynamically typed language, it's important to be able to provide as much typing information as possible to the users so that we don't run into type mismatch issues on the runtime. For this we rely on Dialyzer to run type checks on compile time, and to make sure Dialyzer can run properly, we should document our type specs using the @type and @spec blocks. For instance, a custom struct Foo must be documented such as follows: defmodule Foo do defstruct [ :bar ] @type bar :: binary ( ) @type t :: % __MODULE__ { bar : bar ( ) } @spec get_bar ( % __MODULE__ . t ( ) ) :: bar ( ) def get_bar ( % Foo { bar : bar } ) , do : bar end Though the continuous integration runs Dialyzer on its own, you can also run it locally to double check everything before pushing your code: mix dialyzer Documenting Code We use ExDoc to generate the documentation and publish it on HexDocs at https://hexdocs.pm/craftgate . Make sure to add @moduledoc blocks to your modules and @doc blocks to your functions and endpoint declarations to provide information about the modules and functions to the users. You can run ExDoc locally to make sure everything looks good before pushing your code. mix docs This will generate both the HTML and ePUB versions of the documentations, which you can view by running open docs/index.html or open docs/Craftgate.epub respectively. If you wish to automatically open both documentations once they're generated, you can also run mix docs --open","ref":"contributing.html#elixir-conventinos"},{"type":"extras","title":"Contributing to Craftgate Elixir Client - Using Macros to Avoid Redundant Code","doc":"To match the developer experience in other versions of Craftgate clients, we represent each request and response objects (as well as the DTOs under them) as Elixir structs. Likewise, we represent enumerations using enum-like modules. Creating structs in Elixir and typing out all enumerations are both tedious and error-prone, so we use the Craftgate.Serializable and Craftgate.Enum modules to generate the corresponding code easily. For instance, to create an enumeration of all the currencies in Craftgate, we can create a new module called Craftgate.Model.Currency as follows: defmodule Craftgate.Model.Currency do use Craftgate.Enum , [ :AED , :ARS , :EUR , :GBP , :USD , :TRY , :BRL , :IQD , :CNY ] end Next, to create a new struct to represent requests to create wallets we can create a new module called Craftgate.Request.CreateWalletRequest as follows: defmodule Craftgate.Request.CreateWalletRequest do use Craftgate.Serializable , [ negative_amount_limit : :decimal , currency : Craftgate.Model.Currency ] end Notice how we can refer to models and other request/response DTOs by simply specifying their types. Notice also that hese are not regular Elixir typespecs, but instead atoms and module references. This is because in the background, we use Construct to type out our structs, and Construct expects types to be specified in this manner. For more information please see Construct's documentation at hexdocs.pm We might also encounter code redundancy when declaring functions to access the endpoints on Craftgate API, so for these we can use the Craftgate.Adapter module and its Craftgate.Adapter.endpoint/2 macro to declare our endpoints. For instance, to integrate with Craftgate's onboarding API we can create a module called Craftgate.Adapter.OnboardingAdapter as follows: defmodule Craftgate.Adapter.OnboardingAdapter do use Craftgate.Adapter alias Craftgate.Request.CreateMemberRequest alias Craftgate.Request.SearchMembersRequest alias Craftgate.Request.UpdateMemberRequest alias Craftgate.Response.MemberListResponse alias Craftgate.Response.MemberResponse endpoint create_member ( body : CreateMemberRequest . t ( ) ) , post : &quot;/onboarding/v1/members&quot; , return : MemberResponse . t ( ) endpoint update_member ( id : integer ( ) , body : UpdateMemberRequest . t ( ) ) , put : &quot;/onboarding/v1/members/:id&quot; , return : MemberResponse . t ( ) endpoint retrieve_member ( id : integer ( ) ) , get : &quot;/onboarding/v1/members/:id&quot; , return : MemberResponse . t ( ) endpoint search_members ( params : SearchMembersRequest . t ( ) ) , get : &quot;/onboarding/v1/members&quot; , return : MemberListResponse . t ( ) end For more information, please see the documentation for the Craftgate.Adapter.endpoint/2 macro.","ref":"contributing.html#using-macros-to-avoid-redundant-code"},{"type":"extras","title":"Contributing to Craftgate Elixir Client - Automatically Generating Models and Request/Response DTOs","doc":"To synchronize with the latest changes in Craftgate API we can automatically generate our enumerations and request/response DTOs from craftgate/craftgate-java-client . For this we can use ygunayer/craftgate-java2elixir to automatically generate the corresponding Elixir code from a specific version of craftgate-java-client . Note that this project does not auto-generate functions to access any endpoints, so they must be written manually.","ref":"contributing.html#automatically-generating-models-and-request-response-dtos"},{"type":"extras","title":"Contributing to Craftgate Elixir Client - Writing Tests","doc":"In addition to regular unit tests to ensure the functionality of structs and utilities, it's also important to write tests to make sure that we're calling the correct endpoints on Craftgate API with the correct payloads. To do this, you can either take craftgate/craftgate-java-client or Craftgate's developer documentation as reference, and write endpoint tests for your adapters under test/craftgate_test/adapter . When writing endpoint tests themselves you can make use of the test_endpoint/2 macro in the CraftgateTest.Support.TestAdapter module to speed up your testing process. See test/craftgate_test/adapter/fraud_adapter_test.exs for an example implementation.","ref":"contributing.html#writing-tests"}]